import './index-e560cd58.js';
import 'react';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var properties = [{
  catalogKey: 'bundleRules',
  codex: 'BUNDLE_RULES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "bundleRules auf Artikel Ebene"
  }),
  type: 'complicated'
}, {
  catalogKey: 'heightGridUsed',
  codex: 'HEIGHTGRIDUSED',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Regalplannerh\xF6he eines Accessories"
  }),
  type: 'number'
}, {
  catalogKey: 'accPosPrio',
  codex: 'ACCESSOIRE_POS_PRIO',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Die Prio eines Accessories f\xFCr die Reihenfolge"
  }),
  type: 'number'
}, {
  catalogKey: 'heightGridBelow',
  codex: 'HEIGHTGRIDBELOW',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Platz unter eines Accessories welcher auch vom Accessorie belegt wird"
  }),
  type: 'number'
}, {
  catalogKey: 'heightGridAbove',
  codex: 'HEIGHTGRIDABOVE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Platz ober eines Accessories welcher auch vom Accessorie belegt wird"
  }),
  type: 'number'
}, {
  catalogKey: 'overwriteParentWidth',
  codex: 'OVERWRITE_PARENT_WIDTH',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Zu hinterlegen bei St\xFCcklistenartikel welche die eigene Breite verwenden um beim Parent zu b\xFCerschreiben"
  }),
  type: 'boolean'
}, {
  catalogKey: 'overwriteParentHeight',
  codex: 'OVERWRITE_PARENT_HEIGHT',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Zu hinterlegen bei St\xFCcklistenartikel welche die eigene H\xF6he verwenden um beim Parent zu b\xFCerschreiben"
  }),
  type: 'boolean'
}, {
  catalogKey: 'overwriteParentDepth',
  codex: 'OVERWRITE_PARENT_DEPTH',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Zu hinterlegen bei St\xFCcklistenartikel welche die eigene Tiefe verwenden um beim Parent zu b\xFCerschreiben"
  }),
  type: 'boolean'
}, {
  catalogKey: 'doNotDelAccIfNotDocked',
  codex: 'DO_NOT_DEL_ACC_IF_NOT_DOCKED',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Wenn ein Accessoires mit einem SVG nicht am Parent einen freien oder passenden Dockingpoint findet wird dieses Accessoire nicht gel\xF6scht sondern frei daneben verplant. Z.B. bei 3. Nachtk\xE4stchen"
  }),
  type: 'boolean'
}, {
  catalogKey: 'widthHasPrice',
  codex: 'WIDTH_HAS_PRICE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "IDM Preislogik f\xFCr m/\u20AC (Rolfbenz Teppiche)\""
  }),
  type: 'boolean'
}, {
  catalogKey: 'heightHasPrice',
  codex: 'HEIGHT_HAS_PRICE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "IDM Preislogik f\xFCr m/\u20AC (Rolfbenz Teppiche)\""
  }),
  type: 'boolean'
}, {
  catalogKey: 'depthHasPrice',
  codex: 'DEPTH_HAS_PRICE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "IDM Preislogik f\xFCr m/\u20AC (Rolfbenz Teppiche)\""
  }),
  type: 'boolean'
}, {
  catalogKey: 'basicUnitPrice',
  codex: 'BASIC_UNIT_PRICE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "IDM Preislogik f\xFCr m/\u20AC (Rolfbenz Teppiche)\""
  }),
  type: 'number'
}, {
  catalogKey: 'invalidAccessoires',
  codex: 'INVALID_ACCESSORIES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Irgendeine querkontrolle von ob ein accessorie verplant ist oder verplantbar ist "
  }),
  deprecated: true,
  type: 'Array'
}, {
  catalogKey: 'onConfigOption',
  codex: 'ON_CONFIG_OPTION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Querkontrolle Kopfteil silence"
  }),
  type: 'string',
  deprecated: true
}, {
  catalogKey: 'onSetConfigOtpion',
  codex: 'ON_SET_CONFIG_OPTION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Querkontrolle Kopfteil silence"
  }),
  type: 'string',
  deprecated: true
}, {
  catalogKey: 'hideInPlannerStep',
  codex: 'HIDE_IN_PLANNERSTEP',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "der Artikel wird im Plannerschritt nicht angezeigt"
  }),
  type: 'boolean'
}, {
  catalogKey: 'maxPlanningCount',
  codex: 'MAX_PLANNING_COUNT',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "maximale planungsanzahl eines artikels (suberba bett darf nur 1 mal verplant werden)"
  }),
  type: 'number'
}, {
  catalogKey: 'contentItemId',
  codex: 'CONTENT_ITEM',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "contentItemId reference"
  }),
  type: 'string'
}, {
  catalogKey: 'groupContentItemId',
  codex: 'GROUP_CONTENT_ITEM',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "contentItemId reference for the group of the article"
  }),
  type: 'string'
}, {
  catalogKey: 'isVisualized',
  codex: 'HAS3D',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "accessorie wenn kein svg aber trotzdem in 3D zu visualisieren (classics kissen)"
  }),
  type: 'boolean'
}, {
  catalogKey: 'orderPosNr',
  codex: 'ORDER_POSNR',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "L\xFCck WWS flag um posNr von accessories zu vorzudefinieren, falls es mit \";\" endet werden diese artikel nicht gruppiert"
  }),
  type: 'string'
}];

export { properties as default };
