import './index-e560cd58.js';
import 'react';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var properties = [{
  catalogKey: 'diva3dRoom',
  codex: 'DIVA3D_ROOM',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Starte 3D Ansicht mit diesem raum"
  }),
  type: 'boolean'
}, {
  catalogKey: 'has3dModels',
  codex: 'DIVA3D_RENDERING',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Das Modell ist in 3D "
  }),
  type: 'boolean'
}, {
  catalogKey: 'roomList3DStaticBGImage',
  codex: 'DIVA3D_STATIC_BG_IMAGE_ROOMLIST',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "The list with the room names of the background images."
  }),
  type: 'complicated'
}, {
  catalogKey: 'diva3dStandardWhiteroom',
  codex: '3D_STANDARD_WHITEROOM',
  startsWithLogic: true,
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Starts with 3D_STANDARD_WHITEROOM "
  }),
  type: 'string'
}, {
  catalogKey: 'diva3dCompatibleWithImageCache',
  codex: '3D_COMPATIBLE_WITH_IMAGE_CACHE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "???"
  }),
  type: 'boolean',
  deprecated: true
}, {
  catalogKey: 'doShow3DDimensionLines',
  codex: 'ENABLE_DO_SHOW_3DDIMENSIONS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Set do show dimensionLines is per default already true. Can be overwritten and deactivated by WebConfig"
  }),
  type: 'boolean'
}, {
  catalogKey: 'defaultDimensionsActive',
  codex: 'DEFAULT_DO_SHOW_3DDIMENSIONS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: " start with dimensions visible in 3D"
  }),
  type: 'boolean'
}, {
  catalogKey: 'isIDM3DCat',
  codex: 'IS_IDM3D_CAT',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "xxx"
  }),
  type: 'boolean'
}, {
  catalogKey: 'IDM3DCatCodex',
  codex: 'IDM3DCatCodex',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "xxx"
  }),
  type: 'boolean'
}, {
  catalogKey: 'arReady',
  codex: 'DIVA3D_AR_READY',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Diva3D Catalog is AR Ready"
  }),
  type: 'boolean'
}, {
  catalogKey: 'forceRTV',
  codex: 'DIVA3D_AR_FORCERTV',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Diva3D Force RTV"
  }),
  type: 'boolean'
}, {
  catalogKey: 'dontShowBasePrice',
  codex: 'DONTCALCBASEPRICE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "wenn true - dann sollte Preis Ab im Planner nicht angezeigt werden"
  }),
  type: 'boolean'
}, {
  catalogKey: 'divaPlanerDigits',
  codex: 'DIVA3D_PLANER_DIGITS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Anzahl der Kommastellen bei Masslinien im Planer (Jutzler mit mm)"
  }),
  type: 'number'
}, {
  catalogKey: 'diva3dPlanerShowArticleAsSvg',
  codex: 'DIVA3D_PLANER_SHOW_ARTICLE_SVG',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "beim Planer werden die planung svgs als Artikel Previewes angezeigt"
  }),
  type: 'boolean'
}, {
  catalogKey: 'showTypeNrInPlanner',
  codex: 'SHOWTYPENRINPLANNER',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "die TypeNr wird im Planer bei der Artikelbeschreibung mit () dazugeschrieben"
  }),
  type: 'boolean'
}, {
  catalogKey: 'startFilterParams',
  codex: 'STARTFILTERPARAMS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "ist Breistrichgetrennt und gibt an mit welchen Filter der Planer initialisiert wird. z.B. 1,2,3 = Links- Zwischen und Rehcte Anbauelemente (1=links,2=Zwischen,3=Rechts,4=Solo,5=Accessoires)"
  }),
  type: 'string'
}, {
  catalogKey: 'startHideArticles',
  codex: 'STARTHIDEARTICLES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "ist ein array mit articlesCodexes welche zu beginn im planner ausgeblendet werden"
  }),
  type: 'Array'
}, {
  catalogKey: 'useGlobalSVGScale',
  codex: 'USEGLOBALSVGSCALE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "SVG gr\xF6\xDFe wird abh\xE4ngig von den Artikelma\xDFe gestreckt"
  }),
  type: 'boolean'
}, {
  catalogKey: 'useBoxPlanner',
  codex: 'USEBOXPLANNER',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Boxplanner wird verwendet"
  }),
  type: 'boolean'
}, {
  catalogKey: 'plannerType',
  codex: 'PLANNERTYPE',
  desc: /*#__PURE__*/jsxs(Fragment, {
    children: ["der plannerType kann hier angegeben werden: Folgende werte sind m\xF6glich: 'PLANNER' = normaler usecase, ", /*#__PURE__*/jsx("br", {}), "'PRODUCTS' = alter usecase von GuF,", /*#__PURE__*/jsx("br", {}), "'PROMOTED' = usecase f\xFCr L\xFCck, ", /*#__PURE__*/jsx("br", {}), "'PROMOTED;PRODUCTS' weiterer usecase von L\xFCck,", /*#__PURE__*/jsx("br", {}), "'NONE' = planner wird ausgeblendet, ", /*#__PURE__*/jsx("br", {}), "'CUSTOMER_OPTIMIZED_PLANNER' = alte pfisterwebshop verbesserungen, ", /*#__PURE__*/jsx("br", {}), "'JUMP_OVER_PLANNER' = planner wird bei start \xFCbersrungen"]
  }),
  type: 'string'
}, {
  catalogKey: 'startPlannerArticle',
  codex: 'START_PLANNER_ARTICLE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Start article that is loaded after starting the planner. used for boxplanner"
  }),
  type: 'string'
}, {
  catalogKey: 'hide2DPlanner',
  codex: 'HIDE_2D_PLANNER',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Hide 2D grid / planner if possible"
  }),
  type: 'boolean'
}, {
  catalogKey: 'accessorieStepAsPlanner',
  codex: 'ACCESSOIRE_STEP_AS_PLANNER',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "the accessorie step has all the planner capabilities"
  }),
  type: 'boolean'
}, {
  catalogKey: 'dontSaveAlternativeRenderings',
  codex: 'DONT_SAVE_ALTERNATIVERENDERINGS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "alternative Rendering dont get saved and added to basket and pdf"
  }),
  type: 'boolean'
}, {
  catalogKey: 'showAllItemsInPlanner',
  codex: 'SHOW_ALL_ITEMS_IN_PLANNER',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "All elements are shown in the planner palette"
  }),
  type: 'boolean'
}, {
  catalogKey: 'doCheckConstructionWarnings',
  codex: 'HIDECONSTRUCTIONWARNING',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "konstruktionswarnungen k\xF6nnen mit diesem Flag ausgeblendet werden (Rolf Benz)"
  }),
  type: 'boolean'
}, {
  catalogKey: 'forceConstructionWarningForArticles',
  codex: 'FORCECONSTRUCTIONWARNINGARTICLES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Bestimmte artikel werden trotzdem noch, falls constructions oder compltness warnungen ausgestellt sind, gepr\xFCfut und ggf warnungen ausgegeben"
  }),
  type: 'boolean'
}, {
  catalogKey: 'hideCompletenessWarning',
  codex: 'HIDECOMPLETENESSWARNING',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "unvollst\xE4ndigkeitswarnung wird ignoriert"
  }),
  type: 'boolean'
}, {
  catalogKey: 'reconfigAfterArticleDocked',
  codex: 'RECONFIG_AFTER_ARTICLE_DOCKED',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "updates the configuration when something at the dockingpoints changed."
  }),
  type: 'boolean'
}, {
  catalogKey: 'useDiomexConfigLogic',
  codex: 'USE_DIOMEX_CONFIG_LOGIC',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "configurationslogik von diomex wird angewannt. Diese erlaubt dass optionen auch keinen wert aktuell gew\xE4hlt haben. hier wird nicht standardm\xE4\xDFig der erste wert selektiert, falls der alter wert nicht miehr g\xFCltig ist."
  }),
  type: 'boolean'
}, {
  catalogKey: 'ignoreLayerAVC',
  codex: 'IGNORELAYERAVC',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "AVC docken nun auch, wenn auf demselben Layer sind"
  }),
  type: 'boolean'
}, {
  catalogKey: 'ignoreLayerAVOAVU',
  codex: 'IGNORELAYERAVOAVU',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "AVOAVU auch docken, wenn auf demselben Layer"
  }),
  type: 'boolean'
}, {
  catalogKey: 'ignoreLayerAVNAVS',
  codex: 'IGNORELAYERAVNAVS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "AVNAVS auch docken, wenn auf demselben Layer"
  }),
  type: 'boolean'
}, {
  catalogKey: 'dockAccOnAvoOnly',
  codex: 'DOCKACCONAVOONLY',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "ist bei K\xFCssnacht dass Acc nicht an nach unten schauenden Dockingpoints angedockt werden k\xF6nnen sondern immer nur oben drauf verplant werden k\xF6nnen"
  }),
  type: 'boolean'
}, {
  catalogKey: 'showAccOnDpOnly',
  codex: 'SHOWACCONDPONLY',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Acc werden wur im Planer zum verplanen angezeigt falls man den plassenden Dockingpoint in 2D oder 3D selektiert hat"
  }),
  type: 'boolean'
}, {
  catalogKey: 'replaceModeActive',
  codex: 'PLANNER_REPLACE_MODE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "tauschfunktion activ. ist Default auf \"1\" gesetzt. Kann mit diesem Flag deaktiviert werden. Dass die Tauschfunktion im UI auftaucht muss der Katalog min 1 artikel mit AVL-AVR haben und die Tauschfunktion in der Webconfig aktiviert sein \"showReplaceFunctionInPlanner\": true"
  }),
  type: 'boolean'
}, {
  catalogKey: 'hidePlannerUiIcons',
  codex: 'HIDE_PLANNER_UI_ICONS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "alle Planner UI ICONs werden ausgeblendet, wir PosNr und Rot Icon"
  }),
  type: 'boolean'
}, {
  catalogKey: 'dontSetPosNrFromPlanner',
  codex: 'DONT_SET_POSNR_FROM_PLANNER',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "disables the logic that sets the posNr of the elements from the planner left to right"
  }),
  type: 'boolean'
}, {
  catalogKey: 'hideAVButtons',
  codex: 'HIDE_AV_BUTTONS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "is a string that can define which DPs are hidden. semicolon splitted eg: \"AVC;AVR\""
  }),
  type: 'Array'
}, {
  catalogKey: 'UsePrgAsOpvArticleNr',
  codex: 'USEPRGASOPVARTICLENR',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "spezielle L\xF6sung f\xFCr Jutzler - bei Zubeh\xF6sets ist die Artikelnummer nicht der SubArticleCodex sondern der Codex der Preisgruppe"
  }),
  type: 'boolean'
}, {
  catalogKey: 'articleConfigSingle',
  codex: 'ARTICLECONFIGSINGLE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Bei Konfiguratorschritte mit HeaderPosVarationType = K k\xF6nnen alle gemeinsam oder einzeln konfiguriert werden. Ist dieser Flag true wird initialisiert mit der einstellung einzeln Konfigurieren"
  }),
  type: 'boolean'
}, {
  catalogKey: 'articleConfigAll',
  codex: 'ARTICLECONFIGALL',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Bei Konfiguratorschritte mit HeaderPosVarationType = K k\xF6nnen alle gemeinsam oder einzeln konfiguriert werden. Ist dieser Flag true wird wie bereits standardm\xE4sig auf alle Konfiguriert. Doch es gibt eine Regel welche: \"wenn sich die OPVs von verschiedener Artikeln unterscheiden automatisch auf einzeln springt\". Diese Regel wird hiermit unterbunden"
  }),
  type: 'boolean'
}, {
  catalogKey: 'autoOpenContentItem',
  codex: 'AUTO_OPEN_CONTENTITEM',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "werden beim 1. mal navigieren in eine Tabgroup automatisch ge\xF6ffnet. kann auch so: \"AL;BE\" spezifisch nur auf bestimmte optionen beschr\xE4nkt werden"
  }),
  type: 'boolean'
}, {
  catalogKey: 'defaultGroupsClosed',
  codex: 'DEFAULT_GROUPS_CLOSED',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "gruppen bei Optionen sind standardm\xE4ssig geschlossen. Ist entwerder true - also \"1\" oder \"0\" immer alles geschlossen oder ein Array aus betroffenen OptionCodexe"
  }),
  type: 'Array'
}, {
  catalogKey: 'dontHideOption',
  codex: 'DONTHIDEOPTION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "ist ein Array aus OPTs welche nicht versteckt werden auch wenn sie nur eine OPV zur auswahl haben"
  }),
  type: 'Array'
}, {
  catalogKey: 'showAccessioreOnLastTab',
  codex: 'SHOWACCESSOIREONLASTTAB',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "der Schritt der Accessoires wird an letzter stelle gesetzt"
  }),
  type: 'boolean'
}, {
  catalogKey: 'hidePriceGroupsOfOPGs',
  codex: 'HIDE_PRICE_GROUPS_OF_OPGS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "versteckt den Preisgruppetext bei OPG's bei zB. der Bezugsauswahl"
  }),
  type: 'boolean'
}, {
  catalogKey: 'forceConfigAllAccessoires',
  codex: 'FORCE_CONFIG_ALL_ACCESSOIRES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "accessoires werden forciert gemeinsam configuriert"
  }),
  type: 'boolean'
}, {
  catalogKey: 'configAccessoires',
  codex: 'CONFIG_ACCESSOIRES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "accessories sind direkt configurierbar im Accessorie Schritt. kommen aber trozdem auch im Optionsbaum raus"
  }),
  type: 'boolean'
}, {
  catalogKey: 'configOnlyAccessoires',
  codex: 'CONFIG_ONLY_ACCESSOIRES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "accessories sind direkt configurierbar nur im Accessoires Schritt"
  }),
  type: 'boolean'
}, {
  catalogKey: 'ignoreArticleRelations',
  codex: 'IGNORE_ARTICLERELATIONS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Articlerelations werden im gesammten katalog ignoriert"
  }),
  type: 'boolean'
}, {
  catalogKey: 'repairVariantValues',
  codex: 'REPAIR_VARIANT_VALUES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Mapping von OPT und OPV um beim \xF6ffnen von BK's die variantValues zu updaten"
  }),
  type: 'complicated'
}, {
  catalogKey: 'showPricePreviewOnlyOnOptions',
  codex: 'SHOW_PRICEPREVIEW_ON_OPTIONS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "mit diesem Feld kann man die Sichtbarkeit der PricePreviews auf nur bestimmten optionen steuern"
  }),
  type: 'Array'
}, {
  catalogKey: 'hidePricePreviewOnlyOnOptions',
  codex: 'HIDE_PRICEPREVIEW_ON_OPTIONS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "mit diesem Feld kann man die Sichtbarkeit der PricePreviews auf nur bestimmten optionen ausblenden"
  }),
  type: 'Array'
}, {
  catalogKey: 'forceConfigSingle',
  codex: 'FORCE_CONFIG_SINGLE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "das einzeln konfigurieren wird in diesem Katalog gezwungen"
  }),
  type: 'boolean'
}, {
  catalogKey: 'initOptionTreeTwice',
  codex: 'INIT_OPTIONTREE_TWICE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Felher bei Cotta IDM wird somit ausgebes"
  }),
  type: 'boolean'
}, {
  catalogKey: 'dontShowAccStep',
  codex: 'DONT_SHOW_ACC_STEP',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Tabgroup \"Zubeh\xF6r\" mit den ArticleRelations (Kissen usw.) wird ausgeblendet"
  }),
  type: 'boolean'
}, {
  catalogKey: 'useTypeNrAsArticleNrEKText',
  codex: 'USE_TYPENR_AS_ARTICLENR_EKTEXT',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "fix f\xFCr Hasena"
  }),
  type: 'boolean'
}, {
  catalogKey: 'addNewLineBeforRuleDesc',
  codex: 'ADD_NEW_LINE_BEFOR_RULEDESC',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "f\xFCr Kirchner neue zeile im Checkout vor der Klanner und der RuleCes von den Partlistarticles"
  }),
  type: 'boolean'
}, {
  catalogKey: 'useEdoArticlesOnOpvs',
  codex: 'ADD_PA_ON_EDO',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "EDO = EachDifferetOPV f\xFCr jede unterscchiedliche OPV wird ein bestimmter Artikel geladen (MAB Modelle). Dieses Array enth\xE4lt ein Array von Gruppierte OPVs, die wenn in Set verplant Zusatzartikel hinzugef\xFCgt werden m\xFCssen."
  }),
  type: 'complicated'
}, {
  catalogKey: 'useShelfPlannerRTV',
  codex: 'USE_SHELFPLANNER_RTV',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "shelfplanner with selection in RTV (first time with Biohort)"
  }),
  type: 'boolean'
}, {
  catalogKey: 'summaryTabGroupPosition',
  codex: 'SUMMARY_TABGROUP_POSITION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Reihenfoge f\xFCr L\xFCck zusammenfassung"
  }),
  type: 'Array'
}, {
  catalogKey: 'onConfigSingleDontGeneralize',
  codex: 'ONCONFIG_SINGLE_DONT_GENERALIZE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "For Boxplanner when switching to config all dont generalize the current configuration automatically and let the elements have different configs"
  }),
  type: 'boolean'
}, {
  catalogKey: 'bannerRules',
  codex: 'BANNER',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Banner shown (contentItemId) if rule is true ect."
  }),
  type: 'complicated'
}, {
  catalogKey: 'ignoreMaxPriceAsBP',
  codex: 'IGNORE_MAX_PRICE_AS_BASEPRICE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "???"
  }),
  type: 'boolean',
  deprecated: true
}, {
  catalogKey: 'dontUseVCodexInBasket',
  codex: 'DONT_USE_VCODEX_FOR_BASKET',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "https://app.asana.com/0/1202950885998065/1202784374573245"
  }),
  type: 'boolean'
}, {
  catalogKey: 'usePosCountValue',
  codex: 'USEPOSCOUNTVALUE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "alter tag"
  }),
  type: 'boolean',
  deprecated: true
}, {
  catalogKey: 'useDecisionPosCountValue',
  codex: 'USE_DECISION_POS_COUNT_VALUE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "neuer tag. Wird automatisch beim import von st\xFCcklistentabelle und bei IDM import gesetzt. Muss also in zukunft nichtmehr h\xE4ndisch gepflegt werden"
  }),
  type: 'boolean'
}, {
  catalogKey: 'ignoreIsDefinedCheck',
  codex: 'IGNORE_ISDEFINED_CHECK',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "if true, on summary click does not check and show the dialob that some articles have options that were not visited"
  }),
  type: 'boolean'
}, {
  catalogKey: 'partlistPostFix',
  codex: 'PARTLIST_POSTFIX',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "erg\xE4nzt einen \xDCbersetzbaren string am Ende des Names"
  }),
  type: 'complicated'
}, {
  catalogKey: 'mergeOptionsToSameOption',
  codex: 'MERGE_OPTIONS_TO_SAME_OPTION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "usecase Amalfi Options OPTBE & OPTZUBEHOER are technically the same so they should be merged if possible"
  }),
  type: 'complicated'
}, {
  catalogKey: 'bundleRules',
  codex: 'BUNDLE_RULES',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "crazy logic!"
  }),
  type: 'complicated'
}];

export { properties as default };
