import './index-e560cd58.js';
import 'react';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var properties = [{
  catalogKey: 'url',
  codex: 'INFO_URL',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "URL um eine Webseite bei Option zu hinterlegen f\xFCr info"
  }),
  type: 'string'
}, {
  catalogKey: 'showSearchbar',
  codex: 'SHOW_SEARCHBAR',
  desc: /*#__PURE__*/jsxs(Fragment, {
    children: ["1 = Suchfeld wird bei der Option angezeigt.", /*#__PURE__*/jsx("br", {}), " 0 = Suchfeld wird ausgeblendet"]
  }),
  type: 'boolean'
}, {
  catalogKey: 'showFilter',
  codex: 'SHOW_FILTER',
  desc: /*#__PURE__*/jsxs(Fragment, {
    children: ["1 =Filter wird bei der Option angezeigt.", /*#__PURE__*/jsx("br", {}), " 0 = Filter wird ausgeblendet"]
  }),
  type: 'boolean'
}, {
  catalogKey: 'pdfUrl',
  codex: 'INFO_PDF',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "URL um eine PDF bei Option zu hinterlegen f\xFCr pdf info"
  }),
  type: 'string'
}, {
  catalogKey: 'diameter',
  codex: 'DIAMETER',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Diesee Option ist Breite und Tiefe zugleich f\xFCr preisberechung usw. (bei Runde Teppiche)"
  }),
  type: 'boolean'
}, {
  catalogKey: 'pairWithOptionsToGroup',
  codex: 'PAIROPTION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "mit welcher Option diese option zu gruppieren ist?? evtl. nachschauen bei welchen Katalog dies hinterleget ist"
  }),
  type: 'string'
}, {
  catalogKey: 'requiresUserInput',
  codex: 'REQUIRES_USER_INPUT',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Inputfelder bei Superior Seating forcieren den User kein Inputfeld zu \xFCberspringen"
  }),
  type: 'boolean'
}, {
  catalogKey: 'contentItemId',
  codex: 'CONTENT_ITEM',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "contentItemId reference"
  }),
  type: 'string'
}, {
  catalogKey: 'isDescribingState',
  codex: 'IS_STATE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Option ist nur ein State wie: Gartenschirm offen doer geschlossen. Diese Optionen sollen nicht bei Bestellungsrelevanten logiken entscheidend sein"
  }),
  type: 'boolean'
}, {
  catalogKey: 'hideOptionInConfigurator',
  codex: 'HIDE_OPTION_IN_CONFIGURATOR',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Option beim Konfigurieren wird verstecht"
  }),
  type: 'boolean'
}, {
  catalogKey: 'mergeIDMToOPG',
  codex: 'MERGE_IDM_TO_OPG',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Bei IDM Kataloge k\xF6nnen \"k\xFCnstlich\" OPGs erstellt werden: Bei Optionen welche zB bezugsgruppen sind kann dort der OptionsCodex der Bez\xFCge hinterlegt werden und der Konfigurator generigert optionsgruppen"
  }),
  type: 'string'
}, {
  catalogKey: 'onlyVisibleIfNotDocked',
  codex: 'ONLY_VISIBLE_IF_NOT_UNDOCK',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "F\xFCr Bali amalfi verwendet. Kann dies gel\xF6scht werden?"
  }),
  type: 'boolean'
}, {
  catalogKey: 'onlyVisibleIfConfigSingle',
  codex: 'ONLY_VISIBLE_IF_CONFIG_SINGLE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Hide this option when config single is not active"
  }),
  type: 'boolean'
}, {
  catalogKey: 'onlyVisibleIfConfigAll',
  codex: 'ONLY_VISIBLE_IF_CONFIG_ALL',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Hide this option when config single is active"
  }),
  type: 'boolean'
}, {
  catalogKey: 'isDefaultValueForOptions',
  codex: 'ISDEFAULTVALUEFOROPTIONS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Global Bezug logik. Option \xFCbertr\xE4gt auf andere Optionen die auswahl welche hier getroffen wird"
  }),
  type: 'Array'
}, {
  catalogKey: 'freetextDefaultValue',
  codex: 'FREETEXT_DEFAULT_VALUE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Freitexteingabe Defaultwert: zB: Terra Arte -- Teppich startet bei 100 cm anstatt 30 cm "
  }),
  type: 'string'
}, {
  catalogKey: 'customDimension',
  codex: 'CUSTOM_DIMENSION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Der OPV-Wert dieser Option wird als Custom Dimenstion im PDF & UI angezeigt"
  }),
  deprecated: true,
  type: 'boolean'
}, {
  catalogKey: 'forceShowVariantDesc',
  codex: 'SHOW_IN_VARIANTDESC',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Wird in Variantdescription angeziegt auch wenn die Option aus irgend einen Grund nicht sichtbar ist"
  }),
  type: 'boolean'
}, {
  catalogKey: 'showOnSeparatTabgroup',
  codex: 'SHOW_SEPARAT_ON_TABGROUP',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Option wird separat abgekapselt im zB: \"PLANNER\" angezeigt. wurde bis jetzt f\xFCr zB. Sitztielfen verwendet (plannerrelevante optionen)"
  }),
  type: 'string'
}, {
  catalogKey: 'setName',
  codex: 'SETNAME',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Katalogname wird erg\xE4nzt mit dem Name der ausgew\xE4hlten OptionValue dieser Option (den selben Flag gibt es auf OptionsWert ebene um einen Alternativen text zu hinterlegen wenn der optionswerttext nicht passend ist)"
  }),
  type: 'string'
}, {
  catalogKey: 'addOptionToTabgroupInPartlistSummary',
  codex: 'ADD_OPT_TO_TABGROUP_IN_PL_SUM',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "anzeigelogik von L\xFCck WWS. Diese Option wird in der Zusammenfassung unter der Tabgroup gruppiert welche in deser Propertie hinterlegt wird"
  }),
  type: 'string'
}, {
  catalogKey: 'addToWWS',
  codex: 'ADD_TO_WWS',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "diese Option wird in WWS und PDF bei L\xFCck mit einbezogen"
  }),
  type: 'string'
}, {
  catalogKey: 'isDefaultSiblingOption',
  codex: 'DEFAULT_SIBLING_OPTION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "hier wird eine Geschwisteroption hinterlegt, von welcher der gew\xE4hlte OPV als default verwendet wird, bevor einfach der 1. sichtbare wert verwendet wird."
  }),
  type: 'string'
}];

export { properties as default };
