import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _asyncToGenerator from '@babel/runtime/helpers/asyncToGenerator';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import _regeneratorRuntime from '@babel/runtime/regenerator';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useState, useEffect } from 'react';
import { n as notExpanded } from './index.module-e5cc5bed.js';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import { DivaUtils } from '@crystaldesign/diva-core';
import './react-json-viewer-ed11badd.js';
import { D as DecisionVisualization } from './DecisionVizualizer-5fd20957.js';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'react-json-view-lite';
import 'react-draggable';

var table = "table-dlyc3";
var filter = "filter-uCpFs";
var column = "column--cQ52";
var scrollable = "scrollable-VXYsC";
var header = "header-T1xEK";
var decision = "decision-plIiC";
var css_248z = ".table-dlyc3 {\n  position: relative;\n  width: 100%;\n  height: 100%;\n  background-color: #ffffff;\n  border-collapse: collapse;\n  border-width: 0px;\n  border-color: #e7eaf8;\n  border-style: solid;\n  color: #000000;\n  font-weight: normal;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  overflow-y: auto;\n  top: 73px;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n\n.filter-uCpFs {\n  height: 12px;\n  font-size: 10px;\n}\n\n.table-dlyc3 thead {\n  font-weight: bold !important;\n}\n\n.table-dlyc3 thead {\n  border-bottom: 1px solid;\n  background-color: var(--thirdColor);\n  font-size: 16px;\n  padding-top: 1%;\n  color: white;\n}\n.column--cQ52 {\n  text-align: left;\n}\n.column--cQ52:first-child {\n  height: 20px;\n}\n\n.column--cQ52 th {\n  border-bottom: 1px solid;\n  padding-right: 10px;\n  margin-bottom: 1%;\n  font-weight: normal;\n}\n.scrollable-VXYsC {\n  overflow: auto;\n  left: 50px;\n  height: 100%;\n}\n.header-T1xEK {\n  height: 8%;\n  width: 100%;\n  padding-top: 0.7%;\n  text-align: center;\n  position: absolute;\n  background-color: var(--primaryColor);\n  font-size: 30px;\n  color: white;\n  font-weight: 600;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  gap: 10px;\n}\n\n.decision-plIiC {\n  z-index: 100;\n  position: fixed;\n  top: 60px;\n  right: 0px;\n  z-index: 100000;\n  width: 800px;\n  height: calc(100vh - 60px);\n  background-color: #fff;\n  overflow: auto;\n}\n\n.idm-container-S4cxx {\n  padding: 16px;\n  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);\n  border: 1px solid #ddd;\n  border-radius: 8px;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n\n.idm-title-9Dkxf {\n  font-size: 1.5em;\n  font-weight: bold;\n}\n\n.idm-subtitle-KoD3- {\n  margin-top: 16px;\n  font-size: 1.2em;\n  font-weight: bold;\n}\n\n.idm-table-NbBVs {\n  width: 100%;\n  border-collapse: collapse;\n  margin-top: 8px;\n}\n\n.idm-table-NbBVs th,\n.idm-table-NbBVs td {\n  border: 1px solid #ddd;\n  padding: 8px;\n  text-align: left;\n  line-break: anywhere;\n}\n\n.idm-table-NbBVs th {\n  background-color: #f2f2f2;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PriceAnalyzer = function PriceAnalyzer(_ref) {
  var props = Object.assign({}, (_objectDestructuringEmpty(_ref), _ref));
  var viewHandler = useViewHandler();
  var articles = viewHandler.divaWebPlanner.getDivaArticles();
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    rerender = _useState2[0],
    setRerender = _useState2[1];
  useEffect(function () {
    var asyncFunct = /*#__PURE__*/function () {
      var _ref2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return DivaUtils.Sleep(1000);
            case 2:
              setRerender(!rerender);
            case 3:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      return function asyncFunct() {
        return _ref2.apply(this, arguments);
      };
    }();
    asyncFunct();
  }, [viewHandler.tabGroupState.allTabGroups]);
  useEffect(function () {
    var set = viewHandler.divaWebPlanner.actSet();
    if (set && !set.logDecisions) set.logDecisions = true;
    return function () {
      var set = viewHandler.divaWebPlanner.actSet();
      if (set) set.logDecisions = false;
    };
  }, [viewHandler.uiState.isLoading]);
  var article = Object.values(articles !== null && articles !== void 0 ? articles : {}).find(function (a) {
    return a.posNr == 1;
  });
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    selectedRow = _useState4[0],
    setSelectedRow = _useState4[1];
  var _useState5 = useState(),
    _useState6 = _slicedToArray(_useState5, 2),
    filter$1 = _useState6[0],
    setFilter = _useState6[1];
  if (!article) return /*#__PURE__*/jsx("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable),
    style: {
      zIndex: 800
    },
    children: /*#__PURE__*/jsx("a", {
      className: header,
      children: "Price analyzer - plann article"
    })
  }));
  var isIDMFormat = article.CatalogData.isIDMFormat;
  var lastStack = Object.values(article.decisionDebugStacks).findLast(function (v) {
    return v;
  });
  var prices = lastStack === null || lastStack === void 0 ? void 0 : lastStack.prices;
  if (!prices) return /*#__PURE__*/jsx("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable),
    style: {
      zIndex: 800
    },
    children: /*#__PURE__*/jsx("a", {
      className: header,
      children: "Price analyzer - change config"
    })
  }));
  var _onClick = function onClick(nr, row) {
    var _selectedRow$priceFea;
    if (nr == (selectedRow === null || selectedRow === void 0 || (_selectedRow$priceFea = selectedRow.priceFeatureGroup) === null || _selectedRow$priceFea === void 0 ? void 0 : _selectedRow$priceFea.priceFeatureGroupNo)) {
      setSelectedRow(undefined);
    } else setSelectedRow(row);
  };
  if (!isIDMFormat) return /*#__PURE__*/jsx(Fragment, {
    children: "only implemented for IDM enricher data"
  });
  if (!prices) return /*#__PURE__*/jsx(Fragment, {
    children: " "
  });
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable, viewHandler.uiState.configSettingsIsExpanded ? notExpanded : undefined),
    children: [/*#__PURE__*/jsxs("a", {
      className: header,
      children: ["Price history", /*#__PURE__*/jsx("input", {
        value: filter$1,
        onChange: function onChange(e) {
          return setFilter(e.target.value);
        },
        placeholder: "filter option ohne OPT",
        className: filter
      })]
    }), /*#__PURE__*/jsxs("div", {
      children: [/*#__PURE__*/jsxs("table", {
        className: table,
        children: [/*#__PURE__*/jsx("thead", {
          children: /*#__PURE__*/jsx("tr", {
            className: column,
            children: /*#__PURE__*/jsx("th", {
              children: 1
            })
          })
        }), /*#__PURE__*/jsx("tbody", {
          children: prices.map(function (p, j) {
            return /*#__PURE__*/jsx("tr", {
              className: column,
              children: /*#__PURE__*/jsx("th", {
                onClick: function onClick() {
                  return _onClick(p.nr, p);
                },
                children: p.text
              })
            }, j);
          })
        })]
      }), selectedRow && /*#__PURE__*/jsx("div", {
        className: decision,
        children: /*#__PURE__*/jsx(DecisionVisualization, {
          decision: selectedRow.priceFeatureGroup,
          anyData: {
            prices: article.catalogArticle.idmPrices,
            variantData: selectedRow.variantValues
          },
          onClose: function onClose() {
            return setSelectedRow(undefined);
          }
        })
      })]
    })]
  }));
};
var PriceAnalyzer$1 = observer(PriceAnalyzer);

export { PriceAnalyzer$1 as default };
