import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { u as useViewHandler } from './index-e560cd58.js';
import { useState, useEffect } from 'react';
import { observer } from 'mobx-react-lite';
import { a as table, c as column } from './index.module-09c60496.js';
import Collapsible from 'react-collapsible';
import { jsx, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PartlistTable = function PartlistTable(_ref) {
  var _onClick = _ref.onClick,
    articles = _ref.articles,
    price = _ref.price,
    title = _ref.title,
    allOpen = _ref.allOpen,
    configStepKey = _ref.configStepKey,
    showDiffOnly = _ref.showDiffOnly;
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    pa = _useState2[0],
    setPa = _useState2[1];
  var viewHandler = useViewHandler();
  useEffect(function () {
    var _p$configStepKey;
    var optionPartlistArticles = viewHandler.settingsState.partlistArticlesInOverview[configStepKey];
    if (pa !== undefined && optionPartlistArticles && optionPartlistArticles.totalCount !== optionPartlistArticles.items.length) return;
    if (pa !== undefined && !showDiffOnly) return;
    var partlistArticles = [];
    for (var basketId in articles) {
      partlistArticles = _getPartlistArticles(articles[basketId], partlistArticles);
    }
    if (showDiffOnly && optionPartlistArticles && optionPartlistArticles.totalCount === optionPartlistArticles.items.length) {
      partlistArticles = partlistArticles.map(function (pa) {
        return _objectSpread(_objectSpread({}, pa), {}, {
          visible: optionPartlistArticles.items.filter(function (p) {
            return p.articles.find(function (p) {
              return p.plaCodex == pa.articleCodex && pa.retailArticleNr == p.retailArticleNr;
            });
          }).length !== optionPartlistArticles.items.length
        });
      });
    }
    var p = _objectSpread({}, viewHandler.settingsState.partlistArticlesInOverview);
    if ((_p$configStepKey = p[configStepKey]) !== null && _p$configStepKey !== void 0 && _p$configStepKey.items && !p[configStepKey].items.find(function (a) {
      return a.opv === title;
    })) {
      p[configStepKey].items.push({
        opv: title,
        articles: partlistArticles.map(function (p) {
          return {
            plaCodex: p.articleCodex,
            retailArticleNr: p.retailArticleNr,
            quantity: p.quantity
          };
        })
      });
      viewHandler.settingsState.setPartlistArticlesInOverview(p);
    }
    setPa(partlistArticles);
  }, [viewHandler.settingsState.partlistArticlesInOverview]);
  return /*#__PURE__*/jsx(Collapsible, {
    trigger: /*#__PURE__*/jsx("div", {
      style: {
        cursor: 'pointer'
      },
      children: 'Stücklistenartikel: ' + (pa !== null && pa !== void 0 ? pa : []).length + ' preis: ' + price + ' -- ' + title
    }),
    open: title == '' || allOpen,
    easing: 'ease',
    transitionTime: 100,
    children: /*#__PURE__*/jsxs("table", {
      className: table,
      children: [/*#__PURE__*/jsx("thead", {
        children: /*#__PURE__*/jsxs("tr", {
          className: column,
          children: [/*#__PURE__*/jsx("th", {
            children: "Name"
          }), /*#__PURE__*/jsx("th", {
            children: "Artikle Nr."
          }), /*#__PURE__*/jsx("th", {
            children: "CatalogCodex"
          }), /*#__PURE__*/jsx("th", {
            children: "Preis"
          }), /*#__PURE__*/jsx("th", {
            children: "Nr"
          }), /*#__PURE__*/jsx("th", {
            children: "Prefix"
          }), /*#__PURE__*/jsx("th", {
            children: "Menge"
          }), /*#__PURE__*/jsx("th", {
            children: "Rule"
          }), /*#__PURE__*/jsx("th", {
            children: "decision"
          })]
        })
      }), /*#__PURE__*/jsx("tbody", {
        children: (pa !== null && pa !== void 0 ? pa : []).filter(function (p) {
          return !showDiffOnly || p.visible || p.visible === undefined;
        }).map(function (partListArticle) {
          var _partListArticle$pric, _partListArticle$deci, _partListArticle$deci2;
          return /*#__PURE__*/jsxs("tr", {
            className: column,
            children: [/*#__PURE__*/jsxs("th", {
              children: [" ", partListArticle.name]
            }), /*#__PURE__*/jsxs("th", {
              children: [partListArticle.articleCodex, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [partListArticle.catalogCodex, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [" ", (_partListArticle$pric = partListArticle.price) !== null && _partListArticle$pric !== void 0 ? _partListArticle$pric : 0, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [" ", partListArticle.retailArticleNr, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [partListArticle.retailPrefix, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [partListArticle.quantity, " "]
            }), /*#__PURE__*/jsx("th", {
              children: partListArticle.rule
            }), partListArticle.decision && /*#__PURE__*/jsx("th", {
              onClick: function onClick() {
                return _onClick({
                  decision: partListArticle.decision,
                  rule: partListArticle.partlistRule
                });
              },
              children: ((_partListArticle$deci = partListArticle.decision) === null || _partListArticle$deci === void 0 ? void 0 : _partListArticle$deci.Number) || ((_partListArticle$deci2 = partListArticle.decision) === null || _partListArticle$deci2 === void 0 ? void 0 : _partListArticle$deci2.decisionNo)
            })]
          }, partListArticle.articleCodex + partListArticle.retailArticleNr);
        })
      })]
    })
  });
};
var _getPartlistArticles = function getPartlistArticles(article, partlistArticles) {
  for (var key in article.partlistArticles) {
    var partlistArticle = article.partlistArticles[key];
    if (partlistArticle.hasPartlistArticle) {
      partlistArticles.push(getPartlsitArticleObj(partlistArticle, true));
      partlistArticles = _getPartlistArticles(partlistArticle, partlistArticles);
      continue;
    }
    var found = false;
    for (var i = 0; i < partlistArticles.length; i++) {
      if (partlistArticle.articleCodex === partlistArticles[i].articleCodex && partlistArticle.retailArticleNr === partlistArticles[i].retailArticleNr && partlistArticle.retailPrefix === partlistArticles[i].retailPrefix && partlistArticle.catalogCodex === partlistArticles[i].catalogCodex && JSON.stringify(partlistArticle.VariantValues) == JSON.stringify(partlistArticles[i].VariantValues)) {
        found = true;
        partlistArticles[i].quantity += partlistArticle.quantity;
        break;
      }
    }
    if (!found) {
      partlistArticles.push(getPartlsitArticleObj(partlistArticle));
    }
  }
  return partlistArticles;
};
var getPartlsitArticleObj = function getPartlsitArticleObj(partlistArticle, isWrapper) {
  var _partlistArticle$reta, _partlistArticle$reta2, _partlistArticle$rule, _partlistArticle$cata, _partlistArticle$part, _partlistArticle$part2;
  return {
    name: (isWrapper ? 'Hülse: ' : '') + partlistArticle.posNr + ' ' + partlistArticle.name,
    price: isWrapper ? '---' : partlistArticle.price,
    retailArticleNr: (_partlistArticle$reta = partlistArticle.retailArticleNr) !== null && _partlistArticle$reta !== void 0 ? _partlistArticle$reta : '',
    retailPrefix: (_partlistArticle$reta2 = partlistArticle.retailPrefix) !== null && _partlistArticle$reta2 !== void 0 ? _partlistArticle$reta2 : '',
    quantity: partlistArticle.quantity,
    ruleDesc: (_partlistArticle$rule = partlistArticle.ruleDesc) !== null && _partlistArticle$rule !== void 0 ? _partlistArticle$rule : '',
    articleCodex: partlistArticle.articleCodex,
    catalogCodex: (_partlistArticle$cata = partlistArticle.catalogCodex) !== null && _partlistArticle$cata !== void 0 ? _partlistArticle$cata : '',
    codex: partlistArticle.articleCodex,
    rule: partlistArticle.ruleDesc,
    decision: partlistArticle.partlistDecisionNo ? (_partlistArticle$part = (_partlistArticle$part2 = partlistArticle.partListParentArticle) === null || _partlistArticle$part2 === void 0 || (_partlistArticle$part2 = _partlistArticle$part2.catalogArticle.partlistDecisions) === null || _partlistArticle$part2 === void 0 ? void 0 : _partlistArticle$part2['D' + partlistArticle.partlistDecisionNo]) !== null && _partlistArticle$part !== void 0 ? _partlistArticle$part : partlistArticle.CatalogData.loadedDecisions.find(function (p) {
      return p.decisionNo === partlistArticle.partlistDecisionNo;
    }) : undefined,
    partlistRule: partlistArticle.partlistRule
  };
};
var PartListTable = observer(PartlistTable);

export { PartListTable as default };
