import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import { useEffect } from 'react';
import RalDropdownFilter from './index-d0cb686e.js';
import SlideFilter from './index-c43b9bf6.js';
import { jsx } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'react-dropdown';
import './index-98a94c2a.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';

var css_248z = "#wcConfigurator .Dropdown-root {\n  position: relative;\n}\n\n#wcConfigurator .Dropdown-control {\n  position: relative;\n  overflow: hidden;\n  background-color: white;\n  border: 1px solid #ccc;\n  border-radius: 2px;\n  box-sizing: border-box;\n  color: #333;\n  cursor: default;\n  outline: none;\n  padding: 4px 24px 4px 10px;\n  transition: all 200ms ease;\n}\n\n#wcConfigurator .Dropdown-control:hover {\n  box-shadow: 0 1px 0 rgba(0, 0, 0, 0.06);\n}\n\n#wcConfigurator .Dropdown-arrow {\n  border-color: #999 transparent transparent;\n  border-style: solid;\n  border-width: 5px 5px 0;\n  content: ' ';\n  display: block;\n  height: 0;\n  margin-top: -ceil(2.5);\n  position: absolute;\n  right: 10px;\n  top: 14px;\n  width: 0;\n}\n\n#wcConfigurator .is-open .Dropdown-arrow {\n  border-color: transparent transparent #999;\n  border-width: 0 5px 5px;\n}\n\n#wcConfigurator .Dropdown-menu {\n  background-color: white;\n  border: 1px solid #ccc;\n  box-shadow: 0 1px 0 rgba(0, 0, 0, 0.06);\n  box-sizing: border-box;\n  margin-top: -1px;\n  max-height: 200px;\n  overflow-y: auto;\n  position: absolute;\n  top: 100%;\n  width: 100%;\n  z-index: 1000;\n  -webkit-overflow-scrolling: touch;\n}\n\n#wcConfigurator .Dropdown-menu .Dropdown-group > .Dropdown-title {\n  padding: 8px 10px;\n  color: rgba(51, 51, 51, 1);\n  font-weight: 300;\n  text-transform: capitalize;\n}\n\n#wcConfigurator .Dropdown-option {\n  box-sizing: border-box;\n  color: rgba(51, 51, 51, 0.8);\n  cursor: pointer;\n  display: block;\n  padding: 8px 10px;\n}\n\n#wcConfigurator .Dropdown-option:last-child {\n  border-bottom-right-radius: 2px;\n  border-bottom-left-radius: 2px;\n}\n\n#wcConfigurator .Dropdown-option:hover {\n  background-color: #f2f9fc;\n  color: #333;\n}\n\n#wcConfigurator .Dropdown-option.is-selected {\n  background-color: #f2f9fc;\n  color: #333;\n}\n\n#wcConfigurator .Dropdown-noresults {\n  box-sizing: border-box;\n  color: #ccc;\n  cursor: default;\n  display: block;\n  padding: 8px 10px;\n}\n";
styleInject(css_248z);

var defaultColorFilters = [{
  rgb: '#CC3300',
  text: 'red'
}, {
  rgb: '#FF8C00',
  text: 'orange'
}, {
  rgb: '#E1C699',
  text: 'beige'
}, {
  rgb: '#330000',
  text: 'brown'
}, {
  rgb: '#F0E68C',
  text: 'yellow'
}, {
  rgb: '#006633',
  text: 'green'
}, {
  rgb: '#3333FF',
  text: 'blue'
}, {
  rgb: '#6633FF',
  text: 'violet'
}, {
  rgb: '#CCCCCC',
  text: 'grey'
}, {
  rgb: '#000000',
  text: 'black'
}, {
  rgb: '#eeeeee',
  text: 'white'
}, {
  rgb: '#eeeeee',
  text: 'else'
}];

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var RalFilter = function RalFilter(_ref) {
  var props = Object.assign({}, (_objectDestructuringEmpty(_ref), _ref));
  var viewHandler = useViewHandler();
  var palette = viewHandler.settingsState.itemPalettes.get(props.id);
  var visibleColorItems = [];
  var deleteCurValue = function deleteCurValue() {
    viewHandler.paletteViewHandler.onSelectFilter(props.id, '', 'RAL');
  };
  useEffect(function () {
    if (palette && !(palette !== null && palette !== void 0 && palette.deleteCurFilter)) palette.deleteCurFilter = deleteCurValue;
  }, [palette]);
  palette === null || palette === void 0 || palette.groups.map(function (group) {
    return group.items.map(function (itemP) {
      var _item$colorGroups;
      var item = itemP;
      if (!((_item$colorGroups = item.colorGroups1) !== null && _item$colorGroups !== void 0 && _item$colorGroups.length)) return;
      var colorGroups = [item.colorGroups1, item.colorGroups2, item.colorGroups3];
      var _loop = function _loop() {
        var groups = colorGroups[i];
        var group = defaultColorFilters.find(function (group) {
          return group.text === groups;
        });
        if (group && !visibleColorItems.find(function (i) {
          return i.text === groups;
        })) {
          visibleColorItems.push(group);
        }
      };
      for (var i = 0; i < colorGroups.length; i++) {
        _loop();
      }
    });
  });
  if (viewHandler.uiState.isInMobileView && viewHandler.getViewConfig().ralFilter) return /*#__PURE__*/jsx(SlideFilter, _objectSpread({
    deleteCurValue: deleteCurValue,
    visibleColorItems: visibleColorItems
  }, props));else return /*#__PURE__*/jsx(RalDropdownFilter, _objectSpread({
    deleteCurValue: deleteCurValue,
    visibleColorItems: visibleColorItems
  }, props));
};
var RALFilter = observer(RalFilter);

export { RALFilter as default };
