import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import RoomRound from './index-45ec87df.js';
import classnames from 'classnames';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var roomItem = "roomItem-Uuc6r";
var roomItemSel = "roomItem-sel-ePWgY";
var mobile = "mobile-gsjDz";
var roomItemContainer = "roomItem-container-3jH8Z";
var viewItemContainer = "viewItem-container-OlPAR";
var css_248z = "li.roomItem-Uuc6r {\n  width: 70px;\n  height: 70px;\n  background-color: #f5f5f5;\n  opacity: 0.8;\n  background-repeat: no-repeat;\n  background-position: center;\n  border-radius: 50%;\n  background-size: 65%;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2242%22 height%3D%2235%22 viewBox%3D%220 0 42 35%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M11.6329 26.5973L1 33.4896V1.48962L11.6329 4.93578M11.6329 26.5973V4.93578M11.6329 26.5973H21.2532M11.6329 4.93578H41V26.5973H30.3671M21.2532 26.5973V11.8281H30.3671V26.5973M21.2532 26.5973H30.3671%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%222%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  transition: background-color 0.2s ease-in-out;\n  opacity: 0.8;\n  border: 1px solid #bebec3;\n}\nli.roomItem-sel-ePWgY {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2242%22 height%3D%2235%22 viewBox%3D%220 0 42 35%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M11.6329 26.5973L1 33.4896V1.48962L11.6329 4.93578M11.6329 26.5973V4.93578M11.6329 26.5973H21.2532M11.6329 4.93578H41V26.5973H30.3671M21.2532 26.5973V11.8281H30.3671V26.5973M21.2532 26.5973H30.3671%22 stroke%3D%22white%22 stroke-width%3D%222%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-color: #4b4b4b;\n}\n\nli.roomItem-Uuc6r:hover {\n  box-shadow: var(--boxShadowHover);\n}\n\n.mobile-gsjDz {\n  position: absolute;\n  right: 6px;\n  bottom: 6px;\n  z-index: 1000;\n}\n\nli.mobile-gsjDz.roomItem-Uuc6r {\n  width: 45px;\n  height: 45px;\n  display: block;\n}\n\n.roomItem-container-3jH8Z {\n  position: absolute;\n  bottom: 90px;\n  left: 29px;\n  z-index: 700;\n  min-width: 300px;\n  overflow-y: auto;\n  overflow-x: visible;\n  /*hide scrollbar*/\n  -ms-overflow-style: none;\n  scrollbar-width: none; /* Firefox */\n}\n.roomItem-container-3jH8Z::-webkit-scrollbar {\n  display: none;\n}\n\n.viewItem-container-OlPAR {\n  position: absolute;\n  display: flex;\n  bottom: 6px;\n  left: 111px;\n  z-index: 700;\n  flex-direction: row;\n  overflow-y: visible;\n  overflow-x: auto;\n}\n\n.mobile-gsjDz.roomItem-container-3jH8Z {\n  bottom: 60px;\n  direction: rtl;\n  right: 6px;\n  left: auto;\n  left: initial;\n}\n\n.mobile-gsjDz.viewItem-container-OlPAR {\n  right: 55px;\n  left: auto;\n  left: initial;\n  bottom: 6px;\n}\n";
styleInject(css_248z);

var RoomListSelection = function RoomListSelection(props) {
  var _viewHandler$productS;
  var viewHandler = useViewHandler();
  var rooms = viewHandler.paletteViewHandler.getRoomList();
  var views = viewHandler.paletteViewHandler.getRoomViewList();
  if (!viewHandler.uiState.ViewConfig.roomListInProduct || !viewHandler.settingsState.roomListInitialized || !viewHandler.productState.doShowRenderImage && !viewHandler.productState.doShow3DComb || viewHandler.settingsState.infoBoxContent || viewHandler.uiState.isMobileLandscape) return /*#__PURE__*/jsx(Fragment, {});
  var divSize = (_viewHandler$productS = viewHandler.productState.planner3DImageSvgArea) === null || _viewHandler$productS === void 0 ? void 0 : _viewHandler$productS.getBoundingClientRect();
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsx("li", {
      "data-test-id": "room-list-selection",
      className: classnames(roomItem, viewHandler.productState.roomListExpanded ? roomItemSel : undefined, viewHandler.uiState.isInMobileView ? mobile : undefined),
      onClick: function onClick() {
        viewHandler.productState.setRoomListExpanded(!viewHandler.productState.roomListExpanded);
      }
    }), viewHandler.productState.roomListExpanded && /*#__PURE__*/jsxs(Fragment, {
      children: [/*#__PURE__*/jsx("div", {
        "data-test-id": "room-selection-expanded",
        id: "views-selection-expanded",
        style: {
          maxHeight: 'calc(' + (divSize === null || divSize === void 0 ? void 0 : divSize.height) + 'px - 80px)'
        },
        className: classnames(roomItemContainer, viewHandler.uiState.isInMobileView ? mobile : undefined),
        children: rooms.map(function (item, index) {
          return /*#__PURE__*/jsx(RoomRound, {
            item: item,
            from: viewHandler.settingsState.roomListInitialized
          }, item.toString());
        })
      }), /*#__PURE__*/jsx("div", {
        id: "rooms-selection-expanded",
        style: {
          maxWidth: 'calc(' + (divSize === null || divSize === void 0 ? void 0 : divSize.width) + 'px - 100px)'
        },
        className: classnames(viewItemContainer, viewHandler.uiState.isInMobileView ? mobile : undefined),
        children: views.map(function (item, index) {
          return /*#__PURE__*/jsx(RoomRound, {
            item: item,
            from: viewHandler.settingsState.roomListInitialized,
            isVP: true
          }, item.toString());
        })
      })]
    })]
  });
};
var index = observer(RoomListSelection);

export { index as default };
