import _asyncToGenerator from '@babel/runtime/helpers/asyncToGenerator';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _regeneratorRuntime from '@babel/runtime/regenerator';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useRef, useState, useEffect } from 'react';
import { observer } from 'mobx-react-lite';
import JSONEditor from 'jsoneditor';
import DivaUtils from '@crystaldesign/diva-utils';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wrapper = "wrapper-6V6Wr";
var button = "button-VZm94";
var infoWrapper = "infoWrapper-2WauG";
var modifiedArticleList = "modifiedArticleList-jWfXL";
var css_248z = ".wrapper-6V6Wr {\n  display: flex;\n  flex-direction: row;\n  align-items: flex-start;\n  /* width: 80%; */\n  height: 750px;\n  margin-left: 51px;\n  margin-right: 10px;\n  gap: 10px;\n}\n\n.button-VZm94 {\n  min-height: 45px;\n  min-width: 45px;\n  max-width: 60px;\n  width: auto;\n  margin-bottom: 20px;\n}\n.infoWrapper-2WauG {\n  display: flex;\n  flex-direction: column;\n}\n\n.modifiedArticleList-jWfXL {\n  font-size: 10px;\n}\n";
styleInject(css_248z);

var JsonEditor = function JsonEditor(_ref) {
  var json = _ref.json;
    _ref.plannerArticles;
    var curBox = _ref.curBox,
    divaArticles = _ref.divaArticles;
  var viewHandler = useViewHandler();
  var container = useRef(null);
  var jsonEditor = useRef(null);
  var _useState = useState(json !== null && json !== void 0 ? json : {}),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var _useState3 = useState(true),
    _useState4 = _slicedToArray(_useState3, 2),
    validJson = _useState4[0],
    setValidJson = _useState4[1];
  var _useState5 = useState([]),
    _useState6 = _slicedToArray(_useState5, 2),
    modifiedArticles = _useState6[0],
    setModifiedArticles = _useState6[1];
  var actDivaArticle = divaArticles[curBox];
  var options = {
    mode: 'code',
    onChange: function onChange() {
      try {
        var current = jsonEditor.current;
        var e = current.get();
        var valid = current.validate();
        setValidJson(valid);
      } catch (_unused) {
        setValidJson(false);
        return;
      }
    }
  };
  useEffect(function () {
    setValue(json);
  });
  useEffect(function () {
    if (container.current) {
      if (!jsonEditor.current) jsonEditor.current = new JSONEditor(container.current, options);
      if (jsonEditor.current) jsonEditor.current.set(value);
    }
  }, [value]);
  var onClickSave = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
      var current;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            current = jsonEditor.current;
            if (!(!current.get() || Object.keys(current.get()).length === 0)) {
              _context.next = 4;
              break;
            }
            alert('Cannot save empty value');
            return _context.abrupt("return");
          case 4:
            actDivaArticle.catalogArticle.modifiedJ3D = current.get();
            actDivaArticle.resetShelfPlanner();
            _context.next = 8;
            return actDivaArticle.updateShelfPlannerState({});
          case 8:
            viewHandler.paletteViewHandler.updateCurPaletteData(false);
            setModifiedInfo();
            alert('Saved');
          case 11:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function onClickSave() {
      return _ref2.apply(this, arguments);
    };
  }();
  var onClickExport = function onClickExport() {
    if (!modifiedArticles || modifiedArticles.length === 0) {
      alert('No modified Article found');
      return;
    }
    for (var i = 0; i < modifiedArticles.length; i++) {
      DivaUtils.downloadStringAsTxtFile(modifiedArticles[i].j3d, 'text/plain', modifiedArticles[i].articleCodex + '.txt');
    }
  };
  function setModifiedInfo() {
    var _viewHandler$divaWebP;
    var articles = (_viewHandler$divaWebP = viewHandler.divaWebPlanner.getCatalogData()) === null || _viewHandler$divaWebP === void 0 ? void 0 : _viewHandler$divaWebP.allCatalogArticles;
    var arr = [];
    for (var key in articles) {
      if (articles[key]['catalogArticle'].modifiedJ3D) arr.push({
        articleCodex: key,
        j3d: JSON.stringify(articles[key]['catalogArticle'].modifiedJ3D)
      });
    }
    setModifiedArticles(arr);
  }
  return /*#__PURE__*/jsxs("div", {
    className: wrapper,
    children: [/*#__PURE__*/jsx("div", {
      ref: container,
      id: "jsoneditor",
      style: {
        width: '90%',
        height: '100%'
      }
    }), /*#__PURE__*/jsxs("div", {
      className: infoWrapper,
      children: [/*#__PURE__*/jsx("button", {
        className: button,
        disabled: !validJson,
        onClick: function onClick() {
          return onClickSave();
        },
        children: "Save"
      }), /*#__PURE__*/jsx("button", {
        className: button,
        onClick: function onClick() {
          return onClickExport();
        },
        children: "Export modified J3D"
      }), /*#__PURE__*/jsxs("div", {
        children: [/*#__PURE__*/jsx("h5", {
          children: "Modified Articles"
        }), modifiedArticles.map(function (item, index) {
          return /*#__PURE__*/jsx("p", {
            className: modifiedArticleList,
            children: item.articleCodex
          }, index);
        })]
      })]
    })]
  });
};
var JsonEditor$1 = observer(JsonEditor);

export { JsonEditor$1 as default };
