import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useState, useEffect } from 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import Collapsible from 'react-collapsible';
import { observer } from 'mobx-react-lite';
import InfoIcon from './index-a00c316e.js';
import PricePreview from './index-b813b7d7.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wrapper = "wrapper--ib5A";
var wcGroupedContainer = "wcGroupedContainer-PIV-1";
var wcPaletteHeader = "wcPaletteHeader-743rE";
var wcSizeGroupHeader = "wcSizeGroupHeader-qNjZR";
var wcGroupHeaderTitle = "wcGroupHeaderTitle-vGDWm";
var wcFoldingArrow = "wcFoldingArrow-Ta8kT";
var wcGroupOpen = "wcGroupOpen-oAf0q";
var css_248z = ".wrapper--ib5A {\n  width: 100%;\n}\n\n.wcConfigurator-settings-Jey-L .wcGroupedContainer-PIV-1 {\n  transition: all 0.35s ease;\n  box-sizing: content-box;\n  overflow: visible;\n  display: inline-block;\n  width: 100%;\n}\n\n.wcPaletteHeader-743rE.wcSizeGroupHeader-qNjZR {\n  border-radius: 0 !important;\n  border-radius: initial !important;\n}\n\n.wcPaletteHeader-743rE.wcSizeGroupHeader-qNjZR {\n  width: 98%;\n  height: 34px;\n  border-bottom: 1px solid #dfdfdf;\n  position: relative;\n  display: flex;\n  z-index: 100;\n  margin-left: 1%;\n  margin-right: 1%;\n  align-items: center;\n}\n.wcPaletteHeader-743rE.wcSizeGroupHeader-qNjZR:hover {\n  z-index: 200;\n}\n\n.wcGroupHeaderTitle-vGDWm {\n  font-size: 17.6px;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  -webkit-text-stroke: 0.4px;\n  width: calc(100% - 32px);\n  padding-top: 6px;\n  overflow: hidden;\n  word-wrap: break-word;\n  -webkit-box-orient: vertical;\n  -webkit-line-clamp: 2;\n  position: relative;\n}\n\n.wcGroupHeaderTitle-vGDWm:hover {\n  z-index: 200;\n}\n\n.wcPaletteHeader-743rE .wcFoldingArrow-Ta8kT {\n  margin: 0px 6px;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2211%22 height%3D%227%22 viewBox%3D%220 0 11 7%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M10.4375 0.688354L6.15179 5.68835L1.4375 0.688354%22 stroke%3D%22%236F6F6F%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  background-position: center;\n  background-size: contain;\n  transform: rotateZ(0deg);\n  transition: all 0.35s ease;\n  width: 20.8px;\n  height: 22.4px;\n}\n\n.wcGroupOpen-oAf0q .wcPaletteHeader-743rE .wcFoldingArrow-Ta8kT {\n  transform: rotateZ(180deg);\n}\n";
styleInject(css_248z);

var Group = function Group(_ref) {
  var group = _ref.group,
    PaletteComponent = _ref.PaletteComponent,
    itemPalette = _ref.itemPalette,
    contentInnerClassName = _ref.contentInnerClassName;
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var viewHandler = useViewHandler();
  var _useState = useState(group.isFolded),
    _useState2 = _slicedToArray(_useState, 2),
    contentHidden = _useState2[0],
    setContentHidden = _useState2[1];
  var _useState3 = useState(!group.isFolded),
    _useState4 = _slicedToArray(_useState3, 2),
    isOpen = _useState4[0],
    setIsOpen = _useState4[1];
  useEffect(function () {
    if (!isOpen && !group.isFolded) {
      setTimeout(function () {
        return setIsOpen(!group.isFolded);
      }, 400);
    } else {
      setIsOpen(!group.isFolded);
    }
    if (!contentHidden && group.isFolded) {
      setTimeout(function () {
        return setContentHidden(group.isFolded);
      }, 200);
    } else {
      setContentHidden(group.isFolded);
    }
  }, [group.isFolded]);
  var name = group.name !== 'none' ? group.name : t('configurator.other');
  var title = name + (group.parentName && group.parentName != itemPalette.name ? ' (' + group.parentName + ')' : '');
  var pricePreviewPromise = group.items[0].pricePreviewPromise;
  return /*#__PURE__*/jsx("div", {
    className: wrapper,
    id: title,
    children: /*#__PURE__*/jsx(Collapsible, {
      className: wcGroupedContainer,
      open: isOpen,
      contentInnerClassName: contentInnerClassName,
      handleTriggerClick: function handleTriggerClick() {
        if (group.isFolded) viewHandler.settingsState.openGroup(itemPalette.id, group.key, viewHandler.paletteViewHandler.isGroupFolded(itemPalette.id));else {
          viewHandler.settingsState.closeGroup(itemPalette.id, group.key);
        }
      },
      triggerOpenedClassName: wcGroupOpen,
      trigger: /*#__PURE__*/jsxs("div", {
        className: classnames(wcPaletteHeader, wcSizeGroupHeader),
        children: [/*#__PURE__*/jsx("div", {
          className: wcFoldingArrow
        }), group.contentItemId && /*#__PURE__*/jsx(InfoIcon, {
          item: group,
          style: {
            zIndex: 100,
            margin: '0px 10px',
            position: 'relative'
          }
        }, group.key), /*#__PURE__*/jsxs("div", {
          className: wcGroupHeaderTitle,
          children: [title, pricePreviewPromise !== undefined && /*#__PURE__*/jsx(PricePreview, {
            asyncPricePreview: pricePreviewPromise
          })]
        })]
      }),
      easing: "ease",
      children: !contentHidden && group.items.map(function (item, i) {
        return /*#__PURE__*/jsx(PaletteComponent, {
          paletteType: itemPalette.type,
          paletteId: itemPalette.id,
          item: item,
          hidePricePreview: true
        }, i);
      })
    })
  }, title);
};
var Group$1 = observer(Group);

export { Group$1 as default };
