import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import { useState, useRef, useEffect } from 'react';
import { useLayer } from 'react-laag';
import Tooltip from './index-39923a1d.js';
import { useTranslation, useDivaCore } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import FullscreenAr from './index-cd5a0b3f.js';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'react-qr-code';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ArQrCodeTooltip = function ArQrCodeTooltip(props) {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var _useDivaCore = useDivaCore(),
    openModal = _useDivaCore.actions.openModal,
    _useDivaCore$state = _useDivaCore.state,
    isMobile = _useDivaCore$state.isMobile,
    isTablet = _useDivaCore$state.dimensions.isTablet;
  //tooltip is going to close itself by timer
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    autoClose = _useState2[0],
    setAutoClose = _useState2[1];
  var autoCloseTimeout = useRef();
  var arQrCodeConfig = viewHandler.getViewConfig().arQrCodeConfig;
  var openAr = isMobile || isTablet;
  //if the viewer is in an iframe (pfister) we dont want to open the modal for the arcombi
  var shouldOpenModal = openAr && (!viewHandler.uiState.AllConfig.arViewerIframe || !viewHandler.productState.allow3DComb && !viewHandler.productState.allowRTV);

  //for fade animation
  var _useState3 = useState(viewHandler.productState.arCodeWasVisibleOnce),
    _useState4 = _slicedToArray(_useState3, 2),
    tooltipVisible = _useState4[0],
    setTooltipVisible = _useState4[1];
  var showTooltip = (tooltipVisible || viewHandler.productState.doShowARQRCode) && !openAr && viewHandler.isParentViewVisible;
  var _useLayer = useLayer({
      isOpen: showTooltip,
      auto: true,
      placement: 'right-end',
      triggerOffset: 16
    }),
    triggerProps = _useLayer.triggerProps,
    layerProps = _useLayer.layerProps,
    renderLayer = _useLayer.renderLayer,
    arrowProps = _useLayer.arrowProps;
  var _useState5 = useState(),
    _useState6 = _slicedToArray(_useState5, 2),
    url = _useState6[0],
    setUrl = _useState6[1];
  useEffect(function () {
    if (viewHandler.productState.doShowARQRCode == true) {
      viewHandler.openARObserverConnection(function () {
        return viewHandler.divaWebPlanner.getPlannerHandler().saveSetHQRenderScript();
      } // request hqr onreceivehqr triggers update
      ).then(function (url) {
        return setUrl(url);
      });
    }
  }, [viewHandler.productState.doShowARQRCode]);
  useEffect(function () {
    if (viewHandler.productState.doShowARQRCode && shouldOpenModal) openModal({
      content: /*#__PURE__*/jsx(FullscreenAr, {
        url: url,
        isArCompatible: viewHandler.productState.isArCompatible,
        broswerSupportAR: viewHandler.productState.browserSupportAR,
        activateAR: viewHandler.productState.activateAR
      }),
      fullscreen: true,
      rejectByIcon: true,
      dontRenderForm: true,
      callback: function callback(value) {
        viewHandler.productState.loadRTVForAr = false;
        viewHandler.productState.setDoShowARQRCode(false);
        viewHandler.productState.onChangePlannerView(viewHandler.productState.allow3DComb ? '3DCOMB' : viewHandler.productState.allowRTV ? 'RTV' : '3D');
      }
    });
  }, [viewHandler.productState.activateAR, url]);
  useEffect(function () {
    //start timeout for auto open the tooltip
    if (!viewHandler.productState.arCodeWasVisibleOnce && arQrCodeConfig !== null && arQrCodeConfig !== void 0 && arQrCodeConfig.doAutoShow && !openAr) {
      var _arQrCodeConfig$timeU;
      autoCloseTimeout.current = setTimeout(function () {
        viewHandler.productState.setArCodeWasVisibleOnce();
        setAutoClose(true);
        viewHandler.productState.setDoShowARQRCode(true);
      }, ((_arQrCodeConfig$timeU = arQrCodeConfig === null || arQrCodeConfig === void 0 ? void 0 : arQrCodeConfig.timeUntilAutoShow) !== null && _arQrCodeConfig$timeU !== void 0 ? _arQrCodeConfig$timeU : 30) * 1000);
    }
    if (!viewHandler.productState.doShowARQRCode && autoClose) {
      setAutoClose(false);
    }
    //delay the state of visible so we animate the fade out
    if (tooltipVisible !== viewHandler.productState.doShowARQRCode) {
      setTimeout(function () {
        setTooltipVisible(viewHandler.productState.doShowARQRCode);
      }, 200);
    }
  }, [viewHandler.productState.doShowARQRCode]);
  var onClick = function onClick() {
    viewHandler.productState.setDoShowARQRCode(true);
    if (shouldOpenModal) {
      if (!viewHandler.productState.doShowRTV && !(viewHandler.viewPlannerHandler.getCurPlannerViewMode() == 'RTViewer' || viewHandler.viewPlannerHandler.getCurPlannerViewMode() == '3DCOMB')) {
        viewHandler.productState.loadRTVForAr = true;
        viewHandler.productState.onChangePlannerView(viewHandler.productState.allow3DComb ? '3DCOMB' : 'RTV');
      }
      openModal({
        content: /*#__PURE__*/jsx(FullscreenAr, {
          url: url,
          isArCompatible: viewHandler.productState.isArCompatible,
          broswerSupportAR: viewHandler.productState.browserSupportAR,
          activateAR: viewHandler.productState.activateAR
        }),
        fullscreen: true,
        dontRenderForm: true,
        rejectByIcon: true,
        callback: function callback(value) {
          viewHandler.productState.loadRTVForAr = false;
          viewHandler.productState.setDoShowARQRCode(false);
          viewHandler.productState.onChangePlannerView(viewHandler.productState.allow3DComb ? '3DCOMB' : viewHandler.productState.allowRTV ? 'RTV' : '3D');
        }
      });
    }
  };
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsx("li", _objectSpread(_objectSpread(_objectSpread({
      id: "ar-icon"
    }, props), {}, {
      className: classnames(props.className),
      onClick: onClick,
      title: t('configurator.ar_qr_title')
    }, triggerProps), {}, {
      style: {
        visibility: viewHandler.productState.doShowRenderImage || viewHandler.productState.doShow3DComb || viewHandler.productState.doShowRTV ? 'visible' : 'hidden'
      }
    })), showTooltip && renderLayer(/*#__PURE__*/jsx(Tooltip, {
      arrowProps: arrowProps,
      layerProps: layerProps,
      autoClose: autoClose,
      fadeIn: tooltipVisible,
      fadeout: !viewHandler.productState.doShowARQRCode,
      url: url
    }))]
  });
};
var ArQrCodeIcon = observer(ArQrCodeTooltip);

export { ArQrCodeIcon as default };
