import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useState, useEffect } from 'react';
import OptionTree from './index-3149a590.js';
import PartListTable from './index-6ec1e2d8.js';
import MaskEditor from './index-c761c9ae.js';
import ArticleOverview from './index-3f4573b4.js';
import SVGAnalyzer from './index-a5a35a65.js';
import EkTextViewer from './index-8a17202a.js';
import CatalogMakeup from './index-99f2670a.js';
import DecisionAnalyzer from './index-abb51d3b.js';
import RTVAnalyzer from './index-e6d14062.js';
import J3DEditor from './index-fdff31e1.js';
import PriceAnalyzer from './index-02358a12.js';
import PropertiesEditor from './index-eeaeb0ef.js';
import { jsx } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index.module-e5cc5bed.js';
import './index-dc516763.js';
import './index-fe6bc7ff.js';
import './index-85970525.js';
import 'react-collapsible';
import './index-098552ff.js';
import './index-bbed3b5e.js';
import './index.module-27830b1f.js';
import 'react-json-view-lite';
import './react-json-viewer-ed11badd.js';
import './index.module-09c60496.js';
import './DecisionVizualizer-5fd20957.js';
import 'react-draggable';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-2e0d8ffb.js';
import './index-148f1439.js';
import 'jsoneditor';
import './index-76e01c42.js';
import './index-363d60d0.js';
import './index-4008c20a.js';
import './index-3aa270fc.js';
import 'react-dropdown';
import './index.module-8806d92e.js';
import './index-98a94c2a.js';
import './index-5431bb3a.js';
import './index-e1eb89c3.js';
import 'react-select';
import './index-3b53b8af.js';
import './index-679accfc.js';
import './CatalogProperties-e8824fd5.js';
import './ArticleProperties-f0aadcc2.js';
import './OptionProperties-a5e2a157.js';
import './OptionValueProperties-d068ecbe.js';

var wrapper = "wrapper-eIL6V";
var css_248z = ".wrapper-eIL6V {\n  width: 100%;\n  position: absolute;\n  bottom: 82px;\n  z-index: 1000;\n  background-color: rgba(200, 200, 200, 0.9);\n  overflow: auto;\n}\n\n.draghandle-4ydUz {\n  position: absolute;\n  top: 0;\n  right: 0;\n  transform: translate(50%, 50%);\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ToolContainer = function ToolContainer(_ref) {
  _objectDestructuringEmpty(_ref);
  var _useState = useState(436),
    _useState2 = _slicedToArray(_useState, 2),
    height = _useState2[0],
    setHeight = _useState2[1];
  var viewHandler = useViewHandler();
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    mouseDown = _useState4[0],
    setMouseDown = _useState4[1];
  var handler = function handler(mouseDownEvent) {
    var startHeight = height;
    var startPosition = {
      x: mouseDownEvent.pageX,
      y: mouseDownEvent.pageY
    };
    setMouseDown(true);
    function onMouseMove(mouseMoveEvent) {
      setHeight(startHeight + startPosition.y - mouseMoveEvent.pageY);
    }
    var onMouseUp = function onMouseUp() {
      setMouseDown(false);
      document.body.removeEventListener('mousemove', onMouseMove);
    };
    document.body.addEventListener('mousemove', onMouseMove);
    document.body.addEventListener('mouseup', onMouseUp, {
      once: true
    });
  };
  useEffect(function () {
    if (height < 140 && !mouseDown) {
      viewHandler.uiState.setActiveCatalogSection('3D/2D');
    }
  }, [height, mouseDown]);
  var activeWindow = undefined;
  var props = {
    onMouseDown: handler
  };
  var classname = '';
  switch (viewHandler.uiState.activeCatalogSection) {
    case 'Options':
      activeWindow = /*#__PURE__*/jsx(OptionTree, _objectSpread(_objectSpread({}, props), {}, {
        style: {
          zIndex: 700
        }
      }));
      break;
    case 'PartList':
      activeWindow = /*#__PURE__*/jsx(PartListTable, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'DecisionAnalyzer':
      activeWindow = /*#__PURE__*/jsx(DecisionAnalyzer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'PriceAnalyzer':
      activeWindow = /*#__PURE__*/jsx(PriceAnalyzer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'Artikelübersicht':
      activeWindow = /*#__PURE__*/jsx(ArticleOverview, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'SVGübersicht':
      activeWindow = /*#__PURE__*/jsx(SVGAnalyzer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'ekText':
      activeWindow = /*#__PURE__*/jsx(EkTextViewer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'CatalogMakeup':
      activeWindow = /*#__PURE__*/jsx(CatalogMakeup, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'RTVAnalyzer':
      activeWindow = /*#__PURE__*/jsx(RTVAnalyzer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'J3DEditor':
      activeWindow = /*#__PURE__*/jsx(J3DEditor, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'PropertiesEditor':
      activeWindow = /*#__PURE__*/jsx(PropertiesEditor, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'MaskEditor':
      activeWindow = /*#__PURE__*/jsx(MaskEditor, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
  }
  return /*#__PURE__*/jsx("div", {
    className: wrapper,
    style: {
      height: height
    },
    children: activeWindow
  });
};

export { ToolContainer as default };
