import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { useState, useEffect } from 'react';
import Dropdown from 'react-dropdown';
import { w as wrapper, d as dropdownRoot, a as dropdownControl } from './index.module-8806d92e.js';
import Arrow from './index-98a94c2a.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var LAYOUTS = ['IMAGE', 'TEXT', 'DROPDOWN_TEXT', 'TOGGLE_NAME', 'TOGGLE', 'DROPDOWN_IMAGE', 'GAL_SMALL_GROUP_DROPDOWN', 'NUMBER', 'GAL_BIG', 'GAL_GROUP_DROPDOWN', 'TEXTBOX', 'GAL_TEXT', 'GAL_BIG_TEXT', 'GAL_SMALL_TEXT'];
var LayoutSelection = function LayoutSelection(_ref) {
  var option = _ref.option;
  var _useState = useState(option.layout),
    _useState2 = _slicedToArray(_useState, 1),
    origLayout = _useState2[0];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    value = _useState4[0],
    setValue = _useState4[1];
  var viewHandler = useViewHandler();
  useEffect(function () {
    option.layout = value !== null && value !== void 0 ? value : origLayout;
    viewHandler.paletteViewHandler.updateCurPaletteData(true);
  }, [value]);
  useEffect(function () {
    return function () {
      option.layout = origLayout;
      viewHandler.paletteViewHandler.updateCurPaletteData(true);
    };
  }, []);
  var ArrowElement = /*#__PURE__*/jsx(Arrow, {
    onClick: function onClick() {
      return setValue(undefined);
    },
    open: false,
    iconAsDelete: !!value
  });
  return /*#__PURE__*/jsxs("div", {
    className: wrapper,
    children: ["Layout:", /*#__PURE__*/jsx(Dropdown, {
      className: classnames(dropdownRoot),
      controlClassName: dropdownControl,
      options: LAYOUTS,
      value: value,
      onChange: function onChange(val) {
        return setValue(val.value);
      },
      placeholder: origLayout,
      arrowClosed: ArrowElement,
      arrowOpen: ArrowElement
    })]
  });
};

export { LayoutSelection as default };
