import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import { getLogger, useDivaCore } from '@crystaldesign/diva-core';
import { useRef, useEffect } from 'react';
import { ContentItemComponent } from '@crystaldesign/content-item';
import Draggable from 'react-draggable';
import classnames from 'classnames';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wrapper = "wrapper-epfZs";
var mobile = "mobile-3mXgj";
var css_248z = ".wrapper-epfZs {\n  z-index: 1000;\n  position: absolute;\n  display: flex;\n  background: white;\n  width: 450px;\n  flex-direction: column;\n\n  color: #4f4f4f;\n  font-size: 15px;\n  box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.25098);\n  border-radius: 5px;\n  top: 0;\n  margin: 4px;\n}\n\n.mobile-3mXgj {\n  height: 100%;\n}\n";
styleInject(css_248z);

var LOG = getLogger('Planner', 'InfoBox');
var ContentItemWrapper = function ContentItemWrapper(_ref) {
  var _viewHandler$productS;
  var id = _ref.id,
    _ref$startPos = _ref.startPos,
    startPos = _ref$startPos === void 0 ? 'left' : _ref$startPos,
    noWrapper = _ref.noWrapper;
  var _useDivaCore = useDivaCore(),
    _useDivaCore$actions = _useDivaCore.actions,
    openSideMenu = _useDivaCore$actions.openSideMenu,
    closeSideMenu = _useDivaCore$actions.closeSideMenu;
  var draggable = useRef(null); // https://github.com/react-grid-layout/react-draggable/blob/v4.4.2/lib/DraggableCore.js#L159-L171
  var viewHandler = useViewHandler();
  useEffect(function () {
    if (!id) return;
    if (viewHandler.getIsInMobileView()) {
      openSideMenu({
        side: 'left',
        onClose: function onClose() {
          viewHandler.settingsState.setContentItemId();
          closeSideMenu();
        },
        open: true,
        content: /*#__PURE__*/jsx("div", {
          className: classnames(mobile),
          children: /*#__PURE__*/jsx(ContentItemComponent, {
            contentItemId: id,
            wrapperStyle: {
              display: 'flex',
              flexDirection: 'column',
              height: '100%'
            },
            onContentItemLoaded: function onContentItemLoaded(title) {
              LOG.businessEvent('onLoadInfoBox', 'InfoBox', 'Lade Infobox', {
                id: id,
                title: title !== null && title !== void 0 ? title : undefined
              });
            }
          })
        })
      });
    }
  }, [id]);
  if (viewHandler.getIsInMobileView()) {
    return /*#__PURE__*/jsx(Fragment, {});
  }
  if (noWrapper) {
    return /*#__PURE__*/jsx(ContentItemComponent, {
      contentItemId: id,
      wrapperStyle: {
        display: 'flex',
        flexDirection: 'column',
        maxHeight: 'inherit'
      },
      onContentItemLoaded: function onContentItemLoaded(title) {
        LOG.businessEvent('onLoadInfoBox', 'InfoBox', 'Lade Infobox', {
          id: id,
          title: title !== null && title !== void 0 ? title : undefined
        });
      }
    });
  }
  var parentSizes = (_viewHandler$productS = viewHandler.productState.productElement) === null || _viewHandler$productS === void 0 ? void 0 : _viewHandler$productS.getBoundingClientRect();
  return /*#__PURE__*/jsx(Draggable, {
    nodeRef: draggable,
    handle: ".handle",
    bounds: "parent",
    defaultPosition: startPos == 'right' ? {
      x: parentSizes !== null && parentSizes !== void 0 && parentSizes.width ? (parentSizes === null || parentSizes === void 0 ? void 0 : parentSizes.width) - 508 : 0,
      y: 0
    } : undefined,
    children: /*#__PURE__*/jsx("div", {
      ref: draggable,
      className: wrapper,
      style: {
        maxHeight: parentSizes !== null && parentSizes !== void 0 && parentSizes.height && parentSizes.height < 700 + 20 ? (parentSizes === null || parentSizes === void 0 ? void 0 : parentSizes.height) - 20 : 700
      },
      children: /*#__PURE__*/jsx(ContentItemComponent, {
        contentItemId: id,
        headerClassName: 'handle',
        headerWrapperStyle: {
          cursor: 'move'
        },
        onClose: function onClose() {
          return viewHandler.settingsState.setContentItemId();
        },
        onContentItemLoaded: function onContentItemLoaded(title) {
          LOG.businessEvent('onLoadInfoBox', 'InfoBox', 'Lade Infobox', {
            id: id,
            title: title !== null && title !== void 0 ? title : undefined
          });
        }
      })
    })
  });
};
var ContentItemWrapper$1 = observer(ContentItemWrapper);

export { ContentItemWrapper$1 as default };
