import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import { useRef, useEffect } from 'react';
import SettingsHeaderContainer from './index-d5750f25.js';
import { S as SettingsItem } from './index-9ac352ac.js';
import classnames from 'classnames';
import TotalPrice from './index-46bea554.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-bec7758a.js';
import './index-f0b13a76.js';
import './index-9e5c6d0b.js';
import './index-f919fe39.js';
import 'react-laag';
import './index-2bdd798a.js';
import 'sift';
import './index-03ec1878.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';

var wcConfiguratorSettingsScroller = "wcConfigurator-settings-scroller-TbzP8";
var expanded = "expanded-r-uGX";
var minExpanded = "minExpanded-oyaLK";
var css_248z = ".wcConfigurator-settings-scroller-TbzP8 {\n  overflow-y: auto;\n  z-index: 100;\n  padding-right: var(--settingsScrollerPaddingRight);\n  margin-left: var(--settingsScrollerPaddingLeft);\n  padding-top: var(--settingsScrollerPaddingTopBottom);\n  padding-bottom: var(--settingsScrollerPaddingTopBottom);\n  scrollbar-gutter: stable;\n}\n\n.expanded-r-uGX.wcConfigurator-settings-scroller-TbzP8 {\n  z-index: 600;\n}\n\n.minExpanded-oyaLK {\n  visibility: hidden;\n}\n";
styleInject(css_248z);

var SettingsScroller = function SettingsScroller(_ref) {
  var _viewHandler$tabGroup, _viewHandler$tabGroup2;
  _objectDestructuringEmpty(_ref);
  var viewHandler = useViewHandler();
  var settingsScrollerElement = useRef(null);
  var itemPalettesArr = [];
  var pairWithOptionsToGroup = {};
  useEffect(function () {
    if (settingsScrollerElement.current) {
      viewHandler.settingsState.setScrollerElement(settingsScrollerElement.current);
      return viewHandler.uiState.setUpSettingsScrollEvent(settingsScrollerElement.current);
    }
    return function () {};
  }, [settingsScrollerElement]);
  var style = {};
  if (viewHandler.uiState.isInMobileView || viewHandler.settingsState.forceSettingsHeaderInScrollContainer) {
    style.height = '100%';
  } else {
    var _viewHandler$settings, _viewHandler$settings2;
    style.height = 'calc(100% - ' + ((_viewHandler$settings = (_viewHandler$settings2 = viewHandler.settingsState.settingsHeaderElement) === null || _viewHandler$settings2 === void 0 ? void 0 : _viewHandler$settings2.getBoundingClientRect().height) !== null && _viewHandler$settings !== void 0 ? _viewHandler$settings : 0) + 'px)';
  }
  for (var i = 0; i < viewHandler.settingsState.itemPaletteArr.length; i++) {
    var itemPalette = viewHandler.settingsState.itemPaletteArr[i][1];
    var paletteId = Number(itemPalette.id);
    var groupName = itemPalette.pairWithOptionsToGroup;
    if (groupName && itemPalette.visible) {
      if (!pairWithOptionsToGroup[groupName]) pairWithOptionsToGroup[groupName] = [];
      pairWithOptionsToGroup[groupName].push(paletteId);
    }
    if (!itemPalette.isRenderedNotInSettingPalette) itemPalettesArr.push([paletteId, itemPalette]);
  }
  useEffect(function () {
    if (viewHandler.uiState.configSettingsIsMinExpanded) viewHandler.divaWebPlanner.updatePlannerView('ON_CLICK_EXPAND_MIN_CONFIG_SETTINGS');else viewHandler.divaWebPlanner.updatePlannerView('ON_CLICK_EXPAND_MAX_CONFIG_SETTINGS');
  }, [viewHandler.uiState.configSettingsIsExpanded, viewHandler.uiState.configSettingsIsMinExpanded]);
  return /*#__PURE__*/jsxs("div", {
    style: style,
    className: classnames(wcConfiguratorSettingsScroller, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined, viewHandler.uiState.configSettingsIsMinExpanded ? minExpanded : undefined),
    id: "wcConfigurator-settings-scroller",
    ref: settingsScrollerElement,
    children: [(viewHandler.uiState.isInMobileView || viewHandler.settingsState.forceSettingsHeaderInScrollContainer) && /*#__PURE__*/jsx(SettingsHeaderContainer, {
      isScroller: true
    }, (_viewHandler$tabGroup = (_viewHandler$tabGroup2 = viewHandler.tabGroupState.curTabGroup) === null || _viewHandler$tabGroup2 === void 0 ? void 0 : _viewHandler$tabGroup2.key) !== null && _viewHandler$tabGroup !== void 0 ? _viewHandler$tabGroup : 0), /*#__PURE__*/jsxs("div", {
      children: [itemPalettesArr.map(function (_ref2) {
        var _ref3 = _slicedToArray(_ref2, 2),
          index = _ref3[0],
          item = _ref3[1];
        return /*#__PURE__*/jsx(SettingsItem, {
          item: item,
          id: index,
          groupSize: item.pairWithOptionsToGroup ? pairWithOptionsToGroup[item.pairWithOptionsToGroup].length : undefined
        }, index);
      }), viewHandler.divaWebPlanner.doAllowSetPlanner() && viewHandler.getState() == 'SUMMARY' && /*#__PURE__*/jsx(TotalPrice, {})]
    })]
  });
};
var SettingsScroller$1 = observer(SettingsScroller);

export { SettingsScroller$1 as default };
