import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { u as useViewHandler } from './index-e560cd58.js';
import { useState, useEffect, Suspense } from 'react';
import { n as notExpanded } from './index.module-e5cc5bed.js';
import { s as scrollable, h as header, t as toggleWrapper, o as optionWrapper } from './index.module-09c60496.js';
import { d as decision, D as DecisionVisualization } from './DecisionVizualizer-5fd20957.js';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import Toggle from './index-d9e0b8ab.js';
import AsyncRender from './index-2e0d8ffb.js';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'react-json-view-lite';
import 'react-draggable';
import 'react-switch';
import './index-148f1439.js';
import 'react-collapsible';

var _excluded = ["onMouseDown"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PartList = function PartList(_ref) {
  var onMouseDown = _ref.onMouseDown,
    props = _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    selectedDecision = _useState2[0],
    setSelectedDecision = _useState2[1];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    articlesList = _useState4[0],
    setArticlesList = _useState4[1];
  var _useState5 = useState(false),
    _useState6 = _slicedToArray(_useState5, 2),
    showVariantsOverview = _useState6[0],
    setShowVariantsOverview = _useState6[1];
  var _useState7 = useState(false),
    _useState8 = _slicedToArray(_useState7, 2),
    allTablesOpen = _useState8[0],
    setAllTablesOpen = _useState8[1];
  var _useState9 = useState(true),
    _useState10 = _slicedToArray(_useState9, 2),
    showDiffOnly = _useState10[0],
    setShowDiffOnly = _useState10[1];
  var onClick = function onClick(obj) {
    var _selectedDecision$dec, _selectedDecision$dec2;
    var d = obj.decision;
    var nr = d.decisionNo || d.Number;
    if (nr == ((selectedDecision === null || selectedDecision === void 0 || (_selectedDecision$dec = selectedDecision.decision) === null || _selectedDecision$dec === void 0 ? void 0 : _selectedDecision$dec.Number) || (selectedDecision === null || selectedDecision === void 0 || (_selectedDecision$dec2 = selectedDecision.decision) === null || _selectedDecision$dec2 === void 0 ? void 0 : _selectedDecision$dec2.decisionNo))) {
      setSelectedDecision(undefined);
    } else setSelectedDecision(obj);
  };
  useEffect(function () {
    if (showVariantsOverview) {
      setTimeout(function () {
        return updateVariants();
      }, 400);
    } else {
      setArticlesList([{
        snapshots: [{
          promise: new Promise(function (r) {
            var _viewHandler$divaWebP, _viewHandler$divaWebP2, _viewHandler$divaWebP3;
            r({
              articleSnapshot: (_viewHandler$divaWebP = viewHandler.divaWebPlanner.getDivaArticles()) !== null && _viewHandler$divaWebP !== void 0 ? _viewHandler$divaWebP : {},
              price: (_viewHandler$divaWebP2 = (_viewHandler$divaWebP3 = viewHandler.divaWebPlanner.actSet()) === null || _viewHandler$divaWebP3 === void 0 ? void 0 : _viewHandler$divaWebP3.getSetPrice()) !== null && _viewHandler$divaWebP2 !== void 0 ? _viewHandler$divaWebP2 : 0
            });
          }),
          title: '',
          key: viewHandler.settingsState.configChanged.toString()
        }]
      }]);
    }
  }, [viewHandler.settingsState.configChanged, viewHandler.tabGroupState.curConfigStep]);
  var updateVariants = function updateVariants() {
    var snapshots = [];
    var partlistArticlesInOverview = {};
    var allItems = viewHandler.settingsState.itemPaletteArr.filter(function (i) {
      return i[1].visible;
    }).map(function (i) {
      return {
        items: i[1].groups.flatMap(function (g) {
          return g.items.flatMap(function (c) {
            return c;
          });
        }),
        palette: i[1]
      };
    });
    for (var i = 0; i < allItems.length; i++) {
      var items = allItems[i].items;
      var palette = allItems[i].palette;
      var preparedItems = [];
      for (var j = 0; j < items.length; j++) {
        var item = items[j];
        if (item.pricePreviewPromise && (item.text || item.name)) {
          preparedItems.push({
            promise: item.pricePreviewPromise.promise,
            title: item.text || item.name,
            key: palette.configStepKey
          });
        }
      }
      partlistArticlesInOverview[palette.configStepKey] = {
        items: [],
        totalCount: items.length
      };
      snapshots.push({
        snapshots: preparedItems,
        palette: palette
      });
    }
    viewHandler.settingsState.setPartlistArticlesInOverview(partlistArticlesInOverview);
    setArticlesList(snapshots);
  };
  useEffect(function () {
    var set = viewHandler.divaWebPlanner.actSet();
    if (set) set.logTotalStateForVariants = showVariantsOverview;
  }, [showVariantsOverview]);
  if (!(articlesList !== null && articlesList !== void 0 && articlesList.length)) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable, viewHandler.uiState.configSettingsIsExpanded ? notExpanded : undefined),
    style: {
      zIndex: 800
    },
    children: [/*#__PURE__*/jsxs("a", {
      className: header,
      onMouseDown: onMouseDown,
      children: ['Stücklisten Übersicht', /*#__PURE__*/jsxs("div", {
        className: toggleWrapper,
        children: [/*#__PURE__*/jsx(Toggle, {
          state: showVariantsOverview,
          onChange: function onChange(val) {
            return setShowVariantsOverview(val);
          },
          on: "alle",
          off: "einzeln",
          width: 100
        }), showVariantsOverview && /*#__PURE__*/jsx(Toggle, {
          state: allTablesOpen,
          onChange: function onChange(val) {
            return setAllTablesOpen(val);
          },
          on: "offen",
          off: "zu",
          width: 100
        }), showVariantsOverview && /*#__PURE__*/jsx(Toggle, {
          state: showDiffOnly,
          onChange: function onChange(val) {
            return setShowDiffOnly(val);
          },
          on: "schnittm.",
          off: "alle",
          width: 100
        })]
      })]
    }), articlesList.map(function (a, index) {
      var _a$palette;
      return /*#__PURE__*/jsxs("div", {
        className: optionWrapper,
        children: [!!((_a$palette = a.palette) !== null && _a$palette !== void 0 && _a$palette.name) && /*#__PURE__*/jsx("div", {
          children: a.palette.name
        }), a.snapshots.map(function (v) {
          return /*#__PURE__*/jsx(Suspense, {
            children: /*#__PURE__*/jsx(AsyncRender, {
              onClick: onClick,
              optionSnapshot: v,
              allOpen: allTablesOpen,
              showDiffOnly: showDiffOnly
            }, v.key)
          });
        })]
      }, index);
    }), selectedDecision && /*#__PURE__*/jsx("div", {
      className: decision,
      style: {
        right: 0,
        zIndex: 100
      },
      children: /*#__PURE__*/jsx(DecisionVisualization, {
        decision: selectedDecision.decision,
        matchingOptions: selectedDecision.rule
      })
    })]
  }));
};
var PartListTable = observer(PartList);

export { PartListTable as default };
