import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { useRef, useEffect } from 'react';
import { useTranslation, useDivaCore } from '@crystaldesign/diva-core';
import { g as getIconOfTabGroup } from './IconHandler-56fdbe6e.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var verticalItem = "verticalItem-NmQDx";
var wcSpan = "wcSpan-0wnmJ";
var verticalItemPoligon = "verticalItemPoligon-M44lA";
var wcActiveStep = "wcActiveStep-ykv3D";
var wcVisitedStep = "wcVisitedStep-qDdfW";
var wcStepIcon = "wcStepIcon-7hz1S";
var css_248z = ".verticalItem-NmQDx {\n  font-size: 12px;\n  width: 100%;\n  line-height: 14px;\n  height: 3.5rem;\n  letter-spacing: 0.3px;\n  -webkit-font-smoothing: antialiased;\n  -webkit-text-stroke: 0.4px;\n  background-image: none;\n  text-align: center;\n  vertical-align: top;\n  zoom: 1;\n  box-sizing: content-box;\n  position: relative;\n  display: inline-block;\n  cursor: pointer;\n  color: #000;\n  color: var(--tabGroupStepVisitedFont, #000);\n}\n\n.wcSpan-0wnmJ {\n  top: 50%;\n  left: 50%;\n  transform: translate(-50%, -50%);\n  position: absolute;\n  font-size: 12px;\n  line-height: 14px;\n  height: 3.5rem;\n  letter-spacing: 0.3px;\n  -webkit-font-smoothing: antialiased;\n  -webkit-text-stroke: 0.4px;\n  background-image: none;\n  text-align: center;\n  display: block;\n  width: 100%;\n}\n\n.verticalItemPoligon-M44lA {\n  fill: var(--thirdColor);\n  fill: var(--tabGroupStep, var(--thirdColor));\n  transition:\n    fill 0.3s ease,\n    color 0.3s ease;\n}\n.verticalItemPoligon-M44lA.wcActiveStep-ykv3D {\n  fill: var(--primaryColor);\n  fill: var(--tabGroupStepActive, var(--primaryColor));\n  color: white;\n}\n/* .verticalItemPoligon.wcVisitedStep {\n  border: #b1b1b1 1px solid;\n} */\n\n.verticalItemPoligon-M44lA.wcVisitedStep-qDdfW {\n  fill: #b1b1b1;\n  fill: var(--tabGroupStepVisited, #b1b1b1);\n}\n.verticalItemPoligon-M44lA.wcActiveStep-ykv3D:hover {\n  fill: var(--primaryColor);\n  fill: var(--tabGroupStepActive, var(--primaryColor));\n}\n\n.verticalItemPoligon-M44lA:hover,\n.verticalItemPoligon-M44lA.wcVisitedStep-qDdfW:hover {\n  fill: #bbbbbb;\n  fill: var(--tabGroupStepHover, #bbbbbb);\n}\n\n.wcStepIcon-7hz1S {\n  display: block;\n  background-color: #000;\n  background-color: var(--tabGroupStepVisitedFont, #000);\n  background-position: center center;\n  width: 42px;\n  height: 42px;\n  margin: auto;\n  -webkit-mask-size: contain;\n  -webkit-mask-repeat: no-repeat;\n}\n\n.wcActiveStep-ykv3D .wcStepIcon-7hz1S {\n  background-color: white;\n}\n";
styleInject(css_248z);

var VerticalTabGroupItemStandard = function VerticalTabGroupItemStandard(_ref) {
  var _getIconOfTabGroup;
  var tabGroup = _ref.tabGroup,
    height = _ref.height,
    _ref$minHeight = _ref.minHeight,
    minHeight = _ref$minHeight === void 0 ? 80 : _ref$minHeight,
    isFirstItem = _ref.isFirstItem,
    isLastItem = _ref.isLastItem,
    _ref$wcVisitedStepCla = _ref.wcVisitedStepClass,
    wcVisitedStepClass = _ref$wcVisitedStepCla === void 0 ? wcVisitedStep : _ref$wcVisitedStepCla,
    _ref$wcActiveStepClas = _ref.wcActiveStepClass,
    wcActiveStepClass = _ref$wcActiveStepClas === void 0 ? wcActiveStep : _ref$wcActiveStepClas,
    _ref$verticalItemPoli = _ref.verticalItemPoligonClass,
    verticalItemPoligonClass = _ref$verticalItemPoli === void 0 ? verticalItemPoligon : _ref$verticalItemPoli,
    _ref$wcStepIconClass = _ref.wcStepIconClass,
    wcStepIconClass = _ref$wcStepIconClass === void 0 ? wcStepIcon : _ref$wcStepIconClass,
    lastItemDiv = _ref.lastItemDiv;
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var width = 128;
  var tabGroupItemRef = useRef(null);
  var curTabGroup = viewHandler.tabGroupState.curTabGroup;
  if (height < minHeight) {
    height = minHeight;
  }
  var _useDivaCore = useDivaCore(),
    baseCdnUrl = _useDivaCore.state.apiConfig.baseCdnUrl;
  useEffect(function () {
    viewHandler.tabGroupState.setTabGroupItems(tabGroup.key, tabGroupItemRef.current);
  }, [tabGroupItemRef]);
  var onTabGroupClick = function onTabGroupClick(tabGroup) {
    viewHandler.tabGroupState.navigateToTabgroupByPosNr(+tabGroup.posNr);
  };
  var tabGroupActive = tabGroup.posNr == (curTabGroup === null || curTabGroup === void 0 ? void 0 : curTabGroup.posNr);
  var tabGroupVisited = viewHandler.tabGroupAlreadyVisited(tabGroup) && !(tabGroup.posNr == (curTabGroup === null || curTabGroup === void 0 ? void 0 : curTabGroup.posNr));
  var polygonPoints;
  if (isFirstItem && isLastItem) {
    polygonPoints = '0 ' + height + ', 0 0, ' + width + ' 0, ' + width + ' ' + height + ', ' + '64 ' + height;
  } else if (isFirstItem) {
    polygonPoints = '0 ' + (height - 8) + ', 0 0, ' + width + ' 0, ' + width + ' ' + (height - 8) + ', ' + '64 ' + height;
  } else if (isLastItem) {
    polygonPoints = '0 ' + height + ', 0 0, 64 8, ' + width + ' 0, ' + width + ' ' + height;
  } else {
    polygonPoints = '0 ' + (height - 8) + ', 0 0, 64 8, ' + width + ' 0, ' + width + ' ' + (height - 8) + ', 64 ' + height;
  }
  var icon = (_getIconOfTabGroup = getIconOfTabGroup(tabGroup.key, baseCdnUrl, viewHandler.getViewConfig().tabGroupsIcons)) !== null && _getIconOfTabGroup !== void 0 ? _getIconOfTabGroup : '';
  var div = /*#__PURE__*/jsxs("div", {
    "data-test-id": "tabGroupItem",
    children: [/*#__PURE__*/jsx("div", {
      className: wcStepIconClass,
      style: {
        WebkitMaskImage: 'url(' + icon + ')',
        maskImage: 'url(' + icon + ')'
      }
    }), /*#__PURE__*/jsx("span", {
      "data-test-id": "tabGroupItemTitle",
      children: t('configurator.' + tabGroup.title, tabGroup.title)
    })]
  });
  if (isLastItem && lastItemDiv) {
    div = lastItemDiv;
  }
  return /*#__PURE__*/jsxs("svg", {
    "data-test-id": "tabGroupItemSvg",
    viewBox: '0 0 ' + width + ' ' + height,
    ref: tabGroupItemRef,
    style: {
      height: height + 'px',
      minHeight: minHeight
    },
    onClick: function onClick() {
      return onTabGroupClick(tabGroup);
    },
    className: classnames(verticalItem, tabGroupActive ? wcActiveStepClass : undefined, tabGroupVisited ? wcVisitedStepClass : undefined),
    children: [/*#__PURE__*/jsx("polygon", {
      className: classnames(verticalItemPoligonClass, tabGroupActive ? wcActiveStepClass : undefined, tabGroupVisited ? wcVisitedStepClass : undefined),
      points: polygonPoints
    }), /*#__PURE__*/jsx("foreignObject", {
      width: "100%",
      height: "100%",
      style: {
        pointerEvents: 'none'
      },
      children: /*#__PURE__*/jsx("span", {
        className: classnames(wcSpan, verticalItemPoligonClass, tabGroupActive ? wcActiveStepClass : undefined, tabGroupVisited ? wcVisitedStepClass : undefined),
        children: div
      })
    })]
  });
};
var VerticalTabGroupItemStandard$1 = observer(VerticalTabGroupItemStandard);

export { VerticalTabGroupItemStandard$1 as default };
