import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { u as useViewHandler } from './index-e560cd58.js';
import { toJS } from 'mobx';
import { useState } from 'react';
import { h as header } from './index.module-09c60496.js';
import { c as collapsibleHeader, d as dpArrow, b as dArrow, e as boxes, f as box, g as boxSelected, h as boxImage, j as jsonSelection, i as jsonSelected } from './index.module-27830b1f.js';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import { n as notExpanded } from './index.module-e5cc5bed.js';
import Collapsible from 'react-collapsible';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var arrow = "data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20enable-background%3D%22new%200%200%2024%2024%22%20height%3D%2224px%22%20viewBox%3D%220%200%2024%2024%22%20width%3D%2224px%22%20fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Cpath%20d%3D%22M0%2C0h24v24H0V0z%22%20fill%3D%22none%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cpolygon%20points%3D%226.23%2C20.23%208%2C22%2018%2C12%208%2C2%206.23%2C3.77%2014.46%2C12%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E";

var _excluded = ["settings", "title", "ChildComponent"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ArticleOverview = function ArticleOverview(_ref) {
  var _viewHandler$divaWebP;
  var settings = _ref.settings,
    title = _ref.title,
    ChildComponent = _ref.ChildComponent,
    props = _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  viewHandler.tabGroupState.allTabGroups;
  var _useState = useState(true),
    _useState2 = _slicedToArray(_useState, 2),
    jsonSize = _useState2[0],
    setJsonSize = _useState2[1];
  var _useState3 = useState(0),
    _useState4 = _slicedToArray(_useState3, 2),
    selectedBox = _useState4[0],
    setSelectedBox = _useState4[1];
  var _useState5 = useState(settings[0].key),
    _useState6 = _slicedToArray(_useState5, 2),
    selectedJson = _useState6[0],
    setSelectedJson = _useState6[1];
  var articlesLoaded = viewHandler.divaWebPlanner.getDivaArticles();
  (_viewHandler$divaWebP = viewHandler.divaWebPlanner.actSet()) === null || _viewHandler$divaWebP === void 0 ? void 0 : _viewHandler$divaWebP.configTree;
  if (!articlesLoaded) return /*#__PURE__*/jsx(Fragment, {});
  var articles = Object.values(articlesLoaded);
  var filteredArticles = articles.filter(function (article) {
    return article.hasCatalogPlannerArticle;
  });
  var plannerArticles = filteredArticles.map(function (article) {
    return article.catalogArticle.catalogPlannerArticle;
  });
  var CollapsibleProps = {
    open: true,
    easing: 'ease-in',
    transitionTime: 200
  };
  var json = {};
  if (selectedJson === 'OPTIONSTATES') {
    var variantValues = articles.map(function (article) {
      return article.VariantValues;
    });
    json = variantValues[selectedBox];
  }
  if (selectedJson === 'DECISIONS') {
    json = JSON.parse(JSON.stringify(toJS(articles.map(function (article) {
      return article.decisions;
    }))));
  }
  if (selectedJson === 'CONFIGTREE') {
    json = {}; //JSON.parse(JSON.stringify(configTree));
  }
  if (selectedJson === 'J3D') {
    var _articles$selectedBox, _articles$selectedBox2;
    json = articles !== null && articles !== void 0 && (_articles$selectedBox = articles[selectedBox]) !== null && _articles$selectedBox !== void 0 && _articles$selectedBox.j3D ? JSON.parse(JSON.stringify(articles === null || articles === void 0 || (_articles$selectedBox2 = articles[selectedBox]) === null || _articles$selectedBox2 === void 0 ? void 0 : _articles$selectedBox2.j3D)) : {};
  }
  return /*#__PURE__*/jsx(Fragment, {
    children: /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
      className: classnames(props.className, viewHandler.uiState.configSettingsIsExpanded ? notExpanded : undefined),
      style: {
        zIndex: 700
      },
      children: [/*#__PURE__*/jsx("a", {
        className: header,
        children: title
      }), /*#__PURE__*/jsx(Collapsible, _objectSpread(_objectSpread({
        trigger: /*#__PURE__*/jsx("div", {
          className: collapsibleHeader,
          children: /*#__PURE__*/jsx("img", {
            src: arrow,
            className: dpArrow
          })
        }),
        onClose: function onClose() {
          return setJsonSize(!jsonSize);
        },
        onOpen: function onOpen() {
          return setJsonSize(!jsonSize);
        },
        triggerWhenOpen: /*#__PURE__*/jsxs("div", {
          className: collapsibleHeader,
          children: [" ", /*#__PURE__*/jsx("img", {
            src: arrow,
            className: dArrow
          })]
        })
      }, CollapsibleProps), {}, {
        children: /*#__PURE__*/jsx("div", {
          className: boxes,
          children: articles.map(function (article, index) {
            return /*#__PURE__*/jsxs("div", {
              className: classnames(box, index === selectedBox ? boxSelected : undefined),
              onClick: function onClick() {
                setSelectedBox(index);
              },
              children: [/*#__PURE__*/jsx("img", {
                src: article.imageUrl,
                className: boxImage
              }), /*#__PURE__*/jsx("p", {
                children: article.posNr
              }), /*#__PURE__*/jsx("p", {
                children: article.name
              }), /*#__PURE__*/jsx("p", {
                children: article.basketId
              })]
            }, article.basketId);
          })
        })
      })), /*#__PURE__*/jsx("div", {
        className: jsonSelection,
        children: settings.map(function (setting, index) {
          return /*#__PURE__*/jsx("button", {
            onClick: function onClick() {
              return setSelectedJson(setting.key);
            },
            className: selectedJson === setting.key ? jsonSelected : undefined,
            children: setting.name
          }, setting.key);
        })
      }), /*#__PURE__*/jsx(ChildComponent, _objectSpread(_objectSpread({}, props), {}, {
        json: json,
        selectedJson: selectedJson,
        isExpanded: jsonSize,
        plannerArticles: plannerArticles,
        curBox: selectedBox,
        divaArticles: articles
      }))]
    }))
  });
};
var ArticleOverview$1 = observer(ArticleOverview);

export { ArticleOverview$1 as default };
