import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import { useEffect } from 'react';
import classnames from 'classnames';
import { ContentBoxComponent } from '@crystaldesign/content-box';
import { useDivaCore } from '@crystaldesign/diva-core';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var container = "container-bxM6C";
var hidden = "hidden-X63IT";
var mobile = "mobile--b4Sq";
var wrapper = "wrapper-jE0i2";
var imageItem = "image-item-2MypG";
var sel = "sel-9mQFl";
var css_248z = ".container-bxM6C {\n  position: absolute;\n  top: 20%;\n  right: 16px;\n  z-index: 700;\n  -webkit-tap-highlight-color: transparent;\n  width: 50px;\n  height: 100%;\n  transition: opacity 0.5s;\n}\n\n.hidden-X63IT {\n  opacity: 0;\n  z-index: 0;\n}\n\n.mobile--b4Sq.container-bxM6C {\n  right: auto;\n  right: initial;\n  top: auto;\n  top: initial;\n  bottom: 8px;\n  width: -moz-min-content;\n  width: min-content;\n  max-width: 50%;\n  border-radius: 48px;\n  height: 40px;\n  left: 50%;\n  transform: translateX(-50%);\n}\n\n.wrapper-jE0i2 {\n  background-color: #f2f2f2;\n  border-radius: 40px;\n  position: relative;\n  height: -moz-min-content;\n  height: min-content;\n  max-height: 60%;\n  display: flex;\n  padding-left: 7px;\n  padding-right: 7px;\n  overflow: hidden;\n}\n\n.mobile--b4Sq .wrapper-jE0i2 {\n  padding-top: 4px;\n  padding-bottom: 4px;\n  padding-left: 0;\n  padding-left: initial;\n  padding-right: 0;\n  padding-right: initial;\n  width: -moz-min-content;\n  width: min-content;\n  max-width: 100%;\n  height: 32px;\n  max-height: none;\n  max-height: initial;\n  display: block;\n}\n\n.image-item-2MypG {\n  margin-top: 12px;\n  margin-bottom: 12px;\n  width: 32px;\n  height: 32px;\n  border-radius: 50%;\n  background-position: center;\n  background-size: cover;\n  background-repeat: no-repeat;\n  border: solid #f8f8f8 2px;\n  display: block;\n  cursor: pointer;\n  transition: border-color 200ms ease;\n}\n\n.mobile--b4Sq .image-item-2MypG {\n  width: 28px;\n  height: 28px;\n  margin-top: 0;\n  margin-top: initial;\n  margin-bottom: 0;\n  margin-bottom: initial;\n  margin-left: 6px;\n  margin-right: 6px;\n}\n\n.sel-9mQFl.image-item-2MypG {\n  border: 2px solid #4f4f4f;\n}\n\n.image-item-2MypG:hover {\n  cursor: pointer;\n  border: solid #9d9d9d 2px;\n}\n";
styleInject(css_248z);

var PromotedOpvs = function PromotedOpvs(props) {
  var _viewHandler$settings, _promotedOpvs$article;
  var viewHandler = useViewHandler();
  var _useDivaCore = useDivaCore(),
    _useDivaCore$state$di = _useDivaCore.state.dimensions,
    height = _useDivaCore$state$di.height,
    width = _useDivaCore$state$di.width;
  useEffect(function () {
    if (viewHandler.productState.configChangedByPromoOpvs) {
      viewHandler.productState.setConfigChangedByPromoOpvs(false);
    } else {
      viewHandler.productState.setSelectedPromitionIndex(undefined);
    }
  }, [viewHandler.settingsState.configChanged]);
  var contents = [];
  var catalogData = viewHandler.divaWebPlanner.getCatalogData();
  var promotedOpvs = catalogData === null || catalogData === void 0 ? void 0 : catalogData.promotedOpvs;
  var selectedArticleCodex = (_viewHandler$settings = viewHandler.settingsState.selectedArticles) === null || _viewHandler$settings === void 0 || (_viewHandler$settings = _viewHandler$settings[0]) === null || _viewHandler$settings === void 0 ? void 0 : _viewHandler$settings.codex;
  if (viewHandler.uiState.isLoading || !selectedArticleCodex || !promotedOpvs) return /*#__PURE__*/jsx(Fragment, {});
  if (!viewHandler.productState.promotionVisible || !((_promotedOpvs$article = promotedOpvs.articles[selectedArticleCodex]) !== null && _promotedOpvs$article !== void 0 && _promotedOpvs$article.length)) {
    if (viewHandler.uiState.configSettingsIsHidden) viewHandler.uiState.onClickHideConfigSettings();
    return /*#__PURE__*/jsx(Fragment, {});
  }
  var _loop = function _loop(i) {
    var promo = promotedOpvs.articles[selectedArticleCodex][i];
    var opv = catalogData.getOptionValue(promo.displayOPV);
    contents.push({
      swiperSlideStyle: {
        height: 'auto',
        width: 'auto'
      },
      content: /*#__PURE__*/jsx("span", {
        onClick: function onClick(e) {
          return viewHandler.productState.onPromotionClick(promo.variantValues, i);
        },
        style: {
          backgroundImage: 'url(' + (opv !== null && opv !== void 0 && opv.image ? catalogData.getCatImageURL(opv.image, '_gal') : '') + ')'
        },
        className: classnames(imageItem, viewHandler.productState.selectedPromotionIndex === i ? sel : undefined)
      }, i)
    });
  };
  for (var i = 0; i < promotedOpvs.articles[selectedArticleCodex].length; i++) {
    _loop(i);
  }
  var sliderProps = {
    type: 'SliderContainer',
    sliderType: viewHandler.uiState.isInMobileView ? 'slideX' : 'slideY',
    slidesPerView: 'auto',
    freeMode: true,
    allowTouchMove: true,
    contents: contents,
    scrollToSelectedItem: true,
    mousewheel: true
  };
  return /*#__PURE__*/jsx("div", {
    className: classnames(container, viewHandler.uiState.isInMobileView ? mobile : undefined, !viewHandler.uiState.configSettingsIsHidden ? hidden : undefined),
    children: /*#__PURE__*/jsx("div", {
      className: wrapper,
      children: /*#__PURE__*/jsx("div", {
        children: /*#__PURE__*/jsx(ContentBoxComponent, {
          settings: {
            contentBoxProps: sliderProps
          }
        }, +height + width)
      })
    })
  });
};
var PromotedOpvs$1 = observer(PromotedOpvs);

export { PromotedOpvs$1 as default };
