import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _asyncToGenerator from '@babel/runtime/helpers/asyncToGenerator';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _regeneratorRuntime from '@babel/runtime/regenerator';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { useState, useEffect } from 'react';
import OptionSelector from './index-3aa270fc.js';
import LayoutSelection from './index-5431bb3a.js';
import { DivaUtils } from '@crystaldesign/diva-core';
import { jsx, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'react-dropdown';
import './index.module-8806d92e.js';
import './index-98a94c2a.js';

var wrapper = "wrapper-XC8ci";
var scrollable = "scrollable-Smp2u";
var header = "header-Jz4n0";
var container = "container-sjWkB";
var css_248z = ".wrapper-XC8ci {\n  display: flex;\n  flex-direction: column;\n  width: calc(100% - 5px);\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n  background-color: #fff;\n}\n.scrollable-Smp2u {\n  overflow: auto;\n  left: 50px;\n}\n.header-Jz4n0 {\n  height: 8%;\n  width: 100%;\n  padding-top: 0.7%;\n  text-align: center;\n  background-color: var(--primaryColor);\n  font-size: 30px;\n  color: white;\n  font-weight: 600;\n}\n.container-sjWkB {\n  width: calc(100% - 40px);\n  margin: 20px;\n  display: flex;\n  flex-direction: column;\n  gap: 20px;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var CatalogMakeup = function CatalogMakeup(props) {
  var viewHandler = useViewHandler();
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    origOptions = _useState2[0],
    setOrigOptions = _useState2[1];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    selectedOption = _useState4[0],
    setSelectedOptions = _useState4[1];
  var currentOption = origOptions === null || origOptions === void 0 ? void 0 : origOptions.find(function (o) {
    return o.codex === selectedOption;
  });
  useEffect(function () {
    var set = viewHandler.divaWebPlanner.actSet();
    var options = set === null || set === void 0 ? void 0 : set.CatalogData.getOptions();
    if (options !== null && options !== void 0 && options.length) {
      setOrigOptions(options);
    }
  }, [viewHandler.settingsState.configChanged]);
  useEffect(function () {
    var currentOption = origOptions === null || origOptions === void 0 ? void 0 : origOptions.find(function (o) {
      return o.codex === selectedOption;
    });
    if (currentOption) {
      naviagateToOption(currentOption);
    }
  }, [selectedOption]);
  var naviagateToOption = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime.mark(function _callee(option) {
      var configStep;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            configStep = viewHandler.configuratorStructureHandler.getFirstConfigStepByOptionCodex(option.codex);
            if (!configStep) {
              _context.next = 7;
              break;
            }
            viewHandler.configuratorStructureHandler.navigateToConfigStepByConfigStepKey(configStep === null || configStep === void 0 ? void 0 : configStep.key);
            viewHandler.updateConfiguratorState(true);
            _context.next = 6;
            return DivaUtils.Sleep(100);
          case 6:
            viewHandler.paletteViewHandler.scrollToConfigStepByPosNr(configStep.posNr, true);
          case 7:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function naviagateToOption(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return /*#__PURE__*/jsx("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable),
    children: /*#__PURE__*/jsxs("div", {
      className: wrapper,
      children: [/*#__PURE__*/jsx("a", {
        className: header,
        children: "CatalogMakeup"
      }), /*#__PURE__*/jsxs("div", {
        className: container,
        children: [/*#__PURE__*/jsx(OptionSelector, {
          options: origOptions,
          optionState: [selectedOption, setSelectedOptions]
        }), currentOption && /*#__PURE__*/jsx(LayoutSelection, {
          option: currentOption
        }, currentOption.codex)]
      })]
    })
  }));
};
var CatalogMakeup$1 = observer(CatalogMakeup);

export { CatalogMakeup$1 as default };
