import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler, C as Checkout } from './index-e560cd58.js';
import React, { useState, useEffect, Suspense } from 'react';
import { observer } from 'mobx-react-lite';
import sift from 'sift';
import TextBox from './index-03ec1878.js';
import ItemVariant from './index-7f563f4a.js';
import SettingsPaletteGroup from './index-dab96ea8.js';
import ToggleOption from './index-5ed724e9.js';
import GroupDropdown from './index-227ad099.js';
import PromotedProducts from './index-ea0c61b7.js';
import ToggleName from './index-118cdb5f.js';
import itemPaletteTypeComponentMap from './index-63a72d8c.js';
import ItemWrapper from './index-3dac3051.js';
import { jsx, Fragment } from 'react/jsx-runtime';

var collapsableInner = "collapsable-inner-YPvJa";
var css_248z = ".collapsable-outer-J0amo {\n  overflow: visible !important;\n}\n\n.collapsable-outer-J0amo {\n  height: auto;\n  transition: none 0s ease 0s;\n}\n\n.collapsable-inner-YPvJa {\n  display: grid;\n  grid-template-columns: repeat(auto-fill, minmax(var(--gridSize), 1fr));\n  grid-auto-rows: min-content;\n  grid-gap: var(--gridGap);\n  margin-top: var(--gridGap);\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ShelfPlanner = /*#__PURE__*/React.lazy(function () {
  return import('./index-dbf150a1.js');
});
var DoorPlanner = /*#__PURE__*/React.lazy(function () {
  return import('./index-ca62a83e.js');
});
var ProductList = /*#__PURE__*/React.lazy(function () {
  return import('./index-093c7922.js');
});
var SettingsPaletteItem = function SettingsPaletteItem(_ref) {
  var _viewHandler$uiState$, _settingsSizes$gapDef, _settingsSizes$sizeDe, _viewHandler$uiState$2, _item$groups$;
  var item = _ref.item,
    groupSize = _ref.groupSize;
  var viewHandler = useViewHandler();
  var PaletteComponent = itemPaletteTypeComponentMap[item.type];
  if (PaletteComponent === undefined) throw new Error("component type: '" + item.type + "' not implemented");
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    filteredGroups = _useState2[0],
    setFilteredGroups = _useState2[1];
  var _useState3 = useState([]),
    _useState4 = _slicedToArray(_useState3, 2),
    filteredGroupsWithEmptyGroups = _useState4[0],
    setFilteredGroupsWithEmptyGroups = _useState4[1];
  useEffect(function () {
    var filteredGroupsWithEmptyGroups = item.groups.map(function (group) {
      return _objectSpread(_objectSpread({}, group), {}, {
        items: item.currentItemsFilter && item.type !== 'PLANNERSWITCH' ? group.items.filter(sift(item.currentItemsFilter)) : group.items
      });
    });
    var filteredGroups = filteredGroupsWithEmptyGroups.filter(function (group) {
      return group.items.length > 0;
    });
    if (filteredGroups.length > 0) {
      filteredGroupsWithEmptyGroups = filteredGroups;
    }
    setFilteredGroups(filteredGroups);
    setFilteredGroupsWithEmptyGroups(filteredGroupsWithEmptyGroups);
  }, [item, viewHandler.settingsState.itemPalettes]);
  var doNotRenderGroups = filteredGroups.length === 1 && filteredGroups[0].name === 'none';
  var innerGridClass = item.type.startsWith('SUMMARY') ? '' : collapsableInner;

  //this code now sets a css variable within a specific palette to define the grid items size and gird gap
  //this is a big improvement to the solution we had bevor (windowspecific itemsize hardcoded) but still can be done better
  //s the catalogteam can define the size of the items so it would be some kind of catalog ux improvment -> TODO refactoring
  var settingsSizes = (_viewHandler$uiState$ = viewHandler.uiState.ViewConfig.settingsSizes) !== null && _viewHandler$uiState$ !== void 0 ? _viewHandler$uiState$ : {};
  var gridGap = (_settingsSizes$gapDef = settingsSizes === null || settingsSizes === void 0 ? void 0 : settingsSizes.gapDefault) !== null && _settingsSizes$gapDef !== void 0 ? _settingsSizes$gapDef : '10px';
  var gridSize = (_settingsSizes$sizeDe = settingsSizes === null || settingsSizes === void 0 ? void 0 : settingsSizes.sizeDefault) !== null && _settingsSizes$sizeDe !== void 0 ? _settingsSizes$sizeDe : '300px';
  var infoIconSize = undefined;
  if (item.isRenderedNotInSettingPalette && !item.isRenderedInAccessorieStep) {
    gridSize = '240px';
  } else if (item.type == 'SUMMARY_ARTICLES' || item.type === 'SUMMARY_OPTIONTREE' || item.type == 'SUMMARY_PARTLIST' || item.type == 'VARIANTS') {
    gridSize = 'calc(100% - 20px)';
  } else if (item.type == 'GAL_GROUP_DROPDOWN' || item.type === 'GAL_BIG') {
    gridSize = '100px';
  } else if (item.type == 'ACC') {
    if (settingsSizes.sizeAccessoires) {
      gridSize = settingsSizes.sizeAccessoires;
    }
  } else if (item.type == 'ACC_CONFIG') {
    gridSize = '100%';
  } else if (item.type.startsWith('GAL_SMALL')) {
    gridSize = '60px';
  } else if (item.type == 'RANGE') {
    gridSize = '100%';
  } else if (item.type == 'GAL') {
    var _settingsSizes$sizeGa, _settingsSizes$gapGal;
    gridSize = (_settingsSizes$sizeGa = settingsSizes === null || settingsSizes === void 0 ? void 0 : settingsSizes.sizeGallery) !== null && _settingsSizes$sizeGa !== void 0 ? _settingsSizes$sizeGa : '80px';
    gridGap = (_settingsSizes$gapGal = settingsSizes === null || settingsSizes === void 0 ? void 0 : settingsSizes.gapGallery) !== null && _settingsSizes$gapGal !== void 0 ? _settingsSizes$gapGal : '10px';
  } else if (item.type === 'PLANNERSWITCH') {
    gridSize = '170px';
  } else if (item.type === 'SMALL' && viewHandler.getIsInMobileView() && ((_viewHandler$uiState$2 = viewHandler.uiState.templateConfigKeys) === null || _viewHandler$uiState$2 === void 0 ? void 0 : _viewHandler$uiState$2.ItemDefault) == 'jungle') {
    //for the usecase of schlaraffia in mobile
    //TODO for refactorig this should be done nicer
    gridSize = '120px';
  } else if (item.type === 'SHELFPLANNER' && viewHandler.productState.shelfPlannerRTV) {
    gridSize = '120px';
  } else if (item.type === 'VERY_SMALL') {
    gridSize = '48%';
  } else if (item.type === 'GAL_TEXT') {
    gridSize = '100px';
  } else if (item.type === 'GAL_BIG_TEXT') {
    gridSize = '120px';
  } else if (item.type === 'GAL_SMALL_TEXT') {
    gridSize = '70px';
  }
  if (['GAL_SMALL_GROUP_DROPDOWN', 'TOGGLE', 'TOGGLE_NAME', 'DROPDOWN_IMAGE', 'DROPDOWN_TEXT'].includes(item.type)) {
    infoIconSize = '20px';
  }
  var variables = _objectSpread({
    '--gridSize': gridSize,
    '--gridGap': gridGap
  }, infoIconSize ? {
    '--infoIconSize': infoIconSize
  } : {});
  if (!item.visible) return /*#__PURE__*/jsx(Fragment, {});
  switch (item.type) {
    case 'CHECKOUT':
      return /*#__PURE__*/jsx(Checkout, {
        viewHandler: viewHandler
      });
    case 'TOGGLE':
      return /*#__PURE__*/jsx(ToggleOption, {
        style: variables,
        item: item,
        paletteId: item.id
      });
    case 'TOGGLE_NAME':
      return /*#__PURE__*/jsx(ToggleName, {
        style: variables,
        item: item,
        paletteId: item.id
      });
    case 'TEXTBOX':
      return /*#__PURE__*/jsx(TextBox, {
        style: variables,
        item: item,
        paletteId: item.id
      });
    case 'DROPDOWN_TEXT':
    case 'DROPDOWN_IMAGE':
      return /*#__PURE__*/jsx(ItemVariant, {
        style: variables,
        item: item,
        paletteId: item.id
      });
    case 'NUMBER':
      return /*#__PURE__*/jsx(PaletteComponent, {
        paletteId: item.id,
        item: (_item$groups$ = item.groups[0]) === null || _item$groups$ === void 0 || (_item$groups$ = _item$groups$.items) === null || _item$groups$ === void 0 ? void 0 : _item$groups$[0],
        groupSize: groupSize
      }, item.id + item.configStepKey);
    case 'SHELFPLANNER':
      return /*#__PURE__*/jsx(Suspense, {
        fallback: /*#__PURE__*/jsx(Fragment, {}),
        children: /*#__PURE__*/jsx(ShelfPlanner, {
          filteredGroups: filteredGroups,
          item: item,
          id: item.id,
          style: variables
        }, item.id)
      });
    case 'PRODUCTS':
      return /*#__PURE__*/jsx(ProductList, {
        item: item
      });
    case 'PROMOTED':
      return /*#__PURE__*/jsx(PromotedProducts, {
        item: item
      });
    case 'DOOR_PLANNER':
      return /*#__PURE__*/jsx(Suspense, {
        fallback: /*#__PURE__*/jsx(Fragment, {}),
        children: /*#__PURE__*/jsx(DoorPlanner, {
          item: item
        })
      });
    case 'GAL_GROUP_DROPDOWN':
    case 'GAL_SMALL_GROUP_DROPDOWN':
      var childGroup = /*#__PURE__*/jsx(GroupDropdown, {
        item: item,
        PaletteComponent: PaletteComponent,
        filteredGroups: filteredGroupsWithEmptyGroups,
        id: item.id,
        showSearchBar: item.type == 'GAL_GROUP_DROPDOWN',
        contentInnerClassName: innerGridClass
      }, item.configStepKey);
      return /*#__PURE__*/jsx(ItemWrapper, {
        style: variables,
        item: item,
        children: childGroup
      });
    default:
      var children;
      if (doNotRenderGroups) children = /*#__PURE__*/jsx("div", {
        className: innerGridClass,
        children: filteredGroups.map(function (group) {
          return group.items.map(function (paletteItem, i) {
            return /*#__PURE__*/jsx(PaletteComponent, {
              paletteType: item.type,
              paletteId: item.id,
              item: paletteItem
            }, i);
          });
        })
      });else children = /*#__PURE__*/jsx(SettingsPaletteGroup, {
        groups: filteredGroups,
        contentInnerClassName: innerGridClass,
        itemPalette: item,
        PaletteComponent: PaletteComponent
      });
      return /*#__PURE__*/jsx(ItemWrapper, {
        style: variables,
        item: item,
        children: children
      });
  }
};
var SettingsItem = observer(SettingsPaletteItem);

var index = /*#__PURE__*/Object.freeze({
  __proto__: null,
  'default': SettingsItem
});

export { SettingsItem as S, collapsableInner as c, index as i };
