import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import DockFilter from './index-bccbc243.js';
import RALFilter from './index-18e04d12.js';
import { observer } from 'mobx-react-lite';
import 'react';
import { useDivaCore, useTranslation } from '@crystaldesign/diva-core';
import Searchbar from './index-576885e5.js';
import ToggleHeader from './index-837461cb.js';
import NumberInput from './index-874e49f3.js';
import InfoButton from './index-12a3b76a.js';
import PDFButton from './index-64216061.js';
import SummaryVariantButton from './index-f70a9fa5.js';
import SelectedOpv from './index-c62648be.js';
import InfoIcon from './index-a00c316e.js';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-d0cb686e.js';
import 'react-dropdown';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-5eda5a49.js';
import 'react-laag';
import './index-a53f6c9e.js';
import './index-b813b7d7.js';
import './index-f7d87c9f.js';

var headerWrapper = "header-wrapper-qVEmI";
var wcConfiguratorSettingsHeaderTitle = "wcConfigurator-settings-header-title--CcUK";
var wcConfiguratorSettingsHeaderPrice = "wcConfigurator-settings-header-price-UmViW";
var scroller = "scroller-jdhnI";
var wcConfigItemHeader = "wcConfigItem-Header-JEANn";
var minExpanded = "min-expanded-kEE9N";
var landscape = "landscape-DHu2r";
var portrait = "portrait-8Z7gh";
var quantity = "quantity-GKJLF";
var iconsContainer = "icons-container-DbfdO";
var css_248z = ".wcConfigurator-settings-header--UZPU {\n  height: 100%;\n  position: relative;\n  width: 100%;\n  --infoIconSize: 24px;\n}\n\n.header-wrapper-qVEmI {\n  display: flex;\n  flex-direction: row;\n  flex-wrap: wrap;\n  justify-content: space-between;\n}\n\n.wcConfigurator-settings-header-title--CcUK {\n  width: auto;\n  font-weight: 600;\n  font-size: 20px;\n  line-height: 24px;\n  color: var(--secondaryColor);\n  margin-top: 10px;\n  float: left;\n  user-select: none;\n  -moz-user-select: none;\n  -webkit-user-drag: none;\n  -webkit-user-select: none;\n  -ms-user-select: none;\n}\n\n.wcConfigurator-settings-header-price-UmViW {\n  width: auto;\n  font-weight: 600;\n  font-size: 20px;\n  line-height: 24px;\n  color: var(--secondaryColor);\n  margin-top: 10px;\n}\n\n.scroller-jdhnI .wcConfigurator-settings-header-title--CcUK {\n  max-width: calc(100% - 51.2px);\n  margin: 8px 0px;\n}\n\n.scroller-jdhnI .wcConfigurator-settings-header-title--CcUK.wcFilterIsVisible-S9QKu {\n  max-width: calc(50% - 19.2px);\n}\n\n.wcConfigurator-settings-header-Filters-Container-hi62D {\n  width: 100%;\n  float: left;\n}\n.wcConfigItem-Header-JEANn {\n  border-radius: 0 !important;\n  border-radius: initial !important;\n}\n.wcConfigItem-Header-JEANn {\n  /* width: calc(100% - 32px); */\n  margin-top: 8px;\n  margin-right: 8px;\n  height: -moz-fit-content;\n  height: fit-content;\n  min-height: 40px;\n  position: relative;\n  display: flex;\n  flex-direction: column;\n}\n.min-expanded-kEE9N.wcConfigItem-Header-JEANn {\n  overflow: hidden;\n}\n\n:not(.scroller-jdhnI).wcConfigItem-Header-JEANn {\n  margin-left: var(--settingsScrollerPaddingLeft);\n  margin-right: var(--settingsScrollerPaddingRight);\n}\n\n.landscape-DHu2r.wcConfigItem-Header-JEANn,\n.portrait-8Z7gh.wcConfigItem-Header-JEANn {\n  min-height: 40px;\n}\n\n.landscape-DHu2r.scroller-jdhnI header,\n.portrait-8Z7gh.scroller-jdhnI header {\n  min-height: 40px;\n}\n\n.quantity-GKJLF {\n  max-width: 200px;\n  float: left;\n  padding-top: 12px;\n  padding-left: 20%;\n}\n\n.icons-container-DbfdO {\n  display: flex;\n  align-items: center;\n  float: right;\n  position: relative;\n  margin-top: 5px;\n  flex-grow: 2;\n  justify-content: flex-end;\n  max-width: 100%;\n}\n";
styleInject(css_248z);

var SettingsItemHeader = function SettingsItemHeader(_ref) {
  var _viewHandler$getViewC, _item$selectedElement, _item$selectedElement2, _item$selectedElement3;
  var isSettingsHeader = _ref.isSettingsHeader,
    specialElement1 = _ref.specialElement1,
    specialElement2 = _ref.specialElement2,
    item = _ref.item,
    isInScroller = _ref.isInScroller,
    _ref$titleClass = _ref.titleClass,
    titleClass = _ref$titleClass === void 0 ? wcConfiguratorSettingsHeaderTitle : _ref$titleClass,
    _ref$containerClass = _ref.containerClass,
    containerClass = _ref$containerClass === void 0 ? wcConfigItemHeader : _ref$containerClass;
  var viewHandler = useViewHandler();
  var _useDivaCore = useDivaCore(),
    hidePrices = _useDivaCore.state.hidePrices;
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var FilterTypeComponentMap = {
    DockFilter: !viewHandler.settingsState.plannerReplaceMode ? DockFilter : function () {
      return /*#__PURE__*/jsx(Fragment, {});
    },
    RAL: !viewHandler.uiState.ViewConfig.hideRalColorFilter ? RALFilter : function () {
      return /*#__PURE__*/jsx(Fragment, {});
    },
    None: function None() {
      return /*#__PURE__*/jsx(Fragment, {});
    }
  };
  var PaletteComponent = FilterTypeComponentMap[item.filterComponent ? item.filterComponent : 'None'];
  var doShowSearchbar = item.searchVisible && (!isSettingsHeader || !!item.shelfPlannerGrids) && !viewHandler.uiState.ViewConfig.hideSearchBar && !item.isRenderedNotInSettingPalette;
  var doShowFilter = item.filterVisible && !isSettingsHeader && item.filterComponent;
  var title = isSettingsHeader || item.type == 'TOGGLE' ? t('configurator.' + viewHandler.settingsState.paletteHeaderStepName, viewHandler.settingsState.paletteHeaderStepName) : t('configurator.' + item.name, item.name);
  if (item.isMultiselect) {
    title = title + ' (' + t('configurator.isMultiselect') + ')';
  }
  if ((_viewHandler$getViewC = viewHandler.getViewConfig()) !== null && _viewHandler$getViewC !== void 0 && _viewHandler$getViewC.showOptionCodexInOptionHeader) title = title + (item.optionCodex ? ' (' + item.optionCodex + ')' : '');
  return /*#__PURE__*/jsx("div", {
    className: classnames(containerClass, viewHandler.uiState.isMobilePortrait ? portrait : undefined, viewHandler.uiState.isMobileLandscape ? landscape : undefined, viewHandler.uiState.configSettingsIsMinExpanded ? minExpanded : undefined, isInScroller ? scroller : undefined),
    children: /*#__PURE__*/jsxs("div", {
      onClick: function onClick(e) {
        return e.stopPropagation();
      },
      className: headerWrapper,
      children: [/*#__PURE__*/jsxs("div", {
        className: titleClass,
        children: [/*#__PURE__*/jsx("span", {
          "data-test-id": "settingsItemHeaderTitle",
          children: title
        }), !isSettingsHeader && item.measureUnit && /*#__PURE__*/jsx(NumberInput, {
          item: item
        })]
      }), item.quantity !== undefined && !isSettingsHeader && /*#__PURE__*/jsxs("div", {
        className: classnames(quantity),
        children: [" ", t('configurator.quantity', 'Anzahl') + ': ' + item.quantity, "x"]
      }), /*#__PURE__*/jsxs("div", {
        className: iconsContainer,
        children: [!hidePrices && !isSettingsHeader && item.price !== undefined && /*#__PURE__*/jsx("div", {
          className: wcConfiguratorSettingsHeaderPrice,
          children: item.price
        }), specialElement1, item.type == 'TOGGLE_HEADER' && /*#__PURE__*/jsx(ToggleHeader, {
          item: item
        }), doShowSearchbar && /*#__PURE__*/jsx(Searchbar, {
          isInScroller: isInScroller,
          item: item,
          doShowFilter: !!doShowFilter
        }, item.configStepKey), doShowFilter && /*#__PURE__*/jsx(PaletteComponent, {
          id: item.id
        }), /*#__PURE__*/jsx(SummaryVariantButton, {
          item: item
        }), !isSettingsHeader && (item === null || item === void 0 || (_item$selectedElement = item.selectedElements) === null || _item$selectedElement === void 0 || (_item$selectedElement = _item$selectedElement[0]) === null || _item$selectedElement === void 0 ? void 0 : _item$selectedElement.pdfUrl) && /*#__PURE__*/jsx(PDFButton, {
          pdfUrl: item.selectedElements[0].pdfUrl
        }), !isSettingsHeader && /*#__PURE__*/jsx(Fragment, {
          children: (_item$selectedElement2 = item.selectedElements) !== null && _item$selectedElement2 !== void 0 && (_item$selectedElement2 = _item$selectedElement2[0]) !== null && _item$selectedElement2 !== void 0 && _item$selectedElement2.url ? /*#__PURE__*/jsx(InfoButton, {
            id: item.id,
            selectedElement: item.selectedElements[0],
            openUrl: true
          }) : item.optionContentItemId ? /*#__PURE__*/jsx(InfoIcon, {
            item: {
              contentItemId: item.optionContentItemId,
              codex: item.configStepKey
            },
            style: {
              bottom: 'calc(50% - 10px)'
            }
          }, item.optionCodex) : !isSettingsHeader && viewHandler.uiState.isInMobileView && (item === null || item === void 0 || (_item$selectedElement3 = item.selectedElements) === null || _item$selectedElement3 === void 0 ? void 0 : _item$selectedElement3.length) && viewHandler.getViewConfig().infoButton && /*#__PURE__*/jsx(InfoButton, {
            id: item.id,
            selectedElement: item.selectedElements[0]
          })
        }), specialElement2]
      }), item.selectedElements && item.isMultiselect && /*#__PURE__*/jsx(SelectedOpv, {
        item: item,
        selectedElements: item.selectedElements
      })]
    })
  });
};
var SettingsItemHeader$1 = observer(SettingsItemHeader);

export { SettingsItemHeader$1 as default };
