import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import { useState, useEffect } from 'react';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var info = "info-N3LzD";
var selected = "selected-P-U1U";
var notSel = "not-sel-AFJoQ";
var background = "background-gCmWP";
var isOpen = "is-open-0Kj4f";
var text = "text-m4AQC";
var hidden = "hidden-R5A8Y";
var css_248z = ".info-N3LzD {\n  position: absolute;\n  bottom: 0px;\n  right: 0px;\n  cursor: pointer;\n}\n.selected-P-U1U,\n.not-sel-AFJoQ {\n  position: absolute;\n  opacity: 1;\n  transition: 0.3s opacity ease;\n  z-index: 20;\n}\n.selected-P-U1U rect,\n.not-sel-AFJoQ rect,\n.selected-P-U1U path,\n.not-sel-AFJoQ path {\n  transition: 0.3s fill ease;\n}\n\n.info-N3LzD svg {\n  transition: 0.3s filter ease;\n}\n\n.info-N3LzD,\n.info-N3LzD svg {\n  width: 20px;\n  width: var(--infoIconSize, 20px);\n  height: 20px;\n  height: var(--infoIconSize, 20px);\n}\n\n.selected-P-U1U:hover .background-gCmWP,\n.is-open-0Kj4f .background-gCmWP {\n  fill: var(--diva-theme-palette-primary-main);\n}\n.selected-P-U1U:hover .text-m4AQC,\n.is-open-0Kj4f .text-m4AQC {\n  fill: transparent;\n}\n\n.selected-P-U1U:hover svg,\n.not-sel-AFJoQ:hover svg {\n  filter: drop-shadow(3px 3px 3px #bbb);\n}\n\n.not-sel-AFJoQ:hover path {\n  fill: var(--diva-theme-palette-primary-main);\n}\n.hidden-R5A8Y {\n  opacity: 0;\n  z-index: 10;\n}\n";
styleInject(css_248z);

var InfoIcon = function InfoIcon(_ref) {
  var _ref2, _ref3, _codex;
  var item = _ref.item,
    style = _ref.style;
  var _useDivaCore = useDivaCore();
    _useDivaCore.state.theme.palette;
  var viewHandler = useViewHandler();
  var contentItemId = item.contentItemId;
  var clickedFrom = (_ref2 = (_ref3 = (_codex = item.codex) !== null && _codex !== void 0 ? _codex : item.articleCodex) !== null && _ref3 !== void 0 ? _ref3 : item.title) !== null && _ref2 !== void 0 ? _ref2 : item.key;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    clicked = _useState2[0],
    setClicked = _useState2[1];
  var itemSelected = item.sel || clicked;
  useEffect(function () {
    var select = viewHandler.settingsState.contentItemVisible && viewHandler.settingsState.contentItemId == contentItemId && clickedFrom == viewHandler.settingsState.clickedFrom;
    if (!select && clicked) {
      setClicked(false);
    }
    if (select && !clicked) {
      setClicked(true);
    }
  }, [viewHandler.settingsState.contentItemVisible, viewHandler.settingsState.contentItemId, viewHandler.settingsState.clickedFrom]);
  if (!item) throw new Error('item for infoIcon not defined');
  var showIcon = function showIcon() {
    var _viewHandler$uiState$;
    if (item.op && (_viewHandler$uiState$ = viewHandler.uiState.ViewConfig.infoIconSettings) !== null && _viewHandler$uiState$ !== void 0 && _viewHandler$uiState$.onlyShowSelectedOPV) {
      return itemSelected;
    }
    return true;
  };
  if (!showIcon()) {
    return /*#__PURE__*/jsx(Fragment, {});
  }
  return /*#__PURE__*/jsx("div", {
    className: info,
    onClick: function onClick(e) {
      viewHandler.settingsState.onClickContentItemId(contentItemId, clickedFrom);
      setClicked(viewHandler.settingsState.contentItemVisible && viewHandler.settingsState.contentItemId == contentItemId);
      e.stopPropagation();
    },
    style: style,
    children: /*#__PURE__*/jsxs(Fragment, {
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(selected, !itemSelected ? hidden : undefined, clicked ? isOpen : undefined),
        children: /*#__PURE__*/jsxs("svg", {
          viewBox: "0 0 20 20",
          fill: "none",
          xmlns: "http://www.w3.org/2000/svg",
          children: [/*#__PURE__*/jsx("rect", {
            x: "1",
            y: "1",
            width: "18",
            height: "18",
            rx: "9",
            fill: "#fff"
          }), /*#__PURE__*/jsx("path", {
            className: background,
            d: "M10.0003 14.75C10.2129 14.75 10.391 14.6781 10.5345 14.5343C10.6782 14.3906 10.75 14.2125 10.75 14V9.75C10.75 9.5375 10.6781 9.35933 10.5343 9.2155C10.3904 9.07183 10.2122 9 9.99975 9C9.78708 9 9.609 9.07183 9.4655 9.2155C9.32183 9.35933 9.25 9.5375 9.25 9.75V14C9.25 14.2125 9.32192 14.3906 9.46575 14.5343C9.60958 14.6781 9.78775 14.75 10.0003 14.75ZM10 7.2885C10.2288 7.2885 10.4207 7.21108 10.5755 7.05625C10.7303 6.90142 10.8077 6.70958 10.8077 6.48075C10.8077 6.25192 10.7303 6.06008 10.5755 5.90525C10.4207 5.75058 10.2288 5.67325 10 5.67325C9.77117 5.67325 9.57933 5.75058 9.4245 5.90525C9.26967 6.06008 9.19225 6.25192 9.19225 6.48075C9.19225 6.70958 9.26967 6.90142 9.4245 7.05625C9.57933 7.21108 9.77117 7.2885 10 7.2885ZM10.0017 19.5C8.68775 19.5 7.45267 19.2507 6.2965 18.752C5.14033 18.2533 4.13467 17.5766 3.2795 16.7218C2.42433 15.8669 1.74725 14.8617 1.24825 13.706C0.749417 12.5503 0.5 11.3156 0.5 10.0017C0.5 8.68775 0.749333 7.45267 1.248 6.2965C1.74667 5.14033 2.42342 4.13467 3.27825 3.2795C4.13308 2.42433 5.13833 1.74725 6.294 1.24825C7.44967 0.749417 8.68442 0.5 9.99825 0.5C11.3123 0.5 12.5473 0.749333 13.7035 1.248C14.8597 1.74667 15.8653 2.42342 16.7205 3.27825C17.5757 4.13308 18.2528 5.13833 18.7518 6.294C19.2506 7.44967 19.5 8.68442 19.5 9.99825C19.5 11.3123 19.2507 12.5473 18.752 13.7035C18.2533 14.8597 17.5766 15.8653 16.7218 16.7205C15.8669 17.5757 14.8617 18.2528 13.706 18.7518C12.5503 19.2506 11.3156 19.5 10.0017 19.5Z",
            fill: "#fff"
          }), /*#__PURE__*/jsx("path", {
            className: text,
            d: "M10.0003 14.75C10.2129 14.75 10.391 14.6781 10.5345 14.5343C10.6782 14.3906 10.75 14.2125 10.75 14V9.75C10.75 9.5375 10.6781 9.35933 10.5343 9.2155C10.3904 9.07183 10.2122 9 9.99975 9C9.78708 9 9.609 9.07183 9.4655 9.2155C9.32183 9.35933 9.25 9.5375 9.25 9.75V14C9.25 14.2125 9.32192 14.3906 9.46575 14.5343C9.60958 14.6781 9.78775 14.75 10.0003 14.75ZM10 7.2885C10.2288 7.2885 10.4207 7.21108 10.5755 7.05625C10.7303 6.90142 10.8077 6.70958 10.8077 6.48075C10.8077 6.25192 10.7303 6.06008 10.5755 5.90525C10.4207 5.75058 10.2288 5.67325 10 5.67325C9.77117 5.67325 9.57933 5.75058 9.4245 5.90525C9.26967 6.06008 9.19225 6.25192 9.19225 6.48075C9.19225 6.70958 9.26967 6.90142 9.4245 7.05625C9.57933 7.21108 9.77117 7.2885 10 7.2885ZM10.0017 19.5C8.68775 19.5 7.45267 19.2507 6.2965 18.752C5.14033 18.2533 4.13467 17.5766 3.2795 16.7218C2.42433 15.8669 1.74725 14.8617 1.24825 13.706C0.749417 12.5503 0.5 11.3156 0.5 10.0017C0.5 8.68775 0.749333 7.45267 1.248 6.2965C1.74667 5.14033 2.42342 4.13467 3.27825 3.2795C4.13308 2.42433 5.13833 1.74725 6.294 1.24825C7.44967 0.749417 8.68442 0.5 9.99825 0.5C11.3123 0.5 12.5473 0.749333 13.7035 1.248C14.8597 1.74667 15.8653 2.42342 16.7205 3.27825C17.5757 4.13308 18.2528 5.13833 18.7518 6.294C19.2506 7.44967 19.5 8.68442 19.5 9.99825C19.5 11.3123 19.2507 12.5473 18.752 13.7035C18.2533 14.8597 17.5766 15.8653 16.7218 16.7205C15.8669 17.5757 14.8617 18.2528 13.706 18.7518C12.5503 19.2506 11.3156 19.5 10.0017 19.5ZM10 18C12.2333 18 14.125 17.225 15.675 15.675C17.225 14.125 18 12.2333 18 10C18 7.76667 17.225 5.875 15.675 4.325C14.125 2.775 12.2333 2 10 2C7.76667 2 5.875 2.775 4.325 4.325C2.775 5.875 2 7.76667 2 10C2 12.2333 2.775 14.125 4.325 15.675C5.875 17.225 7.76667 18 10 18Z",
            fill: "#4F4F4F"
          })]
        })
      }), /*#__PURE__*/jsx("div", {
        className: classnames(notSel, itemSelected ? hidden : undefined),
        children: /*#__PURE__*/jsxs("svg", {
          viewBox: "0 0 20 20",
          fill: "none",
          xmlns: "http://www.w3.org/2000/svg",
          children: [/*#__PURE__*/jsx("rect", {
            x: "1",
            y: "1",
            width: "18",
            height: "18",
            rx: "9",
            fill: "#fff"
          }), /*#__PURE__*/jsx("path", {
            d: "M10.0003 14.75C10.2129 14.75 10.391 14.6781 10.5345 14.5343C10.6782 14.3906 10.75 14.2125 10.75 14V9.75C10.75 9.5375 10.6781 9.35933 10.5343 9.2155C10.3904 9.07183 10.2122 9 9.99975 9C9.78708 9 9.609 9.07183 9.4655 9.2155C9.32183 9.35933 9.25 9.5375 9.25 9.75V14C9.25 14.2125 9.32192 14.3906 9.46575 14.5343C9.60958 14.6781 9.78775 14.75 10.0003 14.75ZM10 7.2885C10.2288 7.2885 10.4207 7.21108 10.5755 7.05625C10.7303 6.90142 10.8077 6.70958 10.8077 6.48075C10.8077 6.25192 10.7303 6.06008 10.5755 5.90525C10.4207 5.75058 10.2288 5.67325 10 5.67325C9.77117 5.67325 9.57933 5.75058 9.4245 5.90525C9.26967 6.06008 9.19225 6.25192 9.19225 6.48075C9.19225 6.70958 9.26967 6.90142 9.4245 7.05625C9.57933 7.21108 9.77117 7.2885 10 7.2885ZM10.0017 19.5C8.68775 19.5 7.45267 19.2507 6.2965 18.752C5.14033 18.2533 4.13467 17.5766 3.2795 16.7218C2.42433 15.8669 1.74725 14.8617 1.24825 13.706C0.749417 12.5503 0.5 11.3156 0.5 10.0017C0.5 8.68775 0.749333 7.45267 1.248 6.2965C1.74667 5.14033 2.42342 4.13467 3.27825 3.2795C4.13308 2.42433 5.13833 1.74725 6.294 1.24825C7.44967 0.749417 8.68442 0.5 9.99825 0.5C11.3123 0.5 12.5473 0.749333 13.7035 1.248C14.8597 1.74667 15.8653 2.42342 16.7205 3.27825C17.5757 4.13308 18.2528 5.13833 18.7518 6.294C19.2506 7.44967 19.5 8.68442 19.5 9.99825C19.5 11.3123 19.2507 12.5473 18.752 13.7035C18.2533 14.8597 17.5766 15.8653 16.7218 16.7205C15.8669 17.5757 14.8617 18.2528 13.706 18.7518C12.5503 19.2506 11.3156 19.5 10.0017 19.5ZM10 18C12.2333 18 14.125 17.225 15.675 15.675C17.225 14.125 18 12.2333 18 10C18 7.76667 17.225 5.875 15.675 4.325C14.125 2.775 12.2333 2 10 2C7.76667 2 5.875 2.775 4.325 4.325C2.775 5.875 2 7.76667 2 10C2 12.2333 2.775 14.125 4.325 15.675C5.875 17.225 7.76667 18 10 18Z",
            fill: "#4F4F4F"
          })]
        })
      })]
    })
  });
};
var InfoIcon$1 = observer(InfoIcon);

export { InfoIcon$1 as default };
