import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { s as styleInject } from './index-e560cd58.js';
import 'react';
import { useDivaCore } from '@crystaldesign/diva-core';
import PricePreview from './index-b813b7d7.js';
import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcGalleryTooltip = "wcGalleryTooltip-eM-oy";
var hexColor = "hexColor-XaOK4";
var textClass = "text-class-6-Jq8";
var descClass = "desc-class-KzLCw";
var css_248z = ".wcGalleryTooltip-eM-oy {\n  display: block;\n  background-color: rgba(242, 242, 242, 0.9);\n  box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.4);\n  border-radius: var(--globalBorderRadius);\n  height: -moz-fit-content;\n  height: fit-content;\n  width: 320px;\n  padding-bottom: 12px;\n}\n.wcGalleryTooltip-eM-oy img,\n.hexColor-XaOK4 {\n  width: 90%;\n  max-height: 77%;\n  margin: 5% 5% 0 5%;\n  -o-object-fit: scale-down;\n     object-fit: scale-down;\n  -o-object-position: center center;\n     object-position: center center;\n}\n\n.hexColor-XaOK4 {\n  height: 260px;\n}\n\n.wcGalleryTooltip-eM-oy {\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  letter-spacing: 0.5px;\n  -webkit-font-smoothing: antialiased;\n  -webkit-text-stroke: 0.1px;\n  z-index: 2147483650;\n}\n\n.text-class-6-Jq8 {\n  padding: 5px 20px 2px 20px;\n}\n\n.desc-class-KzLCw {\n  font-size: 13px;\n  line-height: 16px;\n  color: var(--secondaryColor);\n  padding: 5px 20px 2px 20px;\n}\n\n.price-class-wkXc- {\n  padding: 0px 20px;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var GenericToolTip = function GenericToolTip(_ref) {
  var _theme$typography;
  var image = _ref.image,
    text = _ref.text,
    desciption = _ref.desciption,
    codex = _ref.codex,
    hexColor$1 = _ref.hexColor,
    layerProps = _ref.layerProps,
    pricePreviewPromise = _ref.pricePreviewPromise;
  var imageSrc = image === null || image === void 0 ? void 0 : image.replace('_gal', '').replace('_low', '');
  var _useDivaCore = useDivaCore(),
    theme = _useDivaCore.state.theme;
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({
    className: wcGalleryTooltip
  }, layerProps), {}, {
    style: _objectSpread(_objectSpread({}, {
      fontFamily: theme === null || theme === void 0 || (_theme$typography = theme.typography) === null || _theme$typography === void 0 ? void 0 : _theme$typography.fontFamily
    }), layerProps.style),
    children: [imageSrc ? /*#__PURE__*/jsx("img", {
      src: imageSrc,
      alt: text
    }) : !!hexColor$1 ? /*#__PURE__*/jsx("div", {
      className: hexColor,
      style: {
        backgroundColor: '#' + hexColor$1
      }
    }) : /*#__PURE__*/jsx(Fragment, {}), /*#__PURE__*/jsx("div", {
      className: textClass,
      dangerouslySetInnerHTML: {
        __html: text
      }
    }), desciption && /*#__PURE__*/jsx("div", {
      className: descClass,
      children: desciption
    }), codex && /*#__PURE__*/jsx("div", {
      className: descClass,
      children: codex
    }), pricePreviewPromise !== undefined && /*#__PURE__*/jsx(PricePreview, {
      asyncPricePreview: pricePreviewPromise
    })]
  }));
};

export { GenericToolTip as default };
