import _toConsumableArray from '@babel/runtime/helpers/toConsumableArray';
import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _asyncToGenerator from '@babel/runtime/helpers/asyncToGenerator';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import _regeneratorRuntime from '@babel/runtime/regenerator';
import { u as useViewHandler } from './index-e560cd58.js';
import { useState, useEffect } from 'react';
import { n as notExpanded } from './index.module-e5cc5bed.js';
import { s as scrollable, h as header, f as filter, t as table, c as column, d as decision, D as DecisionVisualization } from './DecisionVizualizer-5fd20957.js';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import { DivaUtils } from '@crystaldesign/diva-core';
import './react-json-viewer-ed11badd.js';
import ArticleSelector from './index-e1eb89c3.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'react-json-view-lite';
import 'react-draggable';
import 'react-select';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var DecisionAnalyzer = function DecisionAnalyzer(_ref) {
  var _article$decisionDebu;
  var props = Object.assign({}, (_objectDestructuringEmpty(_ref), _ref));
  var viewHandler = useViewHandler();
  var articles = viewHandler.divaWebPlanner.getDivaArticles();
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    rerender = _useState2[0],
    setRerender = _useState2[1];
  useEffect(function () {
    var asyncFunct = /*#__PURE__*/function () {
      var _ref2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return DivaUtils.Sleep(1000);
            case 2:
              setRerender(!rerender);
            case 3:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      return function asyncFunct() {
        return _ref2.apply(this, arguments);
      };
    }();
    asyncFunct();
  }, [viewHandler.tabGroupState.allTabGroups]);
  useEffect(function () {
    var set = viewHandler.divaWebPlanner.actSet();
    if (set && !set.logDecisions) set.logDecisions = true;
    return function () {
      var set = viewHandler.divaWebPlanner.actSet();
      if (set) set.logDecisions = false;
    };
  }, [viewHandler.uiState.isLoading]);
  var _useState3 = useState(Object.values(articles !== null && articles !== void 0 ? articles : {}).find(function (a) {
      return a.posNr == 1;
    })),
    _useState4 = _slicedToArray(_useState3, 2),
    article = _useState4[0],
    setArticle = _useState4[1];
  var _useState5 = useState(),
    _useState6 = _slicedToArray(_useState5, 2),
    selectedRow = _useState6[0],
    setSelectedRow = _useState6[1];
  var _useState7 = useState(),
    _useState8 = _slicedToArray(_useState7, 2),
    filter$1 = _useState8[0],
    setFilter = _useState8[1];
  if (!article) return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable),
    style: {
      zIndex: 800
    },
    children: [/*#__PURE__*/jsx("a", {
      className: header,
      children: "Decision analyzer - plann article"
    }), /*#__PURE__*/jsx(ArticleSelector, {
      articleState: [article, setArticle]
    })]
  }));
  var isIDMFormat = article.CatalogData.isIDMFormat;
  var longestStack = (_article$decisionDebu = article.decisionDebugStacks) === null || _article$decisionDebu === void 0 || (_article$decisionDebu = _article$decisionDebu[0]) === null || _article$decisionDebu === void 0 || (_article$decisionDebu = _article$decisionDebu.stack) === null || _article$decisionDebu === void 0 ? void 0 : _article$decisionDebu.length;
  if (!longestStack) return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable),
    style: {
      zIndex: 800
    },
    children: [/*#__PURE__*/jsx("a", {
      className: header,
      children: "Decision analyzer - change config"
    }), /*#__PURE__*/jsx(ArticleSelector, {
      articleState: [article, setArticle]
    })]
  }));
  var entries = _toConsumableArray(Array(longestStack).keys());
  var _onClick = function onClick(nr, row) {
    var _selectedRow$decision, _selectedRow$decision2;
    if (nr == ((selectedRow === null || selectedRow === void 0 || (_selectedRow$decision = selectedRow.decision) === null || _selectedRow$decision === void 0 ? void 0 : _selectedRow$decision.Number) || (selectedRow === null || selectedRow === void 0 || (_selectedRow$decision2 = selectedRow.decision) === null || _selectedRow$decision2 === void 0 ? void 0 : _selectedRow$decision2.decisionNo))) {
      setSelectedRow(undefined);
    } else setSelectedRow(row);
  };
  var filteredDecisions = [];
  if (isIDMFormat) {
    filteredDecisions = article.decisionDebugStacks.map(function (d) {
      return d.stack.map(function (d) {
        var _featureRefs;
        return _objectSpread(_objectSpread({}, d), {}, {
          bold: !!(filter$1 !== undefined && (_featureRefs = d.decision.featureRefs) !== null && _featureRefs !== void 0 && _featureRefs.includes(filter$1)
          //!!(d.decision as IDMDecision).optionCombinations?.find((o) => Object.values(o.projectActions)?.find((da) => (da) == filter || da == filter)))
          )
        });
      });
    });
  } else {
    filteredDecisions = article.decisionDebugStacks.map(function (d) {
      return d.stack.map(function (d) {
        var _DOC, _Options;
        return _objectSpread(_objectSpread({}, d), {}, {
          bold: !!(filter$1 !== undefined && (!!((_DOC = d.decision.DOC) !== null && _DOC !== void 0 && _DOC.find(function (doc) {
            var _doc$DA, _doc$JsFormula;
            return ((_doc$DA = doc.DA) === null || _doc$DA === void 0 ? void 0 : _doc$DA.find(function (da) {
              return da.OptionCodex == filter$1 || da.DecisionNr == filter$1;
            })) || ((_doc$JsFormula = doc.JsFormula) === null || _doc$JsFormula === void 0 ? void 0 : _doc$JsFormula.includes("'OPT" + filter$1 + "'"));
          })) || !!((_Options = d.decision.Options) !== null && _Options !== void 0 && _Options.includes('OPT' + filter$1))))
        });
      });
    });
  }
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable, viewHandler.uiState.configSettingsIsExpanded ? notExpanded : undefined),
    style: {
      zIndex: 800
    },
    children: [/*#__PURE__*/jsxs("a", {
      className: header,
      children: ["Decision history", /*#__PURE__*/jsx("input", {
        value: filter$1,
        onChange: function onChange(e) {
          return setFilter(e.target.value);
        },
        placeholder: "filter option ohne OPT",
        className: filter
      })]
    }), /*#__PURE__*/jsx(ArticleSelector, {
      articleState: [article, setArticle]
    }), /*#__PURE__*/jsxs("table", {
      className: table,
      children: [/*#__PURE__*/jsx("thead", {
        children: /*#__PURE__*/jsx("tr", {
          className: column,
          children: filteredDecisions.map(function (d, i) {
            return /*#__PURE__*/jsx("th", {
              children: i
            }, i);
          })
        })
      }), /*#__PURE__*/jsx("tbody", {
        children: entries.map(function (x, i) {
          return /*#__PURE__*/jsx("tr", {
            className: column,
            children: filteredDecisions.map(function (d, j) {
              var _d$i, _d$i2;
              return /*#__PURE__*/jsx("th", {
                onClick: function onClick() {
                  return _onClick(d[i].nr, d[i]);
                },
                children: d[i].bold ? /*#__PURE__*/jsx("strong", {
                  children: (_d$i = d[i]) === null || _d$i === void 0 ? void 0 : _d$i.text
                }) : (_d$i2 = d[i]) === null || _d$i2 === void 0 ? void 0 : _d$i2.text
              }, j);
            })
          }, i);
        })
      })]
    }), selectedRow && /*#__PURE__*/jsx("div", {
      className: decision,
      children: /*#__PURE__*/jsx(DecisionVisualization, {
        decision: selectedRow.decision,
        snapshots: selectedRow.snapshots,
        onClose: function onClose() {
          return setSelectedRow(undefined);
        }
      })
    })]
  }));
};
var DecisionAnalyzer$1 = observer(DecisionAnalyzer);

export { DecisionAnalyzer$1 as default };
