import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcConfiguratorProductFooter = "wcConfigurator-product-footer-ygF4L";
var portrait = "portrait-FCw3Q";
var settingsHidden = "settings-hidden-PBWln";
var landscape = "landscape-KhTSA";
var expanded = "expanded-pQR-c";
var wcButton = "wcButton-s5DtR";
var sel = "sel-1Qm3v";
var wcViewAs = "wc_ViewAs-y1Kh8";
var css_248z = "/* footer */\n\n.wcConfigurator-product-footer-ygF4L {\n  text-align: center;\n  z-index: 350;\n}\n\n.wcConfigurator-product-footer-ygF4L {\n  position: absolute;\n  bottom: 0px;\n  left: 50%;\n  transform: translate(-50%, 0);\n}\n\n.portrait-FCw3Q.wcConfigurator-product-footer-ygF4L {\n  display: none;\n}\n\n.portrait-FCw3Q.settings-hidden-PBWln.wcConfigurator-product-footer-ygF4L {\n  position: absolute;\n  display: block;\n  height: 40px;\n}\n\n.portrait-FCw3Q.settings-hidden-PBWln.wcConfigurator-product-footer-ygF4L {\n  bottom: 0px;\n}\n\n.landscape-KhTSA.wcConfigurator-product-footer-ygF4L {\n  display: none;\n}\n\n.landscape-KhTSA.settings-hidden-PBWln.wcConfigurator-product-footer-ygF4L {\n  position: absolute;\n  display: block;\n  bottom: 0;\n  height: 40px;\n}\n\n.expanded-pQR-c.wcConfigurator-product-footer-ygF4L {\n  left: 20%;\n  transform: translate(-40%, 0);\n}\n\n.wcConfigurator-product-footer-ygF4L .wcButton-s5DtR.sel-1Qm3v,\n.wcConfigurator-product-footer-ygF4L .wcButton-s5DtR.sel-1Qm3v:hover {\n  background: var(--secondaryColor);\n  color: white;\n}\n\n.wcConfigurator-product-footer-ygF4L .wcButton-s5DtR:active,\n.wcConfigurator-product-footer-ygF4L .wcButton-s5DtR.sel-1Qm3v:active {\n  background: #616161;\n  color: white;\n}\n\n.wcConfigurator-product-footer-ygF4L .wcButton-s5DtR {\n  background: white;\n  border: 1px solid var(--secondaryColor);\n\n  box-sizing: border-box;\n  -webkit-text-stroke: 0.6px;\n  min-width: 160px;\n  width: auto;\n  height: 38.4px;\n  line-height: 35.8px;\n  color: var(--secondaryColor);\n  border-right: 0px;\n  border-radius: 0px 0px 0px 0px;\n}\n.wcConfigurator-product-footer-ygF4L .wcButton-s5DtR:hover {\n  color: var(--secondaryColor);\n  background: white;\n  box-shadow: var(--boxShadowHover);\n}\n\n.wc_ViewAs-y1Kh8 .wcButton-s5DtR:last-child {\n  border-top-right-radius: var(--globalBorderRadius);\n  border-bottom-right-radius: var(--globalBorderRadius);\n  border-right: 1px solid var(--secondaryColor);\n}\n\n.wc_ViewAs-y1Kh8 .wcButton-s5DtR:first-child {\n  border-top-left-radius: var(--globalBorderRadius);\n  border-bottom-left-radius: var(--globalBorderRadius);\n}\n\n/* ViewAs  */\n.wc_ViewAs-y1Kh8 {\n  text-align: center;\n  z-index: 10;\n  margin: 0;\n  padding: 0;\n  border-width: 0;\n  list-style: none;\n  white-space: nowrap;\n  display: inline-flex;\n  flex-direction: row;\n  vertical-align: middle;\n  position: relative;\n  flex-wrap: nowrap;\n}\n\n.wc_ViewAs-y1Kh8 li {\n  display: block;\n  float: left;\n}\n";
styleInject(css_248z);

var ProductFooter = function ProductFooter(props) {
  var _viewHandler$divaWebP, _viewHandler$tabGroup, _viewHandler$tabGroup2;
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var renderings = (_viewHandler$divaWebP = viewHandler.divaWebPlanner.getAlternateRenderingsForSummary()) !== null && _viewHandler$divaWebP !== void 0 ? _viewHandler$divaWebP : [];
  if (viewHandler.productState.footerVisible.length <= 1 && (((_viewHandler$tabGroup = viewHandler.tabGroupState.curTabGroup) === null || _viewHandler$tabGroup === void 0 ? void 0 : _viewHandler$tabGroup.type) != 'SUMMARY' || !renderings.length)) return /*#__PURE__*/jsx(Fragment, {});
  if (viewHandler.uiState.ViewConfig.roomListInProduct && viewHandler.productState.roomListExpanded && viewHandler.settingsState.roomListInitialized) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsx("div", {
    className: classnames(wcConfiguratorProductFooter, viewHandler.uiState.isMobileLandscape ? landscape : undefined, viewHandler.uiState.isMobilePortrait ? portrait : undefined, viewHandler.uiState.configSettingsIsHidden ? settingsHidden : undefined, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined),
    children: /*#__PURE__*/jsxs("ul", {
      className: wcViewAs,
      children: [viewHandler.productState.allow3DComb && /*#__PURE__*/jsx("li", {
        className: classnames(wcButton, viewHandler.productState.doShow3DComb ? sel : undefined),
        onClick: function onClick() {
          return viewHandler.productState.onChangePlannerView('3DCOMB');
        },
        children: t('configurator.Foto')
      }), viewHandler.productState.allowRendering && /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsx("li", {
          className: classnames(wcButton, viewHandler.productState.doShowRenderImage && viewHandler.productState.curAlternateRendering === undefined ? sel : undefined),
          onClick: function onClick() {
            return viewHandler.productState.onChangePlannerView('3D');
          },
          children: t('configurator.Foto')
        }), ((_viewHandler$tabGroup2 = viewHandler.tabGroupState.curTabGroup) === null || _viewHandler$tabGroup2 === void 0 ? void 0 : _viewHandler$tabGroup2.type) == 'SUMMARY' && renderings.map(function (rendering) {
          var _viewHandler$productS;
          return /*#__PURE__*/jsx("li", {
            className: classnames(wcButton, viewHandler.productState.doShowRenderImage && ((_viewHandler$productS = viewHandler.productState.curAlternateRendering) === null || _viewHandler$productS === void 0 ? void 0 : _viewHandler$productS.imageCodex) === rendering.imageCodex ? sel : undefined),
            onClick: function onClick() {
              return viewHandler.productState.onChangePlannerView('3D', rendering);
            },
            children: rendering.title
          });
        })]
      }), viewHandler.productState.allowGrid && /*#__PURE__*/jsx("li", {
        className: classnames(wcButton, viewHandler.productState.doShowGrid ? sel : undefined),
        onClick: function onClick() {
          return viewHandler.productState.onChangePlannerView('2D');
        },
        children: t('configurator.Grundriss')
      }), viewHandler.productState.allowRTV && /*#__PURE__*/jsx("li", {
        className: classnames(wcButton, viewHandler.productState.doShowRTV ? sel : undefined),
        onClick: function onClick() {
          return viewHandler.productState.onChangePlannerView('RTV');
        },
        children: t('configurator.RTV')
      })]
    })
  });
};
var index = observer(ProductFooter);

export { index as default };
