import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { Suspense } from 'react';
import DivaUtils from '@crystaldesign/diva-utils';
import { useDivaCore } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var pricePreview = "price-preview-mwp8h";
var left = "left-j4aB7";
var right = "right-8Kd-Q";
var loader = "loader-q6IkE";
var css_248z = ".price-preview-mwp8h {\n  position: absolute;\n  top: 0;\n\n  background-color: rgba(234,234,234,0.66667);\n\n  padding: 2px 6px;\n  font-size: 12px;\n  height: 14px;\n  line-height: 12px;\n}\n\n.left-j4aB7 {\n  left: 0;\n  border-radius: 0px 0px 5px 0px;\n}\n\n.right-8Kd-Q {\n  right: 0;\n  border-radius: 0px 0px 0px 5px;\n}\n\n.loader-q6IkE {\n  border: 3px solid #f3f3f3;\n  border-radius: 50%;\n  border-top: 3px solid #bbb;\n  width: 10px;\n  height: 10px;\n  animation: spinner-Qvhg8 1s linear infinite;\n}\n\n@keyframes spinner-Qvhg8 {\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PricePreview = function PricePreview(_ref) {
  var asyncPricePreview = _ref.asyncPricePreview,
    _ref$pos = _ref.pos,
    pos = _ref$pos === void 0 ? 'right' : _ref$pos,
    style = _ref.style,
    price = _ref.price,
    sel = _ref.sel;
  var _useDivaCore = useDivaCore(),
    _useDivaCore$state = _useDivaCore.state,
    hidePrices = _useDivaCore$state.hidePrices,
    hideConfigPricePreview = _useDivaCore$state.hideConfigPricePreview;
  var viewHandler = useViewHandler();
  if (hidePrices || viewHandler.productState.pricePreview == 'off') return /*#__PURE__*/jsx(Fragment, {});
  if (price) return /*#__PURE__*/jsx("div", {
    className: classnames(pricePreview, pos == 'left' ? left : right),
    style: style,
    children: DivaUtils.formatPrice(Math.abs(price), _objectSpread(_objectSpread({}, DivaUtils.defaultPriceFormat), {}, {
      showDecimals: 'IF_NEEDED'
    }))
  });
  if (hideConfigPricePreview || viewHandler.productState.pricePreview == 'fromCurrentPriceHideCurrent' && sel) return /*#__PURE__*/jsx(Fragment, {});
  if (asyncPricePreview) return /*#__PURE__*/jsx(Suspense, {
    fallback: /*#__PURE__*/jsx(Fragment, {}),
    children: /*#__PURE__*/jsx(AsyncRender1, {
      asyncPricePreview: asyncPricePreview.isVisible,
      children: /*#__PURE__*/jsx("div", {
        className: classnames(pricePreview, pos == 'left' ? left : right),
        style: style,
        children: /*#__PURE__*/jsx(Suspense, {
          fallback: /*#__PURE__*/jsx("div", {
            className: loader
          }),
          children: /*#__PURE__*/jsx(AsyncRender2, {
            asyncPricePreview: asyncPricePreview.promise
          })
        })
      })
    })
  });
  return /*#__PURE__*/jsx(Fragment, {});
};
var AsyncRender1 = function AsyncRender1(_ref2) {
  var asyncPricePreview = _ref2.asyncPricePreview,
    children = _ref2.children;
  var result = use(asyncPricePreview);
  if (result) return children;
  return /*#__PURE__*/jsx(Fragment, {});
};
var AsyncRender2 = function AsyncRender2(_ref3) {
  var _window;
  var asyncPricePreview = _ref3.asyncPricePreview;
  var result = use(asyncPricePreview);
  var viewHandler = useViewHandler();
  var pricePreviewType = viewHandler.productState.pricePreview;
  var deltaPrice;
  switch (pricePreviewType) {
    default:
    case 'fromCurrentPrice':
    case 'fromCurrentPriceHideCurrent':
      deltaPrice = result.price - result.origPrice;
      break;
    case 'fromBasePrice':
      deltaPrice = result.price - result.firstPrice;
      break;
  }
  return /*#__PURE__*/jsxs(Fragment, {
    children: [((_window = window) === null || _window === void 0 ? void 0 : _window.DIVA_LOGGER) == 0 && false ? result.calcTime + 'ms ' : '', (deltaPrice < 0 ? '-' : '+') + DivaUtils.formatPrice(Math.abs(deltaPrice), _objectSpread(_objectSpread({}, DivaUtils.defaultPriceFormat), {}, {
      showDecimals: 'IF_NEEDED'
    }))]
  });
};
function use(promise) {
  if (promise.status === 'fulfilled') {
    return promise.value;
  } else if (promise.status === 'rejected') {
    throw promise.reason;
  } else if (promise.status === 'pending') {
    throw promise;
  } else {
    promise.status = 'pending';
    promise.then(function (result) {
      promise.status = 'fulfilled';
      promise.value = result;
    }, function (reason) {
      promise.status = 'rejected';
      promise.reason = reason;
    });
    throw promise;
  }
}

export { PricePreview as default };
