import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcToolbarFilter = "wcToolbarFilter-Gz4PK";
var wcPlToolIcon = "wcPlToolIcon-UBaTH";
var wcToolbarFilterExpanded = "wcToolbarFilterExpanded-Yi0L8";
var wcToolbarFilterMaxExpanded = "wcToolbarFilterMaxExpanded-7XK-7";
var wcToolbarCatalogItem = "wcToolbarCatalogItem-PuT3F";
var mobile = "mobile-Bp3bL";
var dockL = "DockL-2XY68";
var isActive = "is-active-Ta3Um";
var dockLr = "DockLR-PVa10";
var dockR = "DockR-uK2j5";
var dockNone = "DockNone-KdE70";
var accessoire = "Accessoire-ZN7LO";
var css_248z = "/*DOCKFilter*/\n.wcToolbarFilter-Gz4PK {\n  margin: 0;\n  padding: 0;\n  padding: initial;\n}\n\n@media all and (max-width: 730px) and (orientation: landscape) {\n  .wcToolbarFilter-Gz4PK {\n    display: none;\n  }\n}\n\n.wcPlToolIcon-UBaTH {\n  height: 25px;\n  width: 25px;\n  background-repeat: no-repeat;\n  background-size: auto 20px;\n  display: inline-block;\n  font-size: 0;\n  text-align: center;\n  z-index: 99;\n  margin-top: 5px;\n  cursor: pointer;\n  transition: 0.35s ease;\n}\n\n.wcToolbarFilterExpanded-Yi0L8 .wcPlToolIcon-UBaTH,\n.wcToolbarFilterMaxExpanded-7XK-7 .wcPlToolIcon-UBaTH {\n  height: 30px;\n  width: 30px;\n  background-size: auto 25px;\n}\n.wcToolbarCatalogItem-PuT3F {\n  display: inline-block;\n  list-style: none outside none;\n  padding: 0 0.3em;\n  cursor: pointer;\n  height: 32px;\n}\n.mobile-Bp3bL .wcPlToolIcon-UBaTH {\n  height: 22px;\n  width: 22px;\n  background-size: auto 18px;\n}\n\n.mobile-Bp3bL .wcToolbarCatalogItem-PuT3F {\n  height: 30px;\n  padding: 0 4px;\n}\n\n.DockL-2XY68 {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 51.12 45.5%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23d3d3d3%3Bstroke%3A%23d3d3d3%3Bstroke-miterlimit%3A10%3Bstroke-width%3A7px%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EDockL%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_6%22 data-name%3D%22Ebene 6%22%3E%3Crect class%3D%22cls-1%22 x%3D%223.5%22 y%3D%223.5%22 width%3D%2238.5%22 height%3D%2238.5%22 transform%3D%22translate(45.5 45.5) rotate(180)%22%2F%3E%3Cpolygon points%3D%2235 6.5 51.13 22.63 35 38.75 35 22.63 35 6.5%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.DockL-2XY68.is-active-Ta3Um {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 51.12 45.5%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23d3d3d3%3Bstroke%3A%23d3d3d3%3Bstroke-miterlimit%3A10%3Bstroke-width%3A7px%3B%7D.cls-2%7Bfill%3A%23e77031%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EDockL%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_6%22 data-name%3D%22Ebene 6%22%3E%3Crect class%3D%22cls-1%22 x%3D%223.5%22 y%3D%223.5%22 width%3D%2238.5%22 height%3D%2238.5%22 transform%3D%22translate(45.5 45.5) rotate(180)%22%2F%3E%3Cpolygon class%3D%22cls-2%22 points%3D%2235 6.5 51.13 22.63 35 38.75 35 22.63 35 6.5%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n\n.DockLR-PVa10 {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 57.25 45.5%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23d3d3d3%3Bstroke%3A%23d3d3d3%3Bstroke-miterlimit%3A10%3Bstroke-width%3A7px%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EDockLR%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_6%22 data-name%3D%22Ebene 6%22%3E%3Crect class%3D%22cls-1%22 x%3D%229.62%22 y%3D%223.5%22 width%3D%2238.5%22 height%3D%2238.5%22 transform%3D%22translate(57.75 45.5) rotate(180)%22%2F%3E%3Cpolygon points%3D%2216.13 38.75 0 22.63 16.13 6.5 16.13 22.63 16.13 38.75%22%2F%3E%3Cpolygon points%3D%2241.13 6.5 57.25 22.63 41.13 38.75 41.13 22.63 41.13 6.5%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.DockLR-PVa10.is-active-Ta3Um {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 57.25 45.5%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23d3d3d3%3Bstroke%3A%23d3d3d3%3Bstroke-miterlimit%3A10%3Bstroke-width%3A7px%3B%7D.cls-2%7Bfill%3A%23e77031%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EDockLR%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_6%22 data-name%3D%22Ebene 6%22%3E%3Crect class%3D%22cls-1%22 x%3D%229.62%22 y%3D%223.5%22 width%3D%2238.5%22 height%3D%2238.5%22 transform%3D%22translate(57.75 45.5) rotate(180)%22%2F%3E%3Cpolygon class%3D%22cls-2%22 points%3D%2216.13 38.75 0 22.63 16.13 6.5 16.13 22.63 16.13 38.75%22%2F%3E%3Cpolygon class%3D%22cls-2%22 points%3D%2241.13 6.5 57.25 22.63 41.13 38.75 41.13 22.63 41.13 6.5%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n\n.DockR-uK2j5 {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 51.12 45.5%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23d3d3d3%3Bstroke%3A%23d3d3d3%3Bstroke-miterlimit%3A10%3Bstroke-width%3A7px%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EDockR%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_6%22 data-name%3D%22Ebene 6%22%3E%3Crect class%3D%22cls-1%22 x%3D%229.12%22 y%3D%223.5%22 width%3D%2238.5%22 height%3D%2238.5%22%2F%3E%3Cpolygon points%3D%2216.13 39.25 0 23.13 16.13 7 16.13 23.13 16.13 39.25%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.DockR-uK2j5.is-active-Ta3Um {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 51.12 45.5%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23d3d3d3%3Bstroke%3A%23d3d3d3%3Bstroke-miterlimit%3A10%3Bstroke-width%3A7px%3B%7D.cls-2%7Bfill%3A%23e77031%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EDockR%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_6%22 data-name%3D%22Ebene 6%22%3E%3Crect class%3D%22cls-1%22 x%3D%229.12%22 y%3D%223.5%22 width%3D%2238.5%22 height%3D%2238.5%22%2F%3E%3Cpolygon class%3D%22cls-2%22 points%3D%2216.13 39.25 0 23.13 16.13 7 16.13 23.13 16.13 39.25%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n\n.DockNone-KdE70 {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 45.5 45.5%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23d3d3d3%3Bstroke%3A%23d3d3d3%3Bstroke-miterlimit%3A10%3Bstroke-width%3A7px%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EDockNone%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_6%22 data-name%3D%22Ebene 6%22%3E%3Crect class%3D%22cls-1%22 x%3D%223.5%22 y%3D%223.5%22 width%3D%2238.5%22 height%3D%2238.5%22%2F%3E%3Crect x%3D%2211.5%22 y%3D%2211%22 width%3D%2223%22 height%3D%2223%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.DockNone-KdE70.is-active-Ta3Um {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 45.5 45.5%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23d3d3d3%3Bstroke%3A%23d3d3d3%3Bstroke-miterlimit%3A10%3Bstroke-width%3A7px%3B%7D.cls-2%7Bfill%3A%23e77031%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EDockNoneOrange%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_6%22 data-name%3D%22Ebene 6%22%3E%3Crect class%3D%22cls-1%22 x%3D%223.5%22 y%3D%223.5%22 width%3D%2238.5%22 height%3D%2238.5%22%2F%3E%3Crect class%3D%22cls-2%22 x%3D%2211.5%22 y%3D%2211%22 width%3D%2223%22 height%3D%2223%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n\n.Accessoire-ZN7LO {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 43.05 43.1%22%3E%3Ctitle%3EPlus%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_3%22 data-name%3D%22Ebene 3%22%3E%3Cpath d%3D%22M24.79%2C24.79V43.1H18.18V24.79H0V18.18H18.18V0h6.61V18.18H43.05v6.61Z%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.Accessoire-ZN7LO.is-active-Ta3Um {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 43.05 43.1%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23e77031%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Ctitle%3EAddAccessoireOrange%3C%2Ftitle%3E%3Cg id%3D%22Ebene_2%22 data-name%3D%22Ebene 2%22%3E%3Cg id%3D%22Ebene_2-2%22 data-name%3D%22Ebene 2%22%3E%3Cpath class%3D%22cls-1%22 d%3D%22M24.79%2C24.79V43.1H18.18V24.79H0V18.18H18.18V0h6.61V18.18H43.05v6.61Z%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n";
styleInject(css_248z);

var DockFilter = function DockFilter() {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var plannerItems = viewHandler.paletteViewHandler.plannerItems;
  if (!plannerItems.doShowFilterTypes()) return /*#__PURE__*/jsx(Fragment, {});
  var onSelectConfigFilter = function onSelectConfigFilter(paletteId, codex, filterType) {
    viewHandler.paletteViewHandler.onSelectFilter(paletteId, codex, filterType);
  };
  return /*#__PURE__*/jsxs("ul", {
    style: {
      "float": viewHandler.getIsInMobileView() ? 'left' : 'none'
    },
    className: classnames(wcToolbarFilter, viewHandler.uiState.configSettingsIsExpanded ? wcToolbarFilterExpanded : undefined, viewHandler.uiState.configSettingsIsMaxExpanded ? wcToolbarFilterMaxExpanded : undefined, viewHandler.getIsInMobileView() ? mobile : undefined),
    children: [viewHandler.settingsState.plannerFilter.curFilteredTypes['DockL'] && /*#__PURE__*/jsx("li", {
      className: wcToolbarCatalogItem,
      onClick: function onClick() {
        return onSelectConfigFilter(1, 'DockL', 'DockFilter');
      },
      children: /*#__PURE__*/jsx("span", {
        className: classnames(wcPlToolIcon, dockL, viewHandler.settingsState.plannerFilter.dockFilter['DockL'] ? isActive : undefined),
        title: t('configurator.LEFT_ELEMENTS')
      })
    }), viewHandler.settingsState.plannerFilter.curFilteredTypes['DockLR'] && /*#__PURE__*/jsx("li", {
      className: wcToolbarCatalogItem,
      onClick: function onClick() {
        return onSelectConfigFilter(1, 'DockLR', 'DockFilter');
      },
      children: /*#__PURE__*/jsx("span", {
        className: classnames(wcPlToolIcon, dockLr, viewHandler.settingsState.plannerFilter.dockFilter['DockLR'] ? isActive : undefined),
        title: t('configurator.MIDDLE_ELEMENTS')
      })
    }), viewHandler.settingsState.plannerFilter.curFilteredTypes['DockR'] && /*#__PURE__*/jsx("li", {
      className: wcToolbarCatalogItem,
      onClick: function onClick() {
        return onSelectConfigFilter(1, 'DockR', 'DockFilter');
      },
      children: /*#__PURE__*/jsx("span", {
        className: classnames(wcPlToolIcon, dockR, viewHandler.settingsState.plannerFilter.dockFilter['DockR'] ? isActive : undefined),
        title: t('configurator.RIGHT_ELEMENTS')
      })
    }), viewHandler.settingsState.plannerFilter.curFilteredTypes['DockNone'] && /*#__PURE__*/jsx("li", {
      className: wcToolbarCatalogItem,
      onClick: function onClick() {
        return onSelectConfigFilter(1, 'DockNone', 'DockFilter');
      },
      children: /*#__PURE__*/jsx("span", {
        className: classnames(wcPlToolIcon, dockNone, viewHandler.settingsState.plannerFilter.dockFilter['DockNone'] ? isActive : undefined),
        title: t('configurator.SOLO_ELEMENTS')
      })
    }), viewHandler.settingsState.plannerFilter.curFilteredTypes['Accessoire'] && /*#__PURE__*/jsx("li", {
      className: wcToolbarCatalogItem,
      onClick: function onClick() {
        return onSelectConfigFilter(1, 'Accessoire', 'DockFilter');
      },
      children: /*#__PURE__*/jsx("span", {
        className: classnames(wcPlToolIcon, accessoire, viewHandler.settingsState.plannerFilter.dockFilter['Accessoire'] ? isActive : undefined),
        title: t('configurator.ACCESSOIRE_ELEMENTS')
      })
    })]
  });
};
var DockFilter$1 = observer(DockFilter);

export { DockFilter$1 as default };
