import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import ProductRoomList from './index-27d2d386.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcNav3DToolbar = "wc_Nav3DToolbar-dFNdl";
var wrapper = "wrapper-AVxdB";
var wcZoomIn = "wcZoomIn-Zt83g";
var wcZoomOut = "wcZoomOut-sVnrQ";
var wcFullScreen = "wcFullScreen-YrF3k";
var wcReset = "wcReset-b3nN-";
var wc3DDimLine = "wc3DDimLine-qXO6b";
var css_248z = ".wc_Nav3DToolbar-dFNdl {\n  display: flex;\n  flex-direction: row;\n  position: absolute;\n  z-index: 400;\n  margin: 0;\n  position: absolute;\n  top: 0;\n  right: 0;\n}\n.wrapper-AVxdB {\n  background: rgba(254, 254, 254, 0.9);\n  height: 20px;\n  margin-right: 5px;\n  display: flex;\n  flex-direction: row;\n  line-height: 24px;\n\n  padding: 0.6rem 0.5rem 0.9rem 0.5rem;\n}\n.wrapper-AVxdB:hover {\n  background: #fefefe;\n  color: var(--primaryColor);\n  cursor: pointer;\n  box-shadow: var(--boxShadowHover);\n}\n.wc_Nav3DToolbar-dFNdl .wrapper-AVxdB div {\n  width: 25.6px;\n  height: 25.6px;\n  display: block;\n  background-repeat: no-repeat;\n  background-position: center center;\n  transition: background-color 0.15s ease;\n}\n\n/*------------------------Nav Icons--------------------------------------*/\n\n/* pfister */\n.wcZoomIn-Zt83g {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2226%22 height%3D%2224%22 viewBox%3D%220 0 26 24%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M9.13434 17.3731C13.8328 17.3731 17.6417 13.6079 17.6417 8.96328C17.6417 4.31867 13.8328 0.553467 9.13434 0.553467C4.43584 0.553467 0.626953 4.31867 0.626953 8.96328C0.626953 13.6079 4.43584 17.3731 9.13434 17.3731Z%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22%2F%3E%3Cpath d%3D%22M24.868 22.6179L15.6235 14.5441%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M4.56201 8.96326H13.7097%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M9.13379 4.44189V13.4847%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcZoomOut-sVnrQ {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2224%22 height%3D%2222%22 viewBox%3D%220 0 24 22%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M8.69615 16.6951C12.9919 16.6951 16.4743 13.2526 16.4743 9.00611C16.4743 4.75961 12.9919 1.31714 8.69615 1.31714C4.40038 1.31714 0.917969 4.75961 0.917969 9.00611C0.917969 13.2526 4.40038 16.6951 8.69615 16.6951Z%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22%2F%3E%3Cpath d%3D%22M23.0816 21.4903L14.6631 14.1379%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M4.51465 9.0061H12.8783%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcFullScreen-YrF3k {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2220%22 height%3D%2221%22 viewBox%3D%220 0 20 21%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cg clip-path%3D%22url(%23clip0)%22%3E%3Cpath d%3D%22M19.5811 10.3625V16.9734C19.5811 18.5633 18.4933 19.9023 17.2381 19.9023H2.76106C1.42215 19.9023 0.417969 18.5633 0.417969 16.9734V3.75162C0.417969 2.16167 1.50583 0.822754 2.76106 0.822754H9.87404%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M19.5813 0.822754L10.46 9.94409%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M13.7236 0.822754H19.5814V6.59681%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fg%3E%3Cdefs%3E%3CclipPath id%3D%22clip0%22%3E%3Crect width%3D%2220%22 height%3D%2220%22 fill%3D%22white%22 transform%3D%22translate(0 0.404297)%22%2F%3E%3C%2FclipPath%3E%3C%2Fdefs%3E%3C%2Fsvg%3E\");\n}\n\n.wcReset-b3nN- {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2225%22 height%3D%2221%22 viewBox%3D%220 0 25 21%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cg clip-path%3D%22url(%23clip0)%22%3E%3Cpath d%3D%22M4.3782 14.1701C3.9275 13.2399 3.70215 12.0771 3.70215 10.9143C3.70215 5.68177 7.75849 1.49573 12.8289 1.49573C14.181 1.49573 15.5331 1.84456 16.6599 2.42596%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M20.7159 6.14685C21.5047 7.5422 21.9554 9.17011 21.9554 10.9143C21.9554 16.1469 17.899 20.3329 12.8286 20.3329C10.9131 20.3329 9.1103 19.7515 7.64551 18.5887%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M19.1387 9.05387L20.4908 5.44922L23.9837 6.84457%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M6.0681 11.2632L4.60331 14.8678L1.11035 13.2399%22 stroke%3D%22%236F6F6F%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fg%3E%3Cdefs%3E%3CclipPath id%3D%22clip0%22%3E%3Crect width%3D%2224%22 height%3D%2220%22 fill%3D%22white%22 transform%3D%22translate(0.546875 0.914307)%22%2F%3E%3C%2FclipPath%3E%3C%2Fdefs%3E%3C%2Fsvg%3E\");\n}\n\n.wc3DDimLine-qXO6b {\n  width: 32px !important;\n  height: 30px !important;\n  margin-top: -3px !important;\n  margin-left: -5px !important;\n  margin-right: -5px !important;\n}\n\n.wc3DDimLine-qXO6b {\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Generator%3A Adobe Illustrator 22.0.0%2C SVG Export Plug-In . SVG Version%3A 6.00 Build 0)  --%3E%3Csvg version%3D%221.1%22 id%3D%22Ebene_1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22 x%3D%220px%22 y%3D%220px%22%09 viewBox%3D%220 0 15 12%22 style%3D%22enable-background%3Anew 0 0 15 12%3B%22 xml%3Aspace%3D%22preserve%22%3E%3Cstyle type%3D%22text%2Fcss%22%3E%09.st0%7Bfill%3Anone%3B %7D%09.st1%7Bfill%3A%237E7E7E%3B%7D%3C%2Fstyle%3E%3Cpath class%3D%22st0%22 d%3D%22M14.8%2C1.3c0-0.6-0.5-1.2-1.2-1.2H1.4c-0.6%2C0-1.2%2C0.5-1.2%2C1.2v9.4c0%2C0.6%2C0.5%2C1.2%2C1.2%2C1.2h12.2%09c0.6%2C0%2C1.2-0.5%2C1.2-1.2C14.8%2C10.7%2C14.8%2C1.3%2C14.8%2C1.3z%22%2F%3E%3Cg%3E%09%3Cpath class%3D%22st1%22 d%3D%22M12.9%2C2.9c-0.1%2C0-0.2%2C0.1-0.2%2C0.2v5.8c0%2C0.1%2C0.1%2C0.2%2C0.2%2C0.2S13%2C9%2C13%2C8.9V3.1C13%2C3%2C12.9%2C2.9%2C12.9%2C2.9z%22%2F%3E%09%3Cpath class%3D%22st1%22 d%3D%22M2.1%2C2.9C2.1%2C2.9%2C2%2C3%2C2%2C3.1v5.8C2%2C9%2C2.1%2C9.1%2C2.1%2C9.1c0.1%2C0%2C0.2-0.1%2C0.2-0.2V3.1C2.3%2C3%2C2.2%2C2.9%2C2.1%2C2.9z%22%2F%3E%09%3Cpath class%3D%22st1%22 d%3D%22M10.3%2C4.9c-0.1%2C0-0.1%2C0-0.2%2C0C10.1%2C5%2C10%2C5%2C10%2C5.1v0.8H5V5.1C5%2C5%2C4.9%2C5%2C4.9%2C4.9c-0.1%2C0-0.1%2C0-0.2%2C0l-1.5%2C1%09%09c0%2C0-0.1%2C0.1-0.1%2C0.1c0%2C0.1%2C0%2C0.1%2C0.1%2C0.1l1.5%2C1c0%2C0%2C0.1%2C0%2C0.1%2C0c0%2C0%2C0.1%2C0%2C0.1%2C0C4.9%2C7.1%2C5%2C7.1%2C5%2C7V6.2H10V7c0%2C0.1%2C0%2C0.1%2C0.1%2C0.1%09%09c0%2C0%2C0.1%2C0%2C0.1%2C0c0%2C0%2C0.1%2C0%2C0.1%2C0l1.5-1c0%2C0%2C0.1-0.1%2C0.1-0.1c0-0.1%2C0-0.1-0.1-0.1L10.3%2C4.9z M4.6%2C6.7L3.6%2C6l1-0.6V6.7z M10.4%2C6.7%09%09V5.4l1%2C0.6L10.4%2C6.7z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n";
styleInject(css_248z);

var NavBar = function NavBar(props) {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsxs("div", {
      className: classnames(wcNav3DToolbar),
      children: [!viewHandler.productState.plannerRenderingIsStaticBG && /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsx("div", {
          className: wrapper,
          onClick: function onClick() {
            return viewHandler.productState.onNav3DMenuSelect('Nav3DViews');
          },
          children: /*#__PURE__*/jsx("div", {
            className: wcReset,
            title: t('configurator.NAV3DVIEWS_TT')
          })
        }), /*#__PURE__*/jsx("div", {
          className: wrapper,
          onClick: function onClick() {
            return viewHandler.productState.onNav3DMenuSelect('Nav3DZoomIn');
          },
          children: /*#__PURE__*/jsx("div", {
            className: wcZoomIn,
            title: t('configurator.NAV3DZOOMIN_TT')
          })
        }), /*#__PURE__*/jsx("div", {
          className: wrapper,
          onClick: function onClick() {
            return viewHandler.productState.onNav3DMenuSelect('Nav3DZoomOut');
          },
          children: /*#__PURE__*/jsx("div", {
            className: wcZoomOut,
            title: t('configurator.NAV3DZOOMOUT_TT')
          })
        })]
      }), /*#__PURE__*/jsx("div", {
        className: wrapper,
        onClick: function onClick() {
          return viewHandler.productState.onNav3DMenuSelect('Nav3DDimLine');
        },
        children: /*#__PURE__*/jsx("div", {
          className: wc3DDimLine,
          title: t('configurator.NAV3DDIMLINE_TT')
        })
      }), /*#__PURE__*/jsx("div", {
        className: wrapper,
        onClick: function onClick() {
          return viewHandler.productState.onNav3DMenuSelect('Nav3DFullScreen');
        },
        children: /*#__PURE__*/jsx("div", {
          className: wcFullScreen,
          title: t('configurator.NAV3DFULLSCREEN_TT')
        })
      })]
    }), /*#__PURE__*/jsx(ProductRoomList, {})]
  });
};
var index = observer(NavBar);

export { index as default };
