import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useRef, useState, useEffect } from 'react';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import JSONEditor from 'jsoneditor';
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wrapper = "wrapper-igjAi";
var buttonWrapper = "button-wrapper-Cctni";
var button = "button-oD7G7";
var css_248z = ".wrapper-igjAi {\n  background-color: rgba(244, 244, 244, 0.8);\n  position: absolute;\n  margin-left: 50px;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n  z-index: 1000;\n}\n.button-wrapper-Cctni {\n  margin-top: 12px;\n  display: flex;\n}\n.button-oD7G7 {\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var MaskEditor = function MaskEditor(props) {
  var _viewHandler$divaWebP;
  var viewHandler = useViewHandler();
  var container = useRef(null);
  var jsonEditor = useRef(null);
  var _useState = useState(true),
    _useState2 = _slicedToArray(_useState, 2),
    validJson = _useState2[0],
    setValidJson = _useState2[1];
  var json = (_viewHandler$divaWebP = viewHandler.divaWebPlanner.getCatalogData()) === null || _viewHandler$divaWebP === void 0 ? void 0 : _viewHandler$divaWebP.catalogMask;
  var _useState3 = useState(json !== null && json !== void 0 ? json : {}),
    _useState4 = _slicedToArray(_useState3, 2),
    value = _useState4[0];
    _useState4[1];
  var options = {
    mode: 'code',
    onChange: function onChange() {
      try {
        var current = jsonEditor.current;
        var e = current.get();
        var valid = current.validate();
        setValidJson(valid);
      } catch (_unused) {
        setValidJson(false);
        return;
      }
    }
  };
  useEffect(function () {
    if (container.current) {
      if (!jsonEditor.current) jsonEditor.current = new JSONEditor(container.current, options);
      if (jsonEditor.current) jsonEditor.current.set(value);
    }
  }, [value]);
  var onClickSave = function onClickSave() {
    var current = jsonEditor.current;
    if (!current.get() || Object.keys(current.get()).length === 0) {
      alert('Cannot save empty value');
      return;
    }
    var newJson = current.get();
    var catalogData = viewHandler.divaWebPlanner.getCatalogData();
    if (catalogData) catalogData.catalogMask = newJson;
    viewHandler.divaWebPlanner.updateWebConfiguratorTitle();
    viewHandler.paletteViewHandler.updateCurPaletteData(true);
    viewHandler.uiState.setActiveCatalogSection('3D/2D');
    viewHandler.productState.updatePlannerMsgContainer('ACCESSOIRE_MSG', true, 'INFO', 'Speicherung erfolgreich', true);
    //location.reload();
  };
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(wrapper, props.className),
    children: ["MaskEditor", /*#__PURE__*/jsx("div", {
      ref: container,
      id: "jsoneditor",
      style: {
        width: '100%',
        height: 'calc(100% - 300px)'
      }
    }), /*#__PURE__*/jsx("div", {
      className: buttonWrapper,
      children: /*#__PURE__*/jsx("button", {
        className: button,
        disabled: !validJson,
        onClick: function onClick() {
          return onClickSave();
        },
        children: "Save"
      })
    })]
  }));
};
var MaskEditor$1 = observer(MaskEditor);

export { MaskEditor$1 as default };
