import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import Dropdown from 'react-dropdown';
import { useTranslation } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import Arrow from './index-98a94c2a.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcColorFilterItem = "wcColorFilterItem-xQqck";
var dropdownRoot = "Dropdown-root-BjRjC";
var dropdownControl = "Dropdown-control-8aQx0";
var css_248z = ".wcColorFilterItem-xQqck {\n  width: 18px;\n  height: 18px;\n  border-radius: 9px;\n  display: block;\n  float: left;\n  margin-top: 1.6px;\n  margin-right: 12px;\n}\n\n.Dropdown-root-BjRjC {\n  float: right;\n  box-shadow: var(--boxShadowHover);\n  width: 140px;\n  min-width: 100px;\n}\n\n.Dropdown-control-8aQx0 {\n  border-radius: var(--globalBorderRadius);\n  border-color: white;\n  /* width: 170px; */\n  padding: 2px 12px 3px 10px;\n  line-height: 20.8px;\n  -webkit-font-smoothing: antialiased;\n  -webkit-text-stroke: 0.1px;\n  color: var(--secondaryColor);\n}\n";
styleInject(css_248z);

var RalDropdownFilter = function RalDropdownFilter(_ref) {
  var _viewHandler$settings;
  var visibleColorItems = _ref.visibleColorItems,
    _ref$dropdownRootClas = _ref.dropdownRootClass,
    dropdownRootClass = _ref$dropdownRootClas === void 0 ? dropdownRoot : _ref$dropdownRootClas,
    deleteCurValue = _ref.deleteCurValue,
    id = _ref.id;
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var viewHandler = useViewHandler();
  var actValue = (_viewHandler$settings = viewHandler.settingsState.itemPalettes.get(id)) === null || _viewHandler$settings === void 0 ? void 0 : _viewHandler$settings.filterValue;
  var dropDownValues = visibleColorItems.map(function (item) {
    return {
      label: /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsx("span", {
          className: wcColorFilterItem,
          style: {
            backgroundColor: item.rgb
          }
        }), " ", t('configurator.' + item.text)]
      }),
      text: item.text,
      value: item.text
    };
  });
  return /*#__PURE__*/jsx("div", {
    "data-test-id": "ral-dropdown",
    children: /*#__PURE__*/jsx(Dropdown, {
      className: classnames(dropdownRootClass),
      controlClassName: dropdownControl,
      options: dropDownValues,
      value: actValue,
      onChange: function onChange(val) {
        return viewHandler.paletteViewHandler.onSelectFilter(id, val.value, 'RAL');
      },
      placeholder: t('configurator.colors'),
      arrowClosed: /*#__PURE__*/jsx(Arrow, {
        onClick: deleteCurValue,
        open: false,
        iconAsDelete: !!actValue
      }),
      arrowOpen: /*#__PURE__*/jsx(Arrow, {
        onClick: deleteCurValue,
        open: true,
        iconAsDelete: !!actValue
      })
    })
  });
};

export { RalDropdownFilter as default };
