import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { useRef, useEffect } from 'react';
import { useTranslation, useDivaCore } from '@crystaldesign/diva-core';
import { g as getIconOfTabGroup } from './IconHandler-56fdbe6e.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcTabGroupItem = "wcTabGroupItem-RxTRT";
var landscape = "landscape-XFSPQ";
var wcActiveStep = "wcActiveStep-W687q";
var wcVisitedStep = "wcVisitedStep-IGlR4";
var wcTabGroupItemMobile = "wcTabGroupItemMobile-tMZbr";
var secondaryColorDiv = "secondaryColorDiv-fx0Cm";
var wcStepIcon = "wcStepIcon-JtMDZ";
var css_248z = ".wcTabGroupItem-RxTRT {\n  height: 100%;\n  width: -moz-fit-content;\n  width: fit-content;\n  float: left;\n  border: none;\n  transition: background-color 0.3s ease-out;\n  line-height: 56px;\n  padding: 0 13px;\n  cursor: pointer;\n}\n\n.landscape-XFSPQ.wcTabGroupItem-RxTRT {\n  line-height: 38px;\n}\n\n.wcTabGroupItem-RxTRT.wcActiveStep-W687q,\n.wcTabGroupItem-RxTRT.wcActiveStep-W687q.wcTabGroupItem-RxTRT:hover {\n  background-color: var(--primaryColor);\n}\n\n.wcTabGroupItem-RxTRT.wcVisitedStep-IGlR4 {\n  background-color: #b1b1b1;\n}\n\n.wcVisitedStep-IGlR4.wcTabGroupItem-RxTRT:hover {\n  background-color: #bbbbbb;\n}\n.wcTabGroupItem-RxTRT.wcTabGroupItem-RxTRT:hover {\n  background-color: #c8c8c8;\n}\n\n.wcTabGroupItem-RxTRT.wcActiveStep-W687q {\n  color: white;\n}\n\n.wcTabGroupItemMobile-tMZbr {\n  height: 100%;\n  width: -moz-fit-content;\n  width: fit-content;\n  float: left;\n  border: none;\n  transition: width 0.4s ease;\n  line-height: 56px;\n  padding: 0 6px 0 13px;\n  color: var(--secondaryColor);\n  font-size: 10px;\n  font-weight: 600;\n  position: relative;\n}\n\n.secondaryColorDiv-fx0Cm {\n  position: absolute;\n  left: 0;\n  top: 0;\n  width: 100%;\n  height: 100%;\n  opacity: 0.1;\n  background-color: var(--secondaryColor);\n}\n\n.wcTabGroupItemMobile-tMZbr.wcActiveStep-W687q {\n  background-color: var(--thirdColor);\n}\n\n.wcStepIcon-JtMDZ {\n  display: block;\n  background-color: var(--secondaryColor);\n  background-position: center center;\n  width: 30px;\n  height: 50px;\n  margin: auto;\n  -webkit-mask-repeat: no-repeat;\n  -webkit-mask-position: center center;\n  float: right;\n}\n.wcActiveStep-W687q .wcStepIcon-JtMDZ {\n  margin-left: 5px;\n}\n";
styleInject(css_248z);

var TabGroupItemHorizontal = function TabGroupItemHorizontal(_ref) {
  var tabGroup = _ref.tabGroup;
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var tabGroupItemRef = useRef(null);
  var curTabGroup = viewHandler.tabGroupState.curTabGroup;
  useEffect(function () {
    viewHandler.tabGroupState.setTabGroupItems(tabGroup.key, tabGroupItemRef.current);
  }, [tabGroupItemRef]);
  var onTabGroupClick = function onTabGroupClick(tabGroup) {
    viewHandler.tabGroupState.navigateToTabgroupByPosNr(+tabGroup.posNr);
  };
  var active = tabGroup.title == (curTabGroup === null || curTabGroup === void 0 ? void 0 : curTabGroup.title) && tabGroup.posNr == (curTabGroup === null || curTabGroup === void 0 ? void 0 : curTabGroup.posNr);
  var _useDivaCore = useDivaCore(),
    baseCdnUrl = _useDivaCore.state.apiConfig.baseCdnUrl;
  var icon = getIconOfTabGroup(tabGroup.key, baseCdnUrl, viewHandler.getViewConfig().tabGroupsIcons);
  return /*#__PURE__*/jsxs("div", {
    ref: tabGroupItemRef,
    onClick: function onClick() {
      return onTabGroupClick(tabGroup);
    },
    className: classnames(!viewHandler.uiState.isInMobileView ? wcTabGroupItem : wcTabGroupItemMobile, viewHandler.uiState.isMobileLandscape ? landscape : undefined, active ? wcActiveStep : undefined, viewHandler.tabGroupAlreadyVisited(tabGroup) && !active ? wcVisitedStep : undefined),
    children: [(active || !icon) && t('configurator.' + tabGroup.title, tabGroup.title), active && /*#__PURE__*/jsx("div", {
      className: secondaryColorDiv
    }), icon && /*#__PURE__*/jsx("div", {
      className: wcStepIcon,
      style: {
        WebkitMaskImage: 'url(' + icon + ')',
        maskImage: 'url(' + icon + ')'
      }
    })]
  });
};
var index = observer(TabGroupItemHorizontal);

export { index as default };
