import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { useRef } from 'react';
import { observer } from 'mobx-react-lite';
import { jsx, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wrapper = "wrapper-e-9oi";
var scrollable = "scrollable-5pDmY";
var header = "header-2oApV";
var container = "container-vPqn9";
var rtvtable = "rtvtable-6rpxJ";
var css_248z = ".wrapper-e-9oi {\n  display: flex;\n  flex-direction: column;\n  width: calc(100% - 5px);\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n  background-color: rgba(255, 255, 255, 0.384);\n}\n.scrollable-5pDmY {\n  overflow: auto;\n  left: 50px;\n}\n.header-2oApV {\n  height: 8%;\n  width: 100%;\n  padding-top: 0.7%;\n  text-align: center;\n  background-color: var(--primaryColor);\n  font-size: 30px;\n  color: white;\n  font-weight: 600;\n}\n.container-vPqn9 {\n  width: calc(100% - 40px);\n  margin: 20px;\n  display: flex;\n  flex-direction: column;\n  gap: 20px;\n}\n.rtvtable-6rpxJ td,\n.rtvtable-6rpxJ th {\n  border: 1px solid rgba(221,221,221,0.35686);\n  text-align: left;\n}\n\n.rtvtable-6rpxJ tr:nth-child(even) {\n  background-color: rgba(221,221,221,0.35686);\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var RTVAnalyzer = function RTVAnalyzer(props) {
  var _useViewHandler = useViewHandler(),
    rtvAnalyzeData = _useViewHandler.rtvAnalyzeData;
  var oldData = useRef();
  var totalSize = 0;
  var geoSize = 0;
  var texSize = 0;
  rtvAnalyzeData.forEach(function (dt) {
    return dt.active && (totalSize += dt.sizeMb, dt.type == 'GEO' ? geoSize += dt.sizeMb : texSize += dt.sizeMb);
  });
  var data = rtvAnalyzeData.filter(function (dt) {
    return dt.active;
  }).sort(function (a, b) {
    return b.sizeMb - a.sizeMb;
  });
  data = data.map(function (newdt) {
    var _oldData$current;
    if ((_oldData$current = oldData.current) !== null && _oldData$current !== void 0 && _oldData$current.find(function (olddt) {
      return newdt.name == olddt.name && olddt.active == true;
    })) {
      return _objectSpread(_objectSpread({}, newdt), {}, {
        "new": false
      });
    } else {
      return _objectSpread(_objectSpread({}, newdt), {}, {
        "new": true
      });
    }
  });
  oldData.current = data;
  return /*#__PURE__*/jsx("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable),
    children: /*#__PURE__*/jsxs("div", {
      className: wrapper,
      children: [/*#__PURE__*/jsx("a", {
        className: header,
        children: "RTV Analyzer"
      }), /*#__PURE__*/jsx("div", {
        className: container,
        children: /*#__PURE__*/jsxs("table", {
          className: rtvtable,
          children: [/*#__PURE__*/jsxs("tr", {
            children: [/*#__PURE__*/jsx("th", {
              children: "Art"
            }), /*#__PURE__*/jsx("th", {
              children: "Name"
            }), /*#__PURE__*/jsx("th", {
              children: "Pfad"
            }), /*#__PURE__*/jsx("th", {
              children: "Geos (std mat)"
            }), /*#__PURE__*/jsx("th", {
              children: "Gr\xF6\xDFe (MB | %)"
            })]
          }), /*#__PURE__*/jsxs("tr", {
            children: [/*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {
              children: "Gesamt"
            }), /*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {
              children: Math.round(totalSize * 100) / 100 + 'mb | 100%'
            })]
          }), /*#__PURE__*/jsxs("tr", {
            children: [/*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {
              children: "Geo Gesamt"
            }), /*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {
              children: Math.round(geoSize * 100) / 100 + 'mb | ' + Math.round(geoSize / totalSize * 100) + '%'
            })]
          }), /*#__PURE__*/jsxs("tr", {
            children: [/*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {
              children: "Tex Gesamt"
            }), /*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsx("th", {
              children: Math.round(texSize * 100) / 100 + 'mb | ' + Math.round(texSize / totalSize * 100) + '%'
            })]
          }), data.map(function (dt) {
            return /*#__PURE__*/jsxs("tr", {
              style: !dt.found ? {
                color: 'red'
              } : dt["new"] ? {
                fontWeight: 'bold'
              } : {},
              children: [/*#__PURE__*/jsx("td", {
                children: dt.type
              }), /*#__PURE__*/jsx("td", {
                children: dt.name
              }), /*#__PURE__*/jsx("td", {
                children: /*#__PURE__*/jsx("div", {
                  style: {
                    maxHeight: 20,
                    lineBreak: 'anywhere',
                    overflow: 'hidden',
                    cursor: 'copy'
                  },
                  onClick: function onClick() {
                    navigator.clipboard.writeText(dt.path);
                  },
                  children: dt.type != 'MAT' ? dt.path.replace(dt.path.slice(0, dt.path.indexOf('diva3darchiv') + 12), '') : dt.path
                })
              }), /*#__PURE__*/jsx("td", {
                children: dt.geo
              }), /*#__PURE__*/jsx("td", {
                children: Math.round(dt.sizeMb * 100) / 100 + 'mb | ' + Math.round(dt.sizeMb / totalSize * 100) + '%'
              })]
            });
          })]
        })
      })]
    })
  }));
};
var RTVAnalyzer$1 = observer(RTVAnalyzer);

export { RTVAnalyzer$1 as default };
