import { u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { useTranslation, useDivaCore } from '@crystaldesign/diva-core';
import { w as wcFunctionsToolbar, p as plannerConfigArrow, m as maxExpanded, e as expanded, l as landscape, a as portrait, b as wcFunctionsContainer, c as wcHelp, d as wcIcon, f as wcHelpIcon, g as wcFunctionsText, h as wcPrint, i as wcPrintIcon, j as wcShareIcon, k as wcReset, n as wcResetIcon, o as wcSave, q as wcSaveIcon, r as wcConfigCloseButton } from './index.module-c1833ad7.js';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var Functions = function Functions(props) {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var _useDivaCore = useDivaCore(),
    initializing = _useDivaCore.state.initializing;
  if (initializing) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsxs("ul", {
    className: classnames(wcFunctionsToolbar, viewHandler.uiState.ItemsPaletteInProductVisible && viewHandler.getIsInMobileView() ? plannerConfigArrow : undefined, viewHandler.uiState.configSettingsIsMaxExpanded ? maxExpanded : undefined, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined, viewHandler.uiState.isMobileLandscape ? landscape : undefined, viewHandler.uiState.isMobilePortrait ? portrait : undefined),
    children: [!viewHandler.uiState.isMobileLandscape && /*#__PURE__*/jsxs(Fragment, {
      children: [/*#__PURE__*/jsxs("li", {
        onClick: function onClick() {
          return viewHandler.productState.onClickHelp();
        },
        className: classnames(wcFunctionsContainer, wcHelp),
        children: [/*#__PURE__*/jsx("div", {
          className: classnames(wcIcon, wcHelpIcon)
        }), /*#__PURE__*/jsx("div", {
          className: wcFunctionsText,
          children: t('configurator.ConfigHelp')
        })]
      }), /*#__PURE__*/jsxs("li", {
        onClick: function onClick() {
          return viewHandler.productState.onClickPrint();
        },
        className: classnames(wcFunctionsContainer, wcPrint),
        children: [/*#__PURE__*/jsx("div", {
          className: classnames(wcIcon, wcPrintIcon)
        }), /*#__PURE__*/jsx("div", {
          className: wcFunctionsText,
          children: t('configurator.ConfigPrint')
        })]
      }), /*#__PURE__*/jsxs("li", {
        onClick: function onClick() {
          return viewHandler.productState.onClickShare();
        },
        className: classnames(wcFunctionsContainer),
        children: [/*#__PURE__*/jsx("div", {
          className: classnames(wcIcon, wcShareIcon)
        }), /*#__PURE__*/jsx("div", {
          className: wcFunctionsText,
          children: t('configurator.ConfigShare')
        })]
      }), /*#__PURE__*/jsxs("li", {
        onClick: function onClick() {
          return viewHandler.productState.onClickReset();
        },
        className: classnames(wcFunctionsContainer, wcReset),
        children: [/*#__PURE__*/jsx("div", {
          className: classnames(wcIcon, wcResetIcon)
        }), /*#__PURE__*/jsx("div", {
          className: wcFunctionsText,
          children: t('configurator.ConfigReset')
        })]
      }), viewHandler.productState.doShowUserSaveButton && /*#__PURE__*/jsxs("li", {
        onClick: function onClick() {
          return viewHandler.productState.onClickSave();
        },
        className: classnames(wcFunctionsContainer, wcSave),
        children: [/*#__PURE__*/jsx("div", {
          className: classnames(wcIcon, wcSaveIcon)
        }), /*#__PURE__*/jsx("div", {
          className: wcFunctionsText,
          children: t('configurator.ConfigSave')
        })]
      })]
    }), (!viewHandler.eventIsManagedByClient('onWebPlanerClose') || viewHandler.uiState.isMobileLandscape || viewHandler.uiState.isMobilePortrait) && /*#__PURE__*/jsx("li", {
      className: wcConfigCloseButton,
      title: t('configurator.ConfigClose'),
      onClick: viewHandler.onCloseConfigurator
    })]
  });
};
var index = observer(Functions);

export { index as default };
