import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import { useState, useCallback, useEffect } from 'react';
import { observer } from 'mobx-react-lite';
import { ContentBoxComponent } from '@crystaldesign/content-box';
import SettingsHeader from './index-bec7758a.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var productsGrid = "products-grid-b9XWQ";
var skeleton = "skeleton-XdjqR";
var css_248z = ".products-grid-b9XWQ {\n  display: grid;\n  grid-template-columns: repeat(auto-fill, minmax(175px, 1fr));\n  grid-auto-rows: min-content;\n  grid-gap: 10px;\n  height: 100%;\n  padding-top: 16px;\n}\n\n.skeleton-XdjqR {\n  width: 100%;\n  aspect-ratio: 1 / 1;\n  color: var(--primaryColor);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  font-size: 22px;\n  box-shadow: rgba(0, 0, 0,0.1) 0px 0px 16px 0px;\n}\n";
styleInject(css_248z);

var PromotedProducts = function PromotedProducts(_ref) {
  var _viewHandler$configSt;
  var item = _ref.item;
  var _useDivaCore = useDivaCore(),
    openComponent = _useDivaCore.actions.openComponent,
    productHandler = _useDivaCore.handler.productHandler,
    organization = _useDivaCore.state.organization;
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    groups = _useState2[0],
    setGroups = _useState2[1];
  var viewHandler = useViewHandler();
  var productsConfig = viewHandler.getViewConfig().productsConfig;
  var _useState3 = useState(0),
    _useState4 = _slicedToArray(_useState3, 2),
    configChangedTimeStamp = _useState4[0],
    setConfigChangedTimeStamp = _useState4[1];
  var onAddProduct = useCallback(function (productId) {
    setConfigChangedTimeStamp(viewHandler.settingsState.configChanged);
    openComponent({
      type: 'DIVA_WEBPLANNER',
      parameters: {
        productId: productId
      },
      internal: {
        forceReload: '1'
      }
    });
  }, [viewHandler]);
  var selectedProduct = configChangedTimeStamp === viewHandler.settingsState.configChanged && ((_viewHandler$configSt = viewHandler.configState.productId) !== null && _viewHandler$configSt !== void 0 ? _viewHandler$configSt : !viewHandler.configState.divaNr && viewHandler.divaWebPlanner.getStartProductId());
  useEffect(function () {
    var _productsConfig$maxCo, _productsConfig$filte, _productsConfig$sort;
    productHandler.apiLoadProductVariantsGrouped({
      limit: (_productsConfig$maxCo = productsConfig === null || productsConfig === void 0 ? void 0 : productsConfig.maxCount) !== null && _productsConfig$maxCo !== void 0 ? _productsConfig$maxCo : undefined,
      search: (_productsConfig$filte = productsConfig === null || productsConfig === void 0 ? void 0 : productsConfig.filter) !== null && _productsConfig$filte !== void 0 ? _productsConfig$filte : [{
        id: 'availableForOrganizations',
        op: 'eq',
        value: organization._id
      }, {
        id: 'promotedForOrganizations',
        op: 'eq',
        value: organization._id
      }],
      sort: (_productsConfig$sort = productsConfig === null || productsConfig === void 0 ? void 0 : productsConfig.sort) !== null && _productsConfig$sort !== void 0 ? _productsConfig$sort : '{-created}'
    }).then(function (result) {
      var startProductIndex = result.data.findIndex(function (group) {
        var _group$items$0$startP;
        return (_group$items$0$startP = group.items[0].startProductForOrganizations) === null || _group$items$0$startP === void 0 ? void 0 : _group$items$0$startP.includes(organization._id);
      });
      if (startProductIndex != -1) {
        var startProduct = result.data[startProductIndex];
        result.data.splice(startProductIndex, 1);
        result.data.unshift(startProduct);
      }
      setGroups(result.data);
    });
  }, [viewHandler.uiState.isLoading]);
  var skeletons = productsConfig !== null && productsConfig !== void 0 && productsConfig.maxCount && productsConfig.showSkeletions ? getSkeletons(productsConfig.maxCount, groups.length) : [];
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsx(SettingsHeader, {
      isInScroller: false,
      isSettingsHeader: true,
      item: item
    }), /*#__PURE__*/jsxs("div", {
      className: productsGrid,
      children: [groups.map(function (group, i) {
        return /*#__PURE__*/jsx(ContentBoxComponent, {
          settings: {
            contentBoxProps: {
              type: 'ProductGallery',
              products: group.items,
              groupVariantsByField: ['dc_color', 'dc_mainColor'],
              onClick: onAddProduct,
              imageWrapperStyle: {
                aspectRatio: 'unset'
              },
              wrapperStyle: group.items.find(function (i) {
                return i._id == selectedProduct;
              }) ? {
                border: '1px solid var(--diva-theme-palette-primary-main)',
                borderRadius: '5px'
              } : undefined,
              imageStyle: {
                aspectRatio: '14.5 / 10',
                objectFit: 'scale-down',
                objectPosition: 'bottom'
              }
            }
          }
        }, group._id);
      }), skeletons.map(function (index) {
        return /*#__PURE__*/jsx("div", {
          className: skeleton,
          children: /*#__PURE__*/jsx("div", {
            children: index
          })
        }, index);
      })]
    })]
  });
};
var getSkeletons = function getSkeletons(maxCount, itemsCount) {
  var skeletonsCount = 0;
  if (maxCount > itemsCount) {
    skeletonsCount = maxCount - itemsCount;
  }
  var skeletons = [];
  if (skeletonsCount) {
    for (var i = skeletonsCount - 1; i >= 0; i--) {
      skeletons.push(maxCount - i);
    }
  }
  return skeletons;
};
var PromotedProducts$1 = observer(PromotedProducts);

export { PromotedProducts$1 as default };
