import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import { useState } from 'react';
import { w as wrapper, t as tabs, s as sel, a as selectionWrapper, b as selectionText, c as selection, T as Table } from './index-679accfc.js';
import classnames from 'classnames';
import properties from './CatalogProperties-e8824fd5.js';
import properties$1 from './ArticleProperties-f0aadcc2.js';
import properties$2 from './OptionProperties-a5e2a157.js';
import properties$3 from './OptionValueProperties-d068ecbe.js';
import Select from 'react-select';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-d9e0b8ab.js';
import 'react-switch';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PropertiesEditor = function PropertiesEditor(props) {
  var _catalogData$allCatal, _allArticles$find, _allOptions$find, _allOptionsValues$fin;
  var viewHandler = useViewHandler();
  var catalogData = viewHandler.divaWebPlanner.getCatalogData();
  var _useState = useState('catalog'),
    _useState2 = _slicedToArray(_useState, 2),
    currentProperties = _useState2[0],
    setCurrentProperties = _useState2[1];
  var allArticles = Object.values((_catalogData$allCatal = catalogData === null || catalogData === void 0 ? void 0 : catalogData.allCatalogArticles) !== null && _catalogData$allCatal !== void 0 ? _catalogData$allCatal : {});
  var allOptions = catalogData === null || catalogData === void 0 ? void 0 : catalogData.getOptions();
  var allOptionsValues = catalogData === null || catalogData === void 0 ? void 0 : catalogData.getOptionValues();
  var _useState3 = useState(''),
    _useState4 = _slicedToArray(_useState3, 2),
    currentArticleCodex = _useState4[0],
    setCurrentArticleCodex = _useState4[1];
  var _useState5 = useState(''),
    _useState6 = _slicedToArray(_useState5, 2),
    currentOptionCodex = _useState6[0],
    setCurrentOptionCodex = _useState6[1];
  var _useState7 = useState(''),
    _useState8 = _slicedToArray(_useState7, 2),
    currentOptionValueCodex = _useState8[0],
    setCurrentOptionValueCodex = _useState8[1];
  if (!catalogData) return /*#__PURE__*/jsx(Fragment, {});
  var dataDictionary = {
    catalog: {
      data: catalogData.catalogProps,
      properties: properties
    },
    article: {
      data: allArticles === null || allArticles === void 0 || (_allArticles$find = allArticles.find(function (a) {
        return a.articleCodex === currentArticleCodex;
      })) === null || _allArticles$find === void 0 ? void 0 : _allArticles$find.catalogArticle,
      properties: properties$1
    },
    option: {
      data: allOptions === null || allOptions === void 0 || (_allOptions$find = allOptions.find(function (o) {
        return o.codex === currentOptionCodex;
      })) === null || _allOptions$find === void 0 ? void 0 : _allOptions$find.opt,
      properties: properties$2
    },
    optionvalue: {
      data: allOptionsValues === null || allOptionsValues === void 0 || (_allOptionsValues$fin = allOptionsValues.find(function (o) {
        return o.codex === currentOptionValueCodex;
      })) === null || _allOptionsValues$fin === void 0 ? void 0 : _allOptionsValues$fin.opv,
      properties: properties$3
    }
  };
  var tabsArray = ['catalog', 'article', 'option', 'optionvalue'];
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(wrapper, props.className),
    children: [/*#__PURE__*/jsx("div", {
      className: tabs,
      children: tabsArray.map(function (t) {
        return /*#__PURE__*/jsx("div", {
          className: classnames(currentProperties === t ? sel : undefined),
          onClick: function onClick() {
            return setCurrentProperties(t);
          },
          children: t
        }, t);
      })
    }), currentProperties !== 'catalog' && /*#__PURE__*/jsxs("div", {
      className: selectionWrapper,
      children: [/*#__PURE__*/jsx("div", {
        className: selectionText,
        children: 'select ' + currentProperties + ':'
      }), currentProperties === 'article' && /*#__PURE__*/jsx(Select, {
        styles: colourStyles,
        className: selection,
        value: currentArticleCodex ? {
          label: currentArticleCodex
        } : undefined,
        options: allArticles.map(function (a) {
          return {
            label: a.articleCodex
          };
        }),
        onChange: function onChange(v) {
          return setCurrentArticleCodex(v.label);
        }
      }), currentProperties === 'option' && /*#__PURE__*/jsx(Select, {
        styles: colourStyles,
        className: selection,
        value: currentOptionCodex ? {
          label: currentOptionCodex
        } : undefined,
        options: allOptions === null || allOptions === void 0 ? void 0 : allOptions.map(function (a) {
          return {
            label: a.codex
          };
        }),
        onChange: function onChange(v) {
          return setCurrentOptionCodex(v.label);
        }
      }), currentProperties === 'optionvalue' && /*#__PURE__*/jsx(Select, {
        styles: colourStyles,
        className: selection,
        value: currentOptionValueCodex ? {
          label: currentOptionValueCodex
        } : undefined,
        options: allOptionsValues === null || allOptionsValues === void 0 ? void 0 : allOptionsValues.map(function (a) {
          return {
            label: a.codex
          };
        }),
        onChange: function onChange(v) {
          return setCurrentOptionValueCodex(v.label);
        }
      })]
    }), /*#__PURE__*/jsx(Table, _objectSpread(_objectSpread({}, dataDictionary[currentProperties]), {}, {
      id: currentProperties
    }))]
  }));
};
var PropertiesEditor$1 = observer(PropertiesEditor);
var colourStyles = {
  control: function control(styles) {
    return _objectSpread(_objectSpread({}, styles), {}, {
      backgroundColor: 'white'
    });
  },
  option: function option(styles, _ref) {
    var isDisabled = _ref.isDisabled,
      isFocused = _ref.isFocused,
      isSelected = _ref.isSelected;
    return _objectSpread(_objectSpread({}, styles), {}, {
      backgroundColor: isDisabled ? undefined : isFocused ? 'lightblue' : isSelected ? '#fff' : undefined,
      cursor: isDisabled ? 'not-allowed' : 'default',
      color: 'black',
      ':active': _objectSpread({}, styles[':active'])
    });
  }
};

export { PropertiesEditor$1 as default };
