import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import { useHover, useLayer } from 'react-laag';
import SettingsPosNrToolTip from './index-2bdd798a.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';

var wcConfiguratorSettingsHeaderActElements = "wcConfigurator-settings-header-act-elements-f-VVv";
var isActive = "isActive-mWaAC";
var allIsActive = "allIsActive-iSz9H";
var isSelectable = "isSelectable-FBPGm";
var small = "small-xZ6Og";
var css_248z = ".wcConfigurator-settings-header-act-elements-f-VVv {\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  display: flex;\n  gap: 3px;\n  flex-wrap: wrap;\n  align-items: center;\n  font-size: 16px;\n  line-height: 18px;\n  -webkit-line-clamp: 2;\n  -webkit-box-orient: vertical;\n  -webkit-font-smoothing: antialiased;\n  color: var(--secondaryColor);\n  overflow: hidden;\n  margin: 1.6px 16px 0 16px;\n  padding-top: 7px;\n  padding-bottom: 7px;\n  order: 2;\n  max-width: 40%;\n  position: relative;\n  /* background: #f2f2f2; */\n  /* border: 1px solid #f2f2f2; */\n  border-radius: 5px;\n  text-align: right;\n  min-height: 25px;\n}\n\n.wcConfig-qK8qq {\n  display: -webkit-box;\n  max-height: 608px;\n  -webkit-line-clamp: 15;\n  overflow: auto;\n  box-shadow: var(--boxShadowHover);\n  z-index: 930;\n  text-align: left;\n}\n\n.wcConfigurator-settings-header-hideConfSettings-72pdt {\n  display: none;\n}\n\n.wcConfigurator-settings-header-act-elements-f-VVv span {\n  border-radius: var(--articlePosNrRadius);\n  font-size: var(--articlePosNrFontSize);\n  line-height: var(--articlePosNrSize);\n  min-width: var(--articlePosNrSize);\n  width: -moz-fit-content;\n  width: fit-content;\n  text-align: center;\n  display: inline-block;\n  margin: 0 1px;\n}\n\n.wcConfigurator-settings-header-act-elements-f-VVv span:hover {\n  box-shadow: 0px 1px 4px rgba(68, 49, 49, 0.6);\n  transition: box-shadow 0.45s ease;\n}\n.wcConfigurator-settings-header-act-elements-f-VVv span.isActive-mWaAC {\n  color: white;\n  background: var(--primaryColor);\n  font-size: calc(var(--articlePosNrFontSize) + 1.6px);\n  line-height: calc(var(--articlePosNrSize) + 1.6px);\n  min-width: calc(var(--articlePosNrSize) + 3.2px);\n  -webkit-text-stroke: 0.4px;\n}\n.wcConfigurator-settings-header-act-elements-f-VVv span.allIsActive-iSz9H {\n  color: white;\n  background: var(--primaryColor);\n}\n\n.wcConfigurator-settings-header-act-elements-f-VVv span.isSelectable-FBPGm {\n  color: var(--secondaryColor);\n  background: var(--thirdColor);\n}\n\n.wcConfigurator-settings-header-act-elements-f-VVv span.small-xZ6Og,\n.wcConfigurator-settings-header-act-elements-f-VVv span.small-xZ6Og.isActive-mWaAC {\n  font-size: calc(var(--articlePosNrFontSize) - 4.6px);\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var SettingsPosNr = function SettingsPosNr(_ref) {
  var _renderLayer;
  var id = _ref.id,
    allAreActive = _ref.allAreActive;
  var viewHandler = useViewHandler();
  var article = viewHandler.settingsState.articleInfos[id];
  var _useDivaCore = useDivaCore(),
    _useDivaCore$state$di = _useDivaCore.state.dimensions,
    isMobile = _useDivaCore$state$di.isMobile,
    isTablet = _useDivaCore$state$di.isTablet;

  /* tool tip stuff*/
  var triggerProps = {};
  var layerProps = {};
  var renderLayer = undefined;
  var isOver = false;
  var hoverProps = {};
  var hover = useHover({
    delayEnter: 600,
    hideOnScroll: true
  });
  var tooltip = useLayer({
    isOpen: hover[0],
    auto: true,
    placement: viewHandler.getViewConfig().tooltipPosition || 'left-center'
  });
  if (!isMobile && !isTablet && !viewHandler.getViewConfig().hideTooltip) {
    isOver = hover[0];
    hoverProps = hover[1];
    triggerProps = tooltip.triggerProps;
    layerProps = tooltip.layerProps;
    renderLayer = tooltip.renderLayer;
  }
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsx("span", _objectSpread(_objectSpread(_objectSpread({
      onClick: function onClick() {
        return viewHandler.paletteViewHandler.articleInfoSelected(Number(id));
      },
      id: "ArticleInfo",
      className: classnames(allAreActive ? allIsActive : article.isActive ? isActive : isSelectable, article.posNr.toString().length > 2 ? small : undefined)
    }, triggerProps), hoverProps), {}, {
      children: article.posNr
    }), id), isOver && ((_renderLayer = renderLayer) === null || _renderLayer === void 0 ? void 0 : _renderLayer(/*#__PURE__*/jsx(SettingsPosNrToolTip, {
      article: article,
      layerProps: layerProps
    })))]
  });
};
var SettingsPosNr$1 = observer(SettingsPosNr);

var index = /*#__PURE__*/Object.freeze({
  __proto__: null,
  'default': SettingsPosNr$1
});

export { SettingsPosNr$1 as S, index as i, wcConfiguratorSettingsHeaderActElements as w };
