import _asyncToGenerator from '@babel/runtime/helpers/asyncToGenerator';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import _regeneratorRuntime from '@babel/runtime/regenerator';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { DivaUtils } from '@crystaldesign/diva-core';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var tableOptions = "table-options-phhIL";
var tableSpan15 = "table-span15-sSyJ4";
var tableSpan5 = "table-span5-wqrZR";
var tableSpan7 = "table-span7-z-JAr";
var img = "img-RdvAq";
var checked = "checked--oiE6";
var unchecked = "unchecked-RbO0u";
var optionImage = "option-image-4wxp2";
var marginTop = "marginTop-76IgZ";
var css_248z = ".table-options-phhIL {\n  display: flex;\n  gap: 10px;\n  text-align: left;\n  border-bottom: 1px solid black;\n  margin-bottom: 10px;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n\n.table-options-phhIL th:hover:last-child {\n  cursor: pointer;\n}\n.table-options-phhIL:nth-last-child(-n + 2) {\n  margin-top: 12px;\n}\n\n.table-options-phhIL span {\n  flex-basis: 100%;\n}\n.table-options-phhIL .table-span10-CHfJN {\n  flex-basis: 15%;\n}\n.table-options-phhIL .table-span15-sSyJ4 {\n  flex-basis: 20%;\n  font-size: 12px;\n}\n.table-options-phhIL .table-span5-wqrZR {\n  flex-basis: 4%;\n}\n.table-options-phhIL .table-span7-z-JAr {\n  flex-basis: 7.65%;\n}\n.img-RdvAq {\n  height: 25px;\n  background-repeat: no-repeat;\n  cursor: pointer;\n  background-position: 80% 50%;\n}\n.checked--oiE6 {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23000000%22%3E%3Cpath d%3D%22M0 0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8zm4.59-12.42L10 14.17l-2.59-2.58L6 13l4 4 8-8z%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.unchecked-RbO0u {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23000000%22%3E%3Cpath d%3D%22M0 0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22M19 19H5V5h7V3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2v-7h-2v7zM14 3v2h3.59l-9.83 9.83 1.41 1.41L19 6.41V10h2V3h-7z%22%2F%3E%3C%2Fsvg%3E\");\n}\n.option-image-4wxp2 {\n  width: 45px;\n  height: 45px;\n}\n.marginTop-76IgZ {\n  margin-top: 12px;\n}\n";
styleInject(css_248z);

var _excluded = ["tabGroupOption", "basketId"];
var TabGroupOptions = function TabGroupOptions(_ref) {
  var _article$getArticleOp, _ops$val, _ops$valCodex;
  var tabGroupOption = _ref.tabGroupOption,
    basketId = _ref.basketId;
    _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  var articles = viewHandler.divaWebPlanner.getDivaArticles();
  var article = articles === null || articles === void 0 ? void 0 : articles[basketId];
  var ops = article === null || article === void 0 || (_article$getArticleOp = article.getArticleOptionState) === null || _article$getArticleOp === void 0 ? void 0 : _article$getArticleOp.call(article, tabGroupOption.codex);
  var posNr = Object.values(tabGroupOption.configSteps)[0].posNr;
  if (ops === undefined) return /*#__PURE__*/jsx(Fragment, {});
  var image = (_ops$val = ops.val) === null || _ops$val === void 0 ? void 0 : _ops$val.image;
  if (image) image = article === null || article === void 0 ? void 0 : article.CatalogData.getCatImageURL(image, '_low');else image = undefined;
  var clickNavigation = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            viewHandler.configuratorStructureHandler.setActStepByPosNrFromSummary(posNr);
            viewHandler.updateConfiguratorState(true);
            _context.next = 4;
            return DivaUtils.Sleep(100);
          case 4:
            viewHandler.paletteViewHandler.scrollToConfigStepByPosNr(posNr, true);
          case 5:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function clickNavigation() {
      return _ref2.apply(this, arguments);
    };
  }();
  return /*#__PURE__*/jsx("div", {
    children: /*#__PURE__*/jsxs("div", {
      onClick: clickNavigation,
      className: tableOptions,
      children: [/*#__PURE__*/jsxs("span", {
        children: [/*#__PURE__*/jsx("div", {
          children: ops.optionName + ' (' + ops.optionCodex.replace('OPT', '') + ')'
        }), /*#__PURE__*/jsx("div", {
          children: ops.valName + ' (' + ((_ops$valCodex = ops.valCodex) === null || _ops$valCodex === void 0 ? void 0 : _ops$valCodex.replace('OPV', '')) + ')'
        }), !!ops.freeText && /*#__PURE__*/jsx("div", {
          children: ops.freeText
        })]
      }), /*#__PURE__*/jsx("span", {
        className: tableSpan5,
        children: image != undefined && /*#__PURE__*/jsx("img", {
          src: image,
          className: optionImage
        })
      }), /*#__PURE__*/jsx("span", {
        className: classnames(tableSpan15, marginTop),
        children: !!(ops.usedCalcPrice || ops.calcPrice) && DivaUtils.formatPrice(ops.usedCalcPrice || ops.calcPrice)
      }), /*#__PURE__*/jsx("span", {
        className: classnames(tableSpan5, marginTop),
        children: ops.headerPosVariationType
      }), /*#__PURE__*/jsx("span", {
        className: classnames(img, tableSpan7, marginTop, ops.isDefined ? checked : unchecked)
      })]
    })
  });
};
var TabGroupOptions$1 = observer(TabGroupOptions);

export { TabGroupOptions$1 as default };
