import { BasketData } from '@crystaldesign/basket-model';
import { OrganizationData } from '@crystaldesign/diva-core';
import { CheckoutConfig } from '@crystaldesign/web-planner-logic/interface/API/Checkout';
/**
 *  Replaces the template strings in the content with the actual basket data
 *
 * @param content the content to parse

 * @param language the language to use
 */
export default function (content: CheckoutConfig | undefined, data: {
    organization: OrganizationData;
    basket: BasketData | undefined;
}, language: string): CheckoutConfig | undefined;
/**
 * Replaces the template string in all fields of the content object with the actual basket data
 *
 * @param content the content to parse
 * @param basket the flattend version of the basket data
 */
export declare function recursiveReplaceTemplates(content: {
    [key: string]: any;
}, basket: any, language: string): any;
/**
 * replaces the templates in on string with the actual basket data
 *
 * @param template the templatestring to parse
 * @param basket the flattend version of the basket data
 * @param locale the locale to use, if any
 */
export declare function replaceTemplateString(template: string, basket: any, locale?: string): string;
//# sourceMappingURL=replaceTemplateStrings.d.ts.map