/**
 * This interface specifies all the functions of the PlannerUI that are used in the view components
 */
import { ViewPlannerConfig, PlannerMode } from '@crystaldesign/web-planner-logic';
import { Grid2DBackgroundState, IconType, UiItem } from './PlannerUI';
export default interface IComponentsPlannerUI {
    getViewConfig: () => ViewPlannerConfig;
    getCurPlannerViewMode: () => PlannerMode;
    get2DGridBackgroundState: () => Grid2DBackgroundState;
    setGrid2DUIElement: (grid2DElement: HTMLDivElement) => void;
    getItems: () => Map<string, Map<string, Array<UiItem>>>;
    hasOutline3DItems: () => boolean;
    getItemsOutline3D: () => Array<UiItem>;
    getDPUIISSelected: (dpUI: UiItem) => boolean;
    setDPUISelectionChanged: (dpUI: UiItem, isSelected: boolean) => void;
    updateOnHoverOutline3D: (doHover: boolean, item: UiItem, updateOnType: IconType) => void;
}
//# sourceMappingURL=IComponentsPlannerUI.d.ts.map