import { IDivaViewPlannerElement, Vector3, BboxInfo2D } from '@crystaldesign/web-planner-logic';
import PlannerUIHandler from '../../UI/PlannerUI';
export default interface IViewPlanner2DGrid {
    updateUI(plannerUIHandler: PlannerUIHandler, allPlannedElements: Map<string, IDivaViewPlannerElement[]>, selectedElementsDict: Map<string, IDivaViewPlannerElement[]>, selectableElements: Map<string, IDivaViewPlannerElement[]>, setAllElementsSelectable: boolean): void;
    initialize(updatePlannerTrans: (setId: string, plannerElementID: number, deltaMove: Vector3, deltaAngleDeg: number, rotCorrection: number, transState: 'START' | 'UPDATE' | 'END', autoDockingDistance: number) => void): void;
    clearView(): void;
    handleRotation(setId: string, elementId: number, direction: 'CLOCKWISE' | 'COUNTERCLOCKWISE'): void;
    updatePlannerView(plannerUIHandler: PlannerUIHandler, plannerElementsDict: Map<string, IDivaViewPlannerElement[]>, boundingBox: BboxInfo2D): void;
    resetSelectedElementsOnEnterPlannerMode(): void;
    getContentAsJPG(): string;
}
//# sourceMappingURL=IViewPlanner2DGrid.d.ts.map