import { DockingPoint, IDivaViewPlannerElement, IDivaViewVisualizedNotPlannedElement, Nav3DMode, Nav3DParams, Rendering, Vector3 } from '@crystaldesign/web-planner-logic';
import PlannerUIHandler from '../../UI/PlannerUI';
export default interface IViewPlanner3DImage {
    initialize(htmlElementID: string, updatePlannerTrans: (setId: string, plannerElementID: number, deltaMove: Vector3, deltaAngleDeg: number, rotCorrection: number, transState: 'START' | 'UPDATE' | 'END', autoDockingDistance: number) => void, clearSelectionFrom3DGrid: () => void, handle3DVisualizationChanged: (mode: Nav3DMode, params: Nav3DParams) => void): void;
    updateUI(plannerUIHandler: PlannerUIHandler, allPlannedElements: Map<string, IDivaViewPlannerElement[]>, allVisualizedNotPlannedElements: Map<string, IDivaViewVisualizedNotPlannedElement[]>, selectedElementsDict: Map<string, IDivaViewPlannerElement[]>, selectableElements: Map<string, IDivaViewPlannerElement[]>, setAllElementsSelectable: boolean, selectedDP: DockingPoint | undefined, viewPortSize: {
        imgWidth: number;
        imgHeight: number;
    }): void;
    handlePlanner3DGridChanged(plannerUIHandler: PlannerUIHandler, canvasSize: {
        imgWidth: number;
        imgHeight: number;
    }, forceClose?: boolean, forceActivate?: boolean): void;
    clearView(plannerUIHandler: PlannerUIHandler): void;
    getPlanner3DGridEnabled(): void;
    getPlanner3DGridIsInTransformMode(): void;
    resetSelectedElementsOnEnterPlannerMode(): boolean;
    updatePlannerView(plannerUIHandler: PlannerUIHandler, rendering: Rendering, allPlannedElementsDict: Map<string, IDivaViewPlannerElement[]>, selectedElementsDict: Map<string, IDivaViewPlannerElement[]>, renderSize: {
        imgWidth: number;
        imgHeight: number;
    }): void;
}
//# sourceMappingURL=IViewPlanner3DImage.d.ts.map