import { InitMode, WebPlannerConfigParams, State, ReturnTo, Langs, SupplierColor, CatalogMask, Actions } from '@crystaldesign/web-planner-logic';
import { BasketData, ApiConfig, CoreHandlers, LoginMode } from '@crystaldesign/diva-core';
export default class ConfigState implements WebPlannerConfigParams {
    private _currentInitializedProductId?;
    constructor();
    lang: Langs;
    initProductFolded?: boolean;
    paramsSendViaAdapt?: boolean;
    organizationId: string;
    currentOrganization?: any;
    currentUser?: any;
    apiConfig?: ApiConfig;
    isIDMData?: string;
    packageId?: string;
    serieId?: string;
    accountId?: string;
    plannerIsLoading?: boolean;
    smSupplierNr?: string;
    jwt?: string;
    forceReload?: string;
    divaNr?: string;
    productId?: string;
    customProductId?: string;
    catalogCodex?: string;
    catalogGuid?: string;
    articleCodexes?: string[];
    differentOptions?: string[];
    resetArticle?: number;
    variantValues?: {
        [key: string]: string;
    };
    basketData?: BasketData;
    setId?: string;
    loginMode: LoginMode;
    initMode?: InitMode;
    opt?: string;
    initEmptyPlanner?: boolean;
    assignNewDivaNr?: boolean;
    configuratorTitle?: string;
    used_logged_in?: boolean;
    useEkPrices?: boolean;
    addDivaNr?: string;
    accountGuid?: string;
    accountSessionGuid?: string;
    supplierColors?: SupplierColor[];
    catalogMask?: CatalogMask;
    no3DConnection?: boolean;
    returnTo?: ReturnTo;
    startDivaNr?: string;
    settings: any;
    paramters?: {
        [key: string]: string;
    };
    actions?: Actions;
    handler?: CoreHandlers;
    state?: State;
    applicationEnvironment?: 'SELLER' | 'WEB' | 'WYSIWYG';
    configuratorSessionId?: string;
    useIDMService?: boolean;
    setConfigParams(val: WebPlannerConfigParams): void;
    get currentInitializedProductId(): string | undefined;
    set currentInitializedProductId(id: string | undefined);
}
//# sourceMappingURL=index.d.ts.map