import { InfoboxContentProps, ItemPalette, PlannerFilter } from '../../../types';
import { ArticleInfoType, FreePlacesOnGrids, PlannedPlacesOnGrids } from '@crystaldesign/web-planner-logic';
export default class SettingsState {
    constructor();
    configChanged: number;
    ConfigDidChange: () => void;
    /**Itempalettes */
    itemPalettes: Map<number, ItemPalette>;
    get itemPaletteArr(): [number, ItemPalette][];
    get itemPaletteInProduct(): {
        palette: ItemPalette;
        id: number;
    }[];
    updateItemPalette(paletteId: number, itemPalette: ItemPalette): void;
    getItemPaletteByConfigStepKey(configStepKey: string): [number, ItemPalette] | undefined;
    hideNotUsedPalettes(index: number): void;
    openGroupWithCodex(paletteId: number, codex: string): void;
    openGroup(paletteId: number, groupKey: string, allOthersClosed?: boolean): void;
    onAllGroups(paletteId: number, closed: boolean): void;
    closeGroup(paletteId: number, groupKey: string): void;
    forceSettingsHeaderInScrollContainer: boolean;
    setForceSettingsHeaderInScrollContainer(val: boolean): void;
    /**Roomlist initzializer for Rooms in Product  */
    roomListInitialized: number;
    roomListCountUp(): void;
    paletteHeaderStepName: string;
    setPaletteHeaderStepName(val: string): void;
    /**Config Single */
    doShowConfigSingle: boolean;
    doConfigSingle: boolean;
    updateConfigSingle(show?: boolean, state?: boolean): void;
    /**Article Info  */
    doShowActElementInfo: boolean;
    setDoShowActElementInfo(val: boolean): void;
    articleInfos: {
        [posNr: string]: ArticleInfoType;
    };
    setArticleInfos(articleInfos: {
        [posNr: string]: ArticleInfoType;
    }): void;
    get getSelectedBasketIds(): string[];
    get allBaksetIds(): string[];
    /**
     * this function resets/cleans all ItemPalette ViewParameters
     */
    initForUpdate(): void;
    get selectedArticles(): ArticleInfoType[];
    /***HTML REFS */
    settingsScrollerElement?: HTMLDivElement | null;
    setScrollerElement(ref: HTMLDivElement | null): void;
    settingsHeaderElement?: HTMLElement | null;
    setHeaderElement(ref: HTMLElement | null): void;
    /**planner Filter */
    plannerFilter: PlannerFilter;
    doShowReplaceMode: boolean;
    plannerReplaceMode: boolean;
    plannerReplaceModeAutoSwitch: boolean;
    setPlannerReplaceMode(val: boolean): void;
    plannerReplaceModeAvailable: boolean;
    setPlannerReplaceModeAvailable(val: boolean): void;
    updatePlannerFilter(plannerFilter: PlannerFilter): void;
    /**Inputwindow */
    inputBoxValue: string;
    setInputBoxValue: (val: string) => void;
    inputBoxVisible: boolean;
    inputBoxItem: any | undefined;
    updateInputBoxValues(visible: boolean, item: any): void;
    infoBoxContent?: InfoboxContentProps;
    updateInfoBox(newVal?: InfoboxContentProps): void;
    /**SettingsWidth */
    settingsWidth: number;
    setSettingsWidth(val: number): void;
    /**
     * shelfplanner free spaces
     */
    freePlacesOnGrids?: FreePlacesOnGrids[];
    setFreePlacesOnGrids: (free?: FreePlacesOnGrids[]) => void;
    plannedPlacesOnGrids?: PlannedPlacesOnGrids[];
    setGridsData: (free?: FreePlacesOnGrids[], planned?: PlannedPlacesOnGrids[]) => void;
    selectedShelfAccessoire?: string;
    setSelectedShelfAccessoire(basketId?: string): void;
    autoOpenContentItems: string[] | boolean;
    contentItemId?: string;
    clickedFrom?: string;
    setContentItemId(id?: string, isOfOPV?: boolean, clickedFrom?: string): void;
    setClickedFrom(val?: string): void;
    contentItemVisible: boolean;
    setContentItemVisible(visible: boolean): void;
    get isContentItemVisible(): boolean | "" | undefined;
    onClickContentItemId(id?: string, clickedFrom?: string): void;
    conetentItemOfOPVOpen: boolean;
    notificationsShown: number[];
    reset: () => void;
    partlistArticlesInOverview: {
        [key: string]: {
            totalCount: number;
            items: {
                opv: string;
                articles: {
                    plaCodex: string;
                    retailArticleNr: string;
                    quantity: number;
                }[];
            }[];
        };
    };
    setPartlistArticlesInOverview(val: {
        [key: string]: {
            totalCount: number;
            items: {
                opv: string;
                articles: {
                    plaCodex: string;
                    retailArticleNr: string;
                    quantity: number;
                }[];
            }[];
        };
    }): void;
}
//# sourceMappingURL=index.d.ts.map