import ConfiguratorStructureHandler from '../../../TabGroup/ConfiguratorStructureHandler';
import UIState from '..';
import DivaWebPlanner, { TabGroup, ConfigStep, OptionStep } from '@crystaldesign/web-planner-logic';
import ViewPlannerHandler from '../../../Planner/ViewPlannerHandler';
import ProductState from '../Product';
import SettingsState from '../Settings';
import { Event } from '@crystaldesign/diva-core';
export default class TabGroupState {
    private uiState;
    private configuratorStructureHandler;
    private viewPlannerHandler;
    private divaWebPlanner;
    private productState;
    private settingsState;
    configuratorSturucture: {
        [codex: string]: TabGroup;
    };
    curTabGroup?: TabGroup;
    curOption?: OptionStep;
    curConfigStep?: ConfigStep;
    private updateConfiguratorState;
    private onEvent?;
    constructor(uiState: UIState, configuratorStructureHandler: ConfiguratorStructureHandler, viewPlannerHandler: ViewPlannerHandler, productState: ProductState, settingsState: SettingsState, updateConfiguratorState: (wasNaviagtion: boolean) => void, onEvent?: ((event: Event) => void) | undefined);
    initFunctions(divaWebPlanner: DivaWebPlanner): void;
    tabGroupItems: Map<string, SVGSVGElement | HTMLDivElement | null>;
    setTabGroupItems(key: string, element: SVGSVGElement | HTMLDivElement | null): void;
    subTabGroupItems: Map<number, SVGSVGElement | HTMLDivElement | null>;
    setSubTabGroupItems(id: number, element: SVGSVGElement | HTMLDivElement | null): void;
    navigateToTabgroupByPosNr(posNr: number): void;
    get allTabGroups(): {
        [codex: string]: TabGroup;
    };
    get hasPlanner(): boolean;
    get currentStepIsVisible(): boolean;
    get firstVisibleConfigStep(): ConfigStep | undefined;
    filterTabgroup: undefined | string;
    setFilterTabgroup(val?: string): void;
    currentSubTabGroupFolded: string | undefined;
    setCurrentSubTabGroupFolded(val: string | undefined): void;
    tabGroupScroller?: HTMLElement | null;
    setTabGroupScroller(val: HTMLElement | null): void;
    curTabGroupType: 'horizontal' | 'vertical';
    updateCurTabGroupType(): void;
    scrollToCurTabgroup(): void;
    /****Events called by navigatiion********/
    /**
     * This function is called all the time the configurator exits the planner mode
     */
    onExitPlannerMode: () => void;
    /**
     * This function is called every time the configurator enters the summary step
     * In this case the configruator has to force to load all renderings new in order to save them.
     */
    onEnterSummaryMode: () => void;
    onExitSummaryMode: () => void;
    onEnterConfiguratorMode: () => void;
    onEnterAccessoriesMode: () => void;
    onEnterShelfplannerMode: () => void;
    onExitShelfPlannerMode: () => void;
    onExitConfiguratorMode: () => void;
    onExitAccessoriesMode: () => void;
    navigatedInConfigurator: (configStepKey: string) => void;
    updateState(configuratorSturucture: {
        [codex: string]: TabGroup;
    }, curTabGroup: TabGroup, curOption: OptionStep, curConfigStep: ConfigStep): void;
}
//# sourceMappingURL=index.d.ts.map