import { UserData, Dimensions, BarrierAction, OrganizationData } from '@crystaldesign/diva-core';
import { Configuration, TemplateConfigType, ViewConfigData } from '@crystaldesign/web-planner-logic';
import { i18n } from 'i18next';
import { WindowType } from '../../../components/Product/Product/catalog';
import SettingsState from './Settings';
import { ReturnTo } from '@crystaldesign/web-planner-logic';
import { ViewChangedCause } from 'packages/web-planner-logic/src/interface/FunctionTypes';
import { CheckoutConfig } from '@crystaldesign/web-planner-logic/interface/API/Checkout';
export default class UIState {
    private checkedMobileFirstTime;
    private isCheckCurrentlyCheckingInMobileView;
    config: Configuration;
    private updatePlannerView;
    private visitActVisibleSteps;
    private updateCurTabGroupType;
    private settingsState;
    private getReturnTo;
    barrierTextClass?: any;
    barrierCreateActionOrder?: number;
    private resizeObserver?;
    private configPalettescrollEventCounter;
    private tabGroupscrollEventCounter;
    checkoutConfig?: CheckoutConfig;
    constructor();
    initFunctions(updatePlannerView: (callingFrom: ViewChangedCause) => void, visitActVisibleSteps: () => void, updateCurTabGroupType: () => void, settingsState: SettingsState, getReturnTo: () => ReturnTo | undefined, configSettingsIsHidden?: boolean): void;
    /********************************************************************* Template STATES *********************************************************************/
    initTemplateConfig(t: TemplateConfigType | undefined, advancedconfigurator?: boolean): void;
    templateConfigKeys?: TemplateConfigType;
    templateConfig: {
        [template: string]: string;
    } | undefined;
    /*****************************************************************Mobile, Expand and fold state *****************************************************************/
    configuratorRef?: HTMLDivElement | null;
    setConfiguratorRef(val: HTMLDivElement | null): void;
    coreMobile: boolean;
    setCoreMobile(val: boolean): void;
    private i18n;
    set i18nInstance(i18n: i18n | undefined);
    get i18nInstance(): i18n | undefined;
    get ItemsPaletteInProductVisible(): boolean | 0;
    user: UserData | undefined;
    setUser(user: UserData | undefined): void;
    organization: OrganizationData | undefined;
    setOrganization(organization: OrganizationData | undefined): void;
    firstVisit: boolean;
    setFirstVisit(val: boolean): void;
    isLoading: boolean;
    setIsLoading(val: boolean): void;
    configuratorDisabled: boolean;
    setConfiguratorDisabled(val: boolean): void;
    configuratorHidden: boolean;
    setConfiguratorHidden(val: boolean): void;
    doShowConfigPalette: () => void;
    checkIsInMobileView(dimensions: Dimensions): Promise<void>;
    get isInMobileView(): boolean;
    isMobilePortrait: boolean;
    isMobileLandscape: boolean;
    configSettingsIsExpanded: boolean;
    setConfigSettingsIsExpanded(val: boolean): void;
    configSettingsIsMaxExpanded: boolean;
    setConfigSettingsIsMaxExpanded(val: boolean): void;
    configSettingsIsMinExpanded: boolean;
    setConfigSettingsIsMinExpanded(val: boolean): void;
    doShowConfSettingsExpander?: boolean;
    doShowConfSettingsMaxMinExpander?: boolean;
    get ViewConfig(): ViewConfigData;
    get AllConfig(): Configuration;
    initFromConfig(config: Configuration): void;
    reset(): void;
    onClickExpandConfigSettings: () => void;
    onClickExpandMaxConfigSettings: () => void;
    onClickExpandMinConfigSettings: () => void;
    private visitSteps;
    configSettingsIsHidden: boolean;
    configSettingsIsHiddenInitialized: boolean;
    onClickHideConfigSettings: () => Promise<void>;
    configSettingsIsFoldedUp: boolean;
    onClickFoldupConfigSettings: () => void;
    /************************Resize Logic ***************************************/
    buildResizer(): void;
    onResize(): void;
    resizeCore(dimensions: Dimensions): Promise<void>;
    hidePrices: boolean;
    setHidePrices(hidden: boolean): void;
    buildResizeObserver(): void;
    setUpSettingsScrollEvent(element: HTMLElement): () => void;
    setUpTabGropsScrollEvent(element: HTMLElement): () => void;
    activeCatalogSection: WindowType;
    setActiveCatalogSection(val: WindowType): Promise<void>;
    navigateStepByStep: () => boolean;
    barrierActions?: BarrierAction[];
    setBarrierActions: (barrierActions: BarrierAction[]) => void;
    setCheckoutConfig(): void;
}
//# sourceMappingURL=index.d.ts.map