import PaletteViewHandler from './Palette/PaletteViewHandler';
import ConfiguratorStructureHandler from './TabGroup/ConfiguratorStructureHandler';
import DivaWebPlanner, { IDivaViewPlannerElement, DockingPoint, ViewConfigData } from '@crystaldesign/web-planner-logic';
import ProductState from './States/UIState/Product';
import TabGroupState from './States/UIState/Tabgroups';
import SettingsState from './States/UIState/Settings';
export default class ViewHelper {
    private paletteViewHandler;
    private configuratorStructureHandler;
    private divaWebPlanner;
    private getState;
    private updateConfiguratorState;
    private navigateToTabGroup;
    clickWasMadeViaTouch: boolean;
    actUserView: 'portrait' | 'landscape' | 'desktop';
    viewConfig?: ViewConfigData;
    private productState;
    private tabGroupState;
    private settingsState;
    constructor(getState: any, navigateToTabGroup: any, updateConfiguratorState: any);
    initialize(paletteViewHandler: PaletteViewHandler, configuratorStructureHandler: ConfiguratorStructureHandler, divaWebPlanner: DivaWebPlanner, productState: ProductState, tabGroupState: TabGroupState, settingsState: SettingsState): void;
    /**
     * This function is called when the planner detects that the view must enter the Planner Mode.
     * @param doShowInfo    Informs the user to switch tabgroup
     */
    forceViewToEnterPlannerMode: (doShowInfo: boolean) => void;
    /**
     * This function is called in the viewPlannerHandler, when the user clicks on another selectable element
     * @param plannerElements Array of all currently selected PlannerElements
     */
    plannerElementSelectionChanged: (plannerElements: IDivaViewPlannerElement[], dp?: DockingPoint) => Promise<void>;
}
//# sourceMappingURL=plannerHelper.d.ts.map