export interface RTVAnalyzeData {
    type: 'GEO' | 'TEX' | 'MAT';
    name: string;
    path: string;
    sizeMb: number;
    active: boolean;
    found: boolean;
    new?: boolean;
    geo: string;
}
export interface resultForm {
    contactForm: 'email' | 'phone';
    gender: 'male' | 'female' | 'other';
    name: string;
    lastName: string;
    street: string;
    streetNr: string;
    plz: string;
    location: string;
    email: string;
    phone: string;
    notes?: string;
    allowData: boolean;
    canSave: boolean;
}
import { Grid, AccessoireItemType, ArticleOptionValueView, CatalogPlannerArticleViewDataType, StaticRoomDataType, ShelfAccessoriesView, SummaryItem, ViewPointDataType, DoorPlannerView, SummaryVariant, ItemPaletteType } from '@crystaldesign/web-planner-logic';
export interface PlannerMessageItem {
    doShowPlannerMsg: boolean;
    type: 'WARNING' | 'INFO';
    content: string | React.ReactNode;
    collapsed: boolean;
    autoHide: boolean;
    timeoutDuration: number;
}
export type ItemPaletteFilterType = 'None' | 'RAL' | 'DockFilter';
export interface ItemPalette {
    name: string;
    id: number;
    subTabGroup?: string;
    price?: string;
    quantity?: number;
    numberInput?: number;
    measureUnit?: string;
    info?: Info;
    visible: boolean;
    isArrowFolded: boolean;
    filterVisible: boolean;
    filterValue: string;
    configStepKey: string;
    searchVisible: boolean;
    searchText?: string;
    filterComponent: ItemPaletteFilterType;
    deleteCurFilter?: () => void;
    groups: ItemPaletteGroup[];
    type: ItemPaletteType;
    isHeader: boolean;
    hideHeader: boolean;
    isVisited: boolean;
    currentItemsFilter?: PaletteItemsFilter;
    selectedElements?: ArticleOptionValueView[];
    htmlRef?: HTMLElement | null;
    htmlInputElement?: HTMLInputElement | null;
    shelfPlannerGrids?: Grid[];
    isRenderedNotInSettingPalette: boolean;
    isRenderedInAccessorieStep: boolean;
    configAllMode?: string[];
    pairWithOptionsToGroup?: string;
    isMultiselect?: boolean;
    optionCodex: string;
    optionContentItemId?: string;
}
export interface Info {
    text: string;
    type: 'INFO' | 'WARNING' | 'ERROR';
    hideDuringUserInput?: boolean;
}
export interface ItemPaletteGroup {
    name: string;
    parentName?: string;
    isFolded?: boolean;
    items: PaletteItemType[];
    key: string;
    contentItemId?: string;
}
export interface PlannerFilter {
    validArticleIdsBySelectedElement?: number[];
    validArticleToReplaceSelectedElement?: number[];
    dockFilter: {
        [filterType: string]: boolean;
    };
    searchText: string;
    curFilteredTypes: {
        [filterType: string]: boolean;
    };
}
export interface PlannerIconRect {
    width: number;
    height: number;
    top: number;
    left: number;
    doUseCalc?: boolean;
    topCalc?: string;
    leftCalc?: string;
}
export type PaletteItemType = AccessoireItemType | ArticleOptionValueView | CatalogPlannerArticleViewDataType | SummaryVariant | SummaryItem | StaticRoomDataType | ViewPointDataType | ShelfAccessoriesView | DoorPlannerView;
export interface InfoboxContentProps {
    type: 'info' | 'filter';
    id: number;
    key?: string;
    content: JSX.Element;
}
import { Query } from 'sift';
export type SiftQuery<QT = {}> = Query<QT>;
export type PaletteItemsFilter = SiftQuery | undefined;
//# sourceMappingURL=types.d.ts.map